/********************************************************
 Audio Tools, a module and set of tools for manipulating audio data
 Copyright (C) 2007-2014  Brian Langenberger

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*******************************************************/

{
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {1, 1, 0x0, 0},
    {1, 16, 0x0, 0},
    {1, 2, 0x0, 0},
    {1, 9, 0x0, 0},
    {1, 17, 0x0, 0},
    {1, 18, 0x0, 0},
    {1, 3, 0x0, 0},
    {0, 0, 0x0, 6},
    {1, 10, 0x0, 0},
    {0, 0, 0x0, 11},
    {0, 0, 0x0, 7},
    {0, 0, 0x0, 8},
    {0, 0, 0x0, 9},
    {0, 0, 0x0, 10},
    {1, 4, 0x0, 0},
    {0, 0, 0x0, 5},
    {0, 0, 0x2, 6},
    {0, 0, 0x3, 6},
    {1, 11, 0x0, 0},
    {0, 0, 0x0, 12},
    {0, 0, 0x2, 11},
    {0, 0, 0x3, 11},
    {0, 0, 0x2, 7},
    {0, 0, 0x3, 7},
    {0, 0, 0x2, 8},
    {0, 0, 0x3, 8},
    {0, 0, 0x2, 9},
    {0, 0, 0x3, 9},
    {0, 0, 0x2, 10},
    {0, 0, 0x3, 10},
    {1, 5, 0x0, 0},
    {0, 0, 0x0, 4},
    {0, 0, 0x2, 5},
    {0, 0, 0x3, 5},
    {0, 0, 0x4, 6},
    {0, 0, 0x5, 6},
    {0, 0, 0x6, 6},
    {0, 0, 0x7, 6},
    {1, 12, 0x0, 0},
    {0, 0, 0x0, 13},
    {0, 0, 0x2, 12},
    {0, 0, 0x3, 12},
    {0, 0, 0x4, 11},
    {0, 0, 0x5, 11},
    {0, 0, 0x6, 11},
    {0, 0, 0x7, 11},
    {0, 0, 0x4, 7},
    {0, 0, 0x5, 7},
    {0, 0, 0x6, 7},
    {0, 0, 0x7, 7},
    {0, 0, 0x4, 8},
    {0, 0, 0x5, 8},
    {0, 0, 0x6, 8},
    {0, 0, 0x7, 8},
    {0, 0, 0x4, 9},
    {0, 0, 0x5, 9},
    {0, 0, 0x6, 9},
    {0, 0, 0x7, 9},
    {0, 0, 0x4, 10},
    {0, 0, 0x5, 10},
    {0, 0, 0x6, 10},
    {0, 0, 0x7, 10},
    {1, 6, 0x0, 0},
    {0, 0, 0x0, 3},
    {0, 0, 0x2, 4},
    {0, 0, 0x3, 4},
    {0, 0, 0x4, 5},
    {0, 0, 0x5, 5},
    {0, 0, 0x6, 5},
    {0, 0, 0x7, 5},
    {0, 0, 0x8, 6},
    {0, 0, 0x9, 6},
    {0, 0, 0xA, 6},
    {0, 0, 0xB, 6},
    {0, 0, 0xC, 6},
    {0, 0, 0xD, 6},
    {0, 0, 0xE, 6},
    {0, 0, 0xF, 6},
    {1, 13, 0x0, 0},
    {0, 0, 0x0, 14},
    {0, 0, 0x2, 13},
    {0, 0, 0x3, 13},
    {0, 0, 0x4, 12},
    {0, 0, 0x5, 12},
    {0, 0, 0x6, 12},
    {0, 0, 0x7, 12},
    {0, 0, 0x8, 11},
    {0, 0, 0x9, 11},
    {0, 0, 0xA, 11},
    {0, 0, 0xB, 11},
    {0, 0, 0xC, 11},
    {0, 0, 0xD, 11},
    {0, 0, 0xE, 11},
    {0, 0, 0xF, 11},
    {0, 0, 0x8, 7},
    {0, 0, 0x9, 7},
    {0, 0, 0xA, 7},
    {0, 0, 0xB, 7},
    {0, 0, 0xC, 7},
    {0, 0, 0xD, 7},
    {0, 0, 0xE, 7},
    {0, 0, 0xF, 7},
    {0, 0, 0x8, 8},
    {0, 0, 0x9, 8},
    {0, 0, 0xA, 8},
    {0, 0, 0xB, 8},
    {0, 0, 0xC, 8},
    {0, 0, 0xD, 8},
    {0, 0, 0xE, 8},
    {0, 0, 0xF, 8},
    {0, 0, 0x8, 9},
    {0, 0, 0x9, 9},
    {0, 0, 0xA, 9},
    {0, 0, 0xB, 9},
    {0, 0, 0xC, 9},
    {0, 0, 0xD, 9},
    {0, 0, 0xE, 9},
    {0, 0, 0xF, 9},
    {0, 0, 0x8, 10},
    {0, 0, 0x9, 10},
    {0, 0, 0xA, 10},
    {0, 0, 0xB, 10},
    {0, 0, 0xC, 10},
    {0, 0, 0xD, 10},
    {0, 0, 0xE, 10},
    {0, 0, 0xF, 10},
    {1, 7, 0x0, 0},
    {0, 0, 0x0, 2},
    {0, 0, 0x2, 3},
    {0, 0, 0x3, 3},
    {0, 0, 0x4, 4},
    {0, 0, 0x5, 4},
    {0, 0, 0x6, 4},
    {0, 0, 0x7, 4},
    {0, 0, 0x8, 5},
    {0, 0, 0x9, 5},
    {0, 0, 0xA, 5},
    {0, 0, 0xB, 5},
    {0, 0, 0xC, 5},
    {0, 0, 0xD, 5},
    {0, 0, 0xE, 5},
    {0, 0, 0xF, 5},
    {0, 0, 0x10, 6},
    {0, 0, 0x11, 6},
    {0, 0, 0x12, 6},
    {0, 0, 0x13, 6},
    {0, 0, 0x14, 6},
    {0, 0, 0x15, 6},
    {0, 0, 0x16, 6},
    {0, 0, 0x17, 6},
    {0, 0, 0x18, 6},
    {0, 0, 0x19, 6},
    {0, 0, 0x1A, 6},
    {0, 0, 0x1B, 6},
    {0, 0, 0x1C, 6},
    {0, 0, 0x1D, 6},
    {0, 0, 0x1E, 6},
    {0, 0, 0x1F, 6},
    {1, 14, 0x0, 0},
    {0, 0, 0x0, 15},
    {0, 0, 0x2, 14},
    {0, 0, 0x3, 14},
    {0, 0, 0x4, 13},
    {0, 0, 0x5, 13},
    {0, 0, 0x6, 13},
    {0, 0, 0x7, 13},
    {0, 0, 0x8, 12},
    {0, 0, 0x9, 12},
    {0, 0, 0xA, 12},
    {0, 0, 0xB, 12},
    {0, 0, 0xC, 12},
    {0, 0, 0xD, 12},
    {0, 0, 0xE, 12},
    {0, 0, 0xF, 12},
    {0, 0, 0x10, 11},
    {0, 0, 0x11, 11},
    {0, 0, 0x12, 11},
    {0, 0, 0x13, 11},
    {0, 0, 0x14, 11},
    {0, 0, 0x15, 11},
    {0, 0, 0x16, 11},
    {0, 0, 0x17, 11},
    {0, 0, 0x18, 11},
    {0, 0, 0x19, 11},
    {0, 0, 0x1A, 11},
    {0, 0, 0x1B, 11},
    {0, 0, 0x1C, 11},
    {0, 0, 0x1D, 11},
    {0, 0, 0x1E, 11},
    {0, 0, 0x1F, 11},
    {0, 0, 0x10, 7},
    {0, 0, 0x11, 7},
    {0, 0, 0x12, 7},
    {0, 0, 0x13, 7},
    {0, 0, 0x14, 7},
    {0, 0, 0x15, 7},
    {0, 0, 0x16, 7},
    {0, 0, 0x17, 7},
    {0, 0, 0x18, 7},
    {0, 0, 0x19, 7},
    {0, 0, 0x1A, 7},
    {0, 0, 0x1B, 7},
    {0, 0, 0x1C, 7},
    {0, 0, 0x1D, 7},
    {0, 0, 0x1E, 7},
    {0, 0, 0x1F, 7},
    {0, 0, 0x10, 8},
    {0, 0, 0x11, 8},
    {0, 0, 0x12, 8},
    {0, 0, 0x13, 8},
    {0, 0, 0x14, 8},
    {0, 0, 0x15, 8},
    {0, 0, 0x16, 8},
    {0, 0, 0x17, 8},
    {0, 0, 0x18, 8},
    {0, 0, 0x19, 8},
    {0, 0, 0x1A, 8},
    {0, 0, 0x1B, 8},
    {0, 0, 0x1C, 8},
    {0, 0, 0x1D, 8},
    {0, 0, 0x1E, 8},
    {0, 0, 0x1F, 8},
    {0, 0, 0x10, 9},
    {0, 0, 0x11, 9},
    {0, 0, 0x12, 9},
    {0, 0, 0x13, 9},
    {0, 0, 0x14, 9},
    {0, 0, 0x15, 9},
    {0, 0, 0x16, 9},
    {0, 0, 0x17, 9},
    {0, 0, 0x18, 9},
    {0, 0, 0x19, 9},
    {0, 0, 0x1A, 9},
    {0, 0, 0x1B, 9},
    {0, 0, 0x1C, 9},
    {0, 0, 0x1D, 9},
    {0, 0, 0x1E, 9},
    {0, 0, 0x1F, 9},
    {0, 0, 0x10, 10},
    {0, 0, 0x11, 10},
    {0, 0, 0x12, 10},
    {0, 0, 0x13, 10},
    {0, 0, 0x14, 10},
    {0, 0, 0x15, 10},
    {0, 0, 0x16, 10},
    {0, 0, 0x17, 10},
    {0, 0, 0x18, 10},
    {0, 0, 0x19, 10},
    {0, 0, 0x1A, 10},
    {0, 0, 0x1B, 10},
    {0, 0, 0x1C, 10},
    {0, 0, 0x1D, 10},
    {0, 0, 0x1E, 10},
    {0, 0, 0x1F, 10},
    {1, 8, 0x0, 0},
    {0, 0, 0x0, 1},
    {0, 0, 0x2, 2},
    {0, 0, 0x3, 2},
    {0, 0, 0x4, 3},
    {0, 0, 0x5, 3},
    {0, 0, 0x6, 3},
    {0, 0, 0x7, 3},
    {0, 0, 0x8, 4},
    {0, 0, 0x9, 4},
    {0, 0, 0xA, 4},
    {0, 0, 0xB, 4},
    {0, 0, 0xC, 4},
    {0, 0, 0xD, 4},
    {0, 0, 0xE, 4},
    {0, 0, 0xF, 4},
    {0, 0, 0x10, 5},
    {0, 0, 0x11, 5},
    {0, 0, 0x12, 5},
    {0, 0, 0x13, 5},
    {0, 0, 0x14, 5},
    {0, 0, 0x15, 5},
    {0, 0, 0x16, 5},
    {0, 0, 0x17, 5},
    {0, 0, 0x18, 5},
    {0, 0, 0x19, 5},
    {0, 0, 0x1A, 5},
    {0, 0, 0x1B, 5},
    {0, 0, 0x1C, 5},
    {0, 0, 0x1D, 5},
    {0, 0, 0x1E, 5},
    {0, 0, 0x1F, 5},
    {0, 0, 0x20, 6},
    {0, 0, 0x21, 6},
    {0, 0, 0x22, 6},
    {0, 0, 0x23, 6},
    {0, 0, 0x24, 6},
    {0, 0, 0x25, 6},
    {0, 0, 0x26, 6},
    {0, 0, 0x27, 6},
    {0, 0, 0x28, 6},
    {0, 0, 0x29, 6},
    {0, 0, 0x2A, 6},
    {0, 0, 0x2B, 6},
    {0, 0, 0x2C, 6},
    {0, 0, 0x2D, 6},
    {0, 0, 0x2E, 6},
    {0, 0, 0x2F, 6},
    {0, 0, 0x30, 6},
    {0, 0, 0x31, 6},
    {0, 0, 0x32, 6},
    {0, 0, 0x33, 6},
    {0, 0, 0x34, 6},
    {0, 0, 0x35, 6},
    {0, 0, 0x36, 6},
    {0, 0, 0x37, 6},
    {0, 0, 0x38, 6},
    {0, 0, 0x39, 6},
    {0, 0, 0x3A, 6},
    {0, 0, 0x3B, 6},
    {0, 0, 0x3C, 6},
    {0, 0, 0x3D, 6},
    {0, 0, 0x3E, 6},
    {0, 0, 0x3F, 6},
    {1, 15, 0x0, 0},
    {0, 0, 0x0, 16},
    {0, 0, 0x2, 15},
    {0, 0, 0x3, 15},
    {0, 0, 0x4, 14},
    {0, 0, 0x5, 14},
    {0, 0, 0x6, 14},
    {0, 0, 0x7, 14},
    {0, 0, 0x8, 13},
    {0, 0, 0x9, 13},
    {0, 0, 0xA, 13},
    {0, 0, 0xB, 13},
    {0, 0, 0xC, 13},
    {0, 0, 0xD, 13},
    {0, 0, 0xE, 13},
    {0, 0, 0xF, 13},
    {0, 0, 0x10, 12},
    {0, 0, 0x11, 12},
    {0, 0, 0x12, 12},
    {0, 0, 0x13, 12},
    {0, 0, 0x14, 12},
    {0, 0, 0x15, 12},
    {0, 0, 0x16, 12},
    {0, 0, 0x17, 12},
    {0, 0, 0x18, 12},
    {0, 0, 0x19, 12},
    {0, 0, 0x1A, 12},
    {0, 0, 0x1B, 12},
    {0, 0, 0x1C, 12},
    {0, 0, 0x1D, 12},
    {0, 0, 0x1E, 12},
    {0, 0, 0x1F, 12},
    {0, 0, 0x20, 11},
    {0, 0, 0x21, 11},
    {0, 0, 0x22, 11},
    {0, 0, 0x23, 11},
    {0, 0, 0x24, 11},
    {0, 0, 0x25, 11},
    {0, 0, 0x26, 11},
    {0, 0, 0x27, 11},
    {0, 0, 0x28, 11},
    {0, 0, 0x29, 11},
    {0, 0, 0x2A, 11},
    {0, 0, 0x2B, 11},
    {0, 0, 0x2C, 11},
    {0, 0, 0x2D, 11},
    {0, 0, 0x2E, 11},
    {0, 0, 0x2F, 11},
    {0, 0, 0x30, 11},
    {0, 0, 0x31, 11},
    {0, 0, 0x32, 11},
    {0, 0, 0x33, 11},
    {0, 0, 0x34, 11},
    {0, 0, 0x35, 11},
    {0, 0, 0x36, 11},
    {0, 0, 0x37, 11},
    {0, 0, 0x38, 11},
    {0, 0, 0x39, 11},
    {0, 0, 0x3A, 11},
    {0, 0, 0x3B, 11},
    {0, 0, 0x3C, 11},
    {0, 0, 0x3D, 11},
    {0, 0, 0x3E, 11},
    {0, 0, 0x3F, 11},
    {0, 0, 0x20, 7},
    {0, 0, 0x21, 7},
    {0, 0, 0x22, 7},
    {0, 0, 0x23, 7},
    {0, 0, 0x24, 7},
    {0, 0, 0x25, 7},
    {0, 0, 0x26, 7},
    {0, 0, 0x27, 7},
    {0, 0, 0x28, 7},
    {0, 0, 0x29, 7},
    {0, 0, 0x2A, 7},
    {0, 0, 0x2B, 7},
    {0, 0, 0x2C, 7},
    {0, 0, 0x2D, 7},
    {0, 0, 0x2E, 7},
    {0, 0, 0x2F, 7},
    {0, 0, 0x30, 7},
    {0, 0, 0x31, 7},
    {0, 0, 0x32, 7},
    {0, 0, 0x33, 7},
    {0, 0, 0x34, 7},
    {0, 0, 0x35, 7},
    {0, 0, 0x36, 7},
    {0, 0, 0x37, 7},
    {0, 0, 0x38, 7},
    {0, 0, 0x39, 7},
    {0, 0, 0x3A, 7},
    {0, 0, 0x3B, 7},
    {0, 0, 0x3C, 7},
    {0, 0, 0x3D, 7},
    {0, 0, 0x3E, 7},
    {0, 0, 0x3F, 7},
    {0, 0, 0x20, 8},
    {0, 0, 0x21, 8},
    {0, 0, 0x22, 8},
    {0, 0, 0x23, 8},
    {0, 0, 0x24, 8},
    {0, 0, 0x25, 8},
    {0, 0, 0x26, 8},
    {0, 0, 0x27, 8},
    {0, 0, 0x28, 8},
    {0, 0, 0x29, 8},
    {0, 0, 0x2A, 8},
    {0, 0, 0x2B, 8},
    {0, 0, 0x2C, 8},
    {0, 0, 0x2D, 8},
    {0, 0, 0x2E, 8},
    {0, 0, 0x2F, 8},
    {0, 0, 0x30, 8},
    {0, 0, 0x31, 8},
    {0, 0, 0x32, 8},
    {0, 0, 0x33, 8},
    {0, 0, 0x34, 8},
    {0, 0, 0x35, 8},
    {0, 0, 0x36, 8},
    {0, 0, 0x37, 8},
    {0, 0, 0x38, 8},
    {0, 0, 0x39, 8},
    {0, 0, 0x3A, 8},
    {0, 0, 0x3B, 8},
    {0, 0, 0x3C, 8},
    {0, 0, 0x3D, 8},
    {0, 0, 0x3E, 8},
    {0, 0, 0x3F, 8},
    {0, 0, 0x20, 9},
    {0, 0, 0x21, 9},
    {0, 0, 0x22, 9},
    {0, 0, 0x23, 9},
    {0, 0, 0x24, 9},
    {0, 0, 0x25, 9},
    {0, 0, 0x26, 9},
    {0, 0, 0x27, 9},
    {0, 0, 0x28, 9},
    {0, 0, 0x29, 9},
    {0, 0, 0x2A, 9},
    {0, 0, 0x2B, 9},
    {0, 0, 0x2C, 9},
    {0, 0, 0x2D, 9},
    {0, 0, 0x2E, 9},
    {0, 0, 0x2F, 9},
    {0, 0, 0x30, 9},
    {0, 0, 0x31, 9},
    {0, 0, 0x32, 9},
    {0, 0, 0x33, 9},
    {0, 0, 0x34, 9},
    {0, 0, 0x35, 9},
    {0, 0, 0x36, 9},
    {0, 0, 0x37, 9},
    {0, 0, 0x38, 9},
    {0, 0, 0x39, 9},
    {0, 0, 0x3A, 9},
    {0, 0, 0x3B, 9},
    {0, 0, 0x3C, 9},
    {0, 0, 0x3D, 9},
    {0, 0, 0x3E, 9},
    {0, 0, 0x3F, 9},
    {0, 0, 0x20, 10},
    {0, 0, 0x21, 10},
    {0, 0, 0x22, 10},
    {0, 0, 0x23, 10},
    {0, 0, 0x24, 10},
    {0, 0, 0x25, 10},
    {0, 0, 0x26, 10},
    {0, 0, 0x27, 10},
    {0, 0, 0x28, 10},
    {0, 0, 0x29, 10},
    {0, 0, 0x2A, 10},
    {0, 0, 0x2B, 10},
    {0, 0, 0x2C, 10},
    {0, 0, 0x2D, 10},
    {0, 0, 0x2E, 10},
    {0, 0, 0x2F, 10},
    {0, 0, 0x30, 10},
    {0, 0, 0x31, 10},
    {0, 0, 0x32, 10},
    {0, 0, 0x33, 10},
    {0, 0, 0x34, 10},
    {0, 0, 0x35, 10},
    {0, 0, 0x36, 10},
    {0, 0, 0x37, 10},
    {0, 0, 0x38, 10},
    {0, 0, 0x39, 10},
    {0, 0, 0x3A, 10},
    {0, 0, 0x3B, 10},
    {0, 0, 0x3C, 10},
    {0, 0, 0x3D, 10},
    {0, 0, 0x3E, 10},
    {0, 0, 0x3F, 10}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {1, 2, 0x0, 0},
    {1, 9, 0x0, 0},
    {1, 3, 0x0, 0},
    {0, 0, 0x0, 6},
    {1, 10, 0x0, 0},
    {0, 0, 0x0, 11},
    {1, 4, 0x0, 0},
    {0, 0, 0x0, 5},
    {0, 0, 0x2, 6},
    {0, 0, 0x3, 6},
    {1, 11, 0x0, 0},
    {0, 0, 0x0, 12},
    {0, 0, 0x2, 11},
    {0, 0, 0x3, 11},
    {1, 5, 0x0, 0},
    {0, 0, 0x0, 4},
    {0, 0, 0x2, 5},
    {0, 0, 0x3, 5},
    {0, 0, 0x4, 6},
    {0, 0, 0x5, 6},
    {0, 0, 0x6, 6},
    {0, 0, 0x7, 6},
    {1, 12, 0x0, 0},
    {0, 0, 0x0, 13},
    {0, 0, 0x2, 12},
    {0, 0, 0x3, 12},
    {0, 0, 0x4, 11},
    {0, 0, 0x5, 11},
    {0, 0, 0x6, 11},
    {0, 0, 0x7, 11},
    {1, 6, 0x0, 0},
    {0, 0, 0x0, 3},
    {0, 0, 0x2, 4},
    {0, 0, 0x3, 4},
    {0, 0, 0x4, 5},
    {0, 0, 0x5, 5},
    {0, 0, 0x6, 5},
    {0, 0, 0x7, 5},
    {0, 0, 0x8, 6},
    {0, 0, 0x9, 6},
    {0, 0, 0xA, 6},
    {0, 0, 0xB, 6},
    {0, 0, 0xC, 6},
    {0, 0, 0xD, 6},
    {0, 0, 0xE, 6},
    {0, 0, 0xF, 6},
    {1, 13, 0x0, 0},
    {0, 0, 0x0, 14},
    {0, 0, 0x2, 13},
    {0, 0, 0x3, 13},
    {0, 0, 0x4, 12},
    {0, 0, 0x5, 12},
    {0, 0, 0x6, 12},
    {0, 0, 0x7, 12},
    {0, 0, 0x8, 11},
    {0, 0, 0x9, 11},
    {0, 0, 0xA, 11},
    {0, 0, 0xB, 11},
    {0, 0, 0xC, 11},
    {0, 0, 0xD, 11},
    {0, 0, 0xE, 11},
    {0, 0, 0xF, 11},
    {1, 7, 0x0, 0},
    {0, 0, 0x0, 2},
    {0, 0, 0x2, 3},
    {0, 0, 0x3, 3},
    {0, 0, 0x4, 4},
    {0, 0, 0x5, 4},
    {0, 0, 0x6, 4},
    {0, 0, 0x7, 4},
    {0, 0, 0x8, 5},
    {0, 0, 0x9, 5},
    {0, 0, 0xA, 5},
    {0, 0, 0xB, 5},
    {0, 0, 0xC, 5},
    {0, 0, 0xD, 5},
    {0, 0, 0xE, 5},
    {0, 0, 0xF, 5},
    {0, 0, 0x10, 6},
    {0, 0, 0x11, 6},
    {0, 0, 0x12, 6},
    {0, 0, 0x13, 6},
    {0, 0, 0x14, 6},
    {0, 0, 0x15, 6},
    {0, 0, 0x16, 6},
    {0, 0, 0x17, 6},
    {0, 0, 0x18, 6},
    {0, 0, 0x19, 6},
    {0, 0, 0x1A, 6},
    {0, 0, 0x1B, 6},
    {0, 0, 0x1C, 6},
    {0, 0, 0x1D, 6},
    {0, 0, 0x1E, 6},
    {0, 0, 0x1F, 6},
    {1, 14, 0x0, 0},
    {0, 0, 0x0, 15},
    {0, 0, 0x2, 14},
    {0, 0, 0x3, 14},
    {0, 0, 0x4, 13},
    {0, 0, 0x5, 13},
    {0, 0, 0x6, 13},
    {0, 0, 0x7, 13},
    {0, 0, 0x8, 12},
    {0, 0, 0x9, 12},
    {0, 0, 0xA, 12},
    {0, 0, 0xB, 12},
    {0, 0, 0xC, 12},
    {0, 0, 0xD, 12},
    {0, 0, 0xE, 12},
    {0, 0, 0xF, 12},
    {0, 0, 0x10, 11},
    {0, 0, 0x11, 11},
    {0, 0, 0x12, 11},
    {0, 0, 0x13, 11},
    {0, 0, 0x14, 11},
    {0, 0, 0x15, 11},
    {0, 0, 0x16, 11},
    {0, 0, 0x17, 11},
    {0, 0, 0x18, 11},
    {0, 0, 0x19, 11},
    {0, 0, 0x1A, 11},
    {0, 0, 0x1B, 11},
    {0, 0, 0x1C, 11},
    {0, 0, 0x1D, 11},
    {0, 0, 0x1E, 11},
    {0, 0, 0x1F, 11},
    {1, 8, 0x0, 0},
    {0, 0, 0x0, 1},
    {0, 0, 0x2, 2},
    {0, 0, 0x3, 2},
    {0, 0, 0x4, 3},
    {0, 0, 0x5, 3},
    {0, 0, 0x6, 3},
    {0, 0, 0x7, 3},
    {0, 0, 0x8, 4},
    {0, 0, 0x9, 4},
    {0, 0, 0xA, 4},
    {0, 0, 0xB, 4},
    {0, 0, 0xC, 4},
    {0, 0, 0xD, 4},
    {0, 0, 0xE, 4},
    {0, 0, 0xF, 4},
    {0, 0, 0x10, 5},
    {0, 0, 0x11, 5},
    {0, 0, 0x12, 5},
    {0, 0, 0x13, 5},
    {0, 0, 0x14, 5},
    {0, 0, 0x15, 5},
    {0, 0, 0x16, 5},
    {0, 0, 0x17, 5},
    {0, 0, 0x18, 5},
    {0, 0, 0x19, 5},
    {0, 0, 0x1A, 5},
    {0, 0, 0x1B, 5},
    {0, 0, 0x1C, 5},
    {0, 0, 0x1D, 5},
    {0, 0, 0x1E, 5},
    {0, 0, 0x1F, 5},
    {0, 0, 0x20, 6},
    {0, 0, 0x21, 6},
    {0, 0, 0x22, 6},
    {0, 0, 0x23, 6},
    {0, 0, 0x24, 6},
    {0, 0, 0x25, 6},
    {0, 0, 0x26, 6},
    {0, 0, 0x27, 6},
    {0, 0, 0x28, 6},
    {0, 0, 0x29, 6},
    {0, 0, 0x2A, 6},
    {0, 0, 0x2B, 6},
    {0, 0, 0x2C, 6},
    {0, 0, 0x2D, 6},
    {0, 0, 0x2E, 6},
    {0, 0, 0x2F, 6},
    {0, 0, 0x30, 6},
    {0, 0, 0x31, 6},
    {0, 0, 0x32, 6},
    {0, 0, 0x33, 6},
    {0, 0, 0x34, 6},
    {0, 0, 0x35, 6},
    {0, 0, 0x36, 6},
    {0, 0, 0x37, 6},
    {0, 0, 0x38, 6},
    {0, 0, 0x39, 6},
    {0, 0, 0x3A, 6},
    {0, 0, 0x3B, 6},
    {0, 0, 0x3C, 6},
    {0, 0, 0x3D, 6},
    {0, 0, 0x3E, 6},
    {0, 0, 0x3F, 6},
    {1, 15, 0x0, 0},
    {0, 0, 0x0, 16},
    {0, 0, 0x2, 15},
    {0, 0, 0x3, 15},
    {0, 0, 0x4, 14},
    {0, 0, 0x5, 14},
    {0, 0, 0x6, 14},
    {0, 0, 0x7, 14},
    {0, 0, 0x8, 13},
    {0, 0, 0x9, 13},
    {0, 0, 0xA, 13},
    {0, 0, 0xB, 13},
    {0, 0, 0xC, 13},
    {0, 0, 0xD, 13},
    {0, 0, 0xE, 13},
    {0, 0, 0xF, 13},
    {0, 0, 0x10, 12},
    {0, 0, 0x11, 12},
    {0, 0, 0x12, 12},
    {0, 0, 0x13, 12},
    {0, 0, 0x14, 12},
    {0, 0, 0x15, 12},
    {0, 0, 0x16, 12},
    {0, 0, 0x17, 12},
    {0, 0, 0x18, 12},
    {0, 0, 0x19, 12},
    {0, 0, 0x1A, 12},
    {0, 0, 0x1B, 12},
    {0, 0, 0x1C, 12},
    {0, 0, 0x1D, 12},
    {0, 0, 0x1E, 12},
    {0, 0, 0x1F, 12},
    {0, 0, 0x20, 11},
    {0, 0, 0x21, 11},
    {0, 0, 0x22, 11},
    {0, 0, 0x23, 11},
    {0, 0, 0x24, 11},
    {0, 0, 0x25, 11},
    {0, 0, 0x26, 11},
    {0, 0, 0x27, 11},
    {0, 0, 0x28, 11},
    {0, 0, 0x29, 11},
    {0, 0, 0x2A, 11},
    {0, 0, 0x2B, 11},
    {0, 0, 0x2C, 11},
    {0, 0, 0x2D, 11},
    {0, 0, 0x2E, 11},
    {0, 0, 0x2F, 11},
    {0, 0, 0x30, 11},
    {0, 0, 0x31, 11},
    {0, 0, 0x32, 11},
    {0, 0, 0x33, 11},
    {0, 0, 0x34, 11},
    {0, 0, 0x35, 11},
    {0, 0, 0x36, 11},
    {0, 0, 0x37, 11},
    {0, 0, 0x38, 11},
    {0, 0, 0x39, 11},
    {0, 0, 0x3A, 11},
    {0, 0, 0x3B, 11},
    {0, 0, 0x3C, 11},
    {0, 0, 0x3D, 11},
    {0, 0, 0x3E, 11},
    {0, 0, 0x3F, 11},
    {0, 0, 0x0, -1},
    {0, 0, 0x0, 0},
    {0, 0, 0x2, 1},
    {0, 0, 0x3, 1},
    {0, 0, 0x4, 2},
    {0, 0, 0x5, 2},
    {0, 0, 0x6, 2},
    {0, 0, 0x7, 2},
    {0, 0, 0x8, 3},
    {0, 0, 0x9, 3},
    {0, 0, 0xA, 3},
    {0, 0, 0xB, 3},
    {0, 0, 0xC, 3},
    {0, 0, 0xD, 3},
    {0, 0, 0xE, 3},
    {0, 0, 0xF, 3},
    {0, 0, 0x10, 4},
    {0, 0, 0x11, 4},
    {0, 0, 0x12, 4},
    {0, 0, 0x13, 4},
    {0, 0, 0x14, 4},
    {0, 0, 0x15, 4},
    {0, 0, 0x16, 4},
    {0, 0, 0x17, 4},
    {0, 0, 0x18, 4},
    {0, 0, 0x19, 4},
    {0, 0, 0x1A, 4},
    {0, 0, 0x1B, 4},
    {0, 0, 0x1C, 4},
    {0, 0, 0x1D, 4},
    {0, 0, 0x1E, 4},
    {0, 0, 0x1F, 4},
    {0, 0, 0x20, 5},
    {0, 0, 0x21, 5},
    {0, 0, 0x22, 5},
    {0, 0, 0x23, 5},
    {0, 0, 0x24, 5},
    {0, 0, 0x25, 5},
    {0, 0, 0x26, 5},
    {0, 0, 0x27, 5},
    {0, 0, 0x28, 5},
    {0, 0, 0x29, 5},
    {0, 0, 0x2A, 5},
    {0, 0, 0x2B, 5},
    {0, 0, 0x2C, 5},
    {0, 0, 0x2D, 5},
    {0, 0, 0x2E, 5},
    {0, 0, 0x2F, 5},
    {0, 0, 0x30, 5},
    {0, 0, 0x31, 5},
    {0, 0, 0x32, 5},
    {0, 0, 0x33, 5},
    {0, 0, 0x34, 5},
    {0, 0, 0x35, 5},
    {0, 0, 0x36, 5},
    {0, 0, 0x37, 5},
    {0, 0, 0x38, 5},
    {0, 0, 0x39, 5},
    {0, 0, 0x3A, 5},
    {0, 0, 0x3B, 5},
    {0, 0, 0x3C, 5},
    {0, 0, 0x3D, 5},
    {0, 0, 0x3E, 5},
    {0, 0, 0x3F, 5},
    {0, 0, 0x40, 6},
    {0, 0, 0x41, 6},
    {0, 0, 0x42, 6},
    {0, 0, 0x43, 6},
    {0, 0, 0x44, 6},
    {0, 0, 0x45, 6},
    {0, 0, 0x46, 6},
    {0, 0, 0x47, 6},
    {0, 0, 0x48, 6},
    {0, 0, 0x49, 6},
    {0, 0, 0x4A, 6},
    {0, 0, 0x4B, 6},
    {0, 0, 0x4C, 6},
    {0, 0, 0x4D, 6},
    {0, 0, 0x4E, 6},
    {0, 0, 0x4F, 6},
    {0, 0, 0x50, 6},
    {0, 0, 0x51, 6},
    {0, 0, 0x52, 6},
    {0, 0, 0x53, 6},
    {0, 0, 0x54, 6},
    {0, 0, 0x55, 6},
    {0, 0, 0x56, 6},
    {0, 0, 0x57, 6},
    {0, 0, 0x58, 6},
    {0, 0, 0x59, 6},
    {0, 0, 0x5A, 6},
    {0, 0, 0x5B, 6},
    {0, 0, 0x5C, 6},
    {0, 0, 0x5D, 6},
    {0, 0, 0x5E, 6},
    {0, 0, 0x5F, 6},
    {0, 0, 0x60, 6},
    {0, 0, 0x61, 6},
    {0, 0, 0x62, 6},
    {0, 0, 0x63, 6},
    {0, 0, 0x64, 6},
    {0, 0, 0x65, 6},
    {0, 0, 0x66, 6},
    {0, 0, 0x67, 6},
    {0, 0, 0x68, 6},
    {0, 0, 0x69, 6},
    {0, 0, 0x6A, 6},
    {0, 0, 0x6B, 6},
    {0, 0, 0x6C, 6},
    {0, 0, 0x6D, 6},
    {0, 0, 0x6E, 6},
    {0, 0, 0x6F, 6},
    {0, 0, 0x70, 6},
    {0, 0, 0x71, 6},
    {0, 0, 0x72, 6},
    {0, 0, 0x73, 6},
    {0, 0, 0x74, 6},
    {0, 0, 0x75, 6},
    {0, 0, 0x76, 6},
    {0, 0, 0x77, 6},
    {0, 0, 0x78, 6},
    {0, 0, 0x79, 6},
    {0, 0, 0x7A, 6},
    {0, 0, 0x7B, 6},
    {0, 0, 0x7C, 6},
    {0, 0, 0x7D, 6},
    {0, 0, 0x7E, 6},
    {0, 0, 0x7F, 6},
    {0, 0, 0x0, -1},
    {0, 0, 0x0, 17},
    {0, 0, 0x2, 16},
    {0, 0, 0x3, 16},
    {0, 0, 0x4, 15},
    {0, 0, 0x5, 15},
    {0, 0, 0x6, 15},
    {0, 0, 0x7, 15},
    {0, 0, 0x8, 14},
    {0, 0, 0x9, 14},
    {0, 0, 0xA, 14},
    {0, 0, 0xB, 14},
    {0, 0, 0xC, 14},
    {0, 0, 0xD, 14},
    {0, 0, 0xE, 14},
    {0, 0, 0xF, 14},
    {0, 0, 0x10, 13},
    {0, 0, 0x11, 13},
    {0, 0, 0x12, 13},
    {0, 0, 0x13, 13},
    {0, 0, 0x14, 13},
    {0, 0, 0x15, 13},
    {0, 0, 0x16, 13},
    {0, 0, 0x17, 13},
    {0, 0, 0x18, 13},
    {0, 0, 0x19, 13},
    {0, 0, 0x1A, 13},
    {0, 0, 0x1B, 13},
    {0, 0, 0x1C, 13},
    {0, 0, 0x1D, 13},
    {0, 0, 0x1E, 13},
    {0, 0, 0x1F, 13},
    {0, 0, 0x20, 12},
    {0, 0, 0x21, 12},
    {0, 0, 0x22, 12},
    {0, 0, 0x23, 12},
    {0, 0, 0x24, 12},
    {0, 0, 0x25, 12},
    {0, 0, 0x26, 12},
    {0, 0, 0x27, 12},
    {0, 0, 0x28, 12},
    {0, 0, 0x29, 12},
    {0, 0, 0x2A, 12},
    {0, 0, 0x2B, 12},
    {0, 0, 0x2C, 12},
    {0, 0, 0x2D, 12},
    {0, 0, 0x2E, 12},
    {0, 0, 0x2F, 12},
    {0, 0, 0x30, 12},
    {0, 0, 0x31, 12},
    {0, 0, 0x32, 12},
    {0, 0, 0x33, 12},
    {0, 0, 0x34, 12},
    {0, 0, 0x35, 12},
    {0, 0, 0x36, 12},
    {0, 0, 0x37, 12},
    {0, 0, 0x38, 12},
    {0, 0, 0x39, 12},
    {0, 0, 0x3A, 12},
    {0, 0, 0x3B, 12},
    {0, 0, 0x3C, 12},
    {0, 0, 0x3D, 12},
    {0, 0, 0x3E, 12},
    {0, 0, 0x3F, 12},
    {0, 0, 0x40, 11},
    {0, 0, 0x41, 11},
    {0, 0, 0x42, 11},
    {0, 0, 0x43, 11},
    {0, 0, 0x44, 11},
    {0, 0, 0x45, 11},
    {0, 0, 0x46, 11},
    {0, 0, 0x47, 11},
    {0, 0, 0x48, 11},
    {0, 0, 0x49, 11},
    {0, 0, 0x4A, 11},
    {0, 0, 0x4B, 11},
    {0, 0, 0x4C, 11},
    {0, 0, 0x4D, 11},
    {0, 0, 0x4E, 11},
    {0, 0, 0x4F, 11},
    {0, 0, 0x50, 11},
    {0, 0, 0x51, 11},
    {0, 0, 0x52, 11},
    {0, 0, 0x53, 11},
    {0, 0, 0x54, 11},
    {0, 0, 0x55, 11},
    {0, 0, 0x56, 11},
    {0, 0, 0x57, 11},
    {0, 0, 0x58, 11},
    {0, 0, 0x59, 11},
    {0, 0, 0x5A, 11},
    {0, 0, 0x5B, 11},
    {0, 0, 0x5C, 11},
    {0, 0, 0x5D, 11},
    {0, 0, 0x5E, 11},
    {0, 0, 0x5F, 11},
    {0, 0, 0x60, 11},
    {0, 0, 0x61, 11},
    {0, 0, 0x62, 11},
    {0, 0, 0x63, 11},
    {0, 0, 0x64, 11},
    {0, 0, 0x65, 11},
    {0, 0, 0x66, 11},
    {0, 0, 0x67, 11},
    {0, 0, 0x68, 11},
    {0, 0, 0x69, 11},
    {0, 0, 0x6A, 11},
    {0, 0, 0x6B, 11},
    {0, 0, 0x6C, 11},
    {0, 0, 0x6D, 11},
    {0, 0, 0x6E, 11},
    {0, 0, 0x6F, 11},
    {0, 0, 0x70, 11},
    {0, 0, 0x71, 11},
    {0, 0, 0x72, 11},
    {0, 0, 0x73, 11},
    {0, 0, 0x74, 11},
    {0, 0, 0x75, 11},
    {0, 0, 0x76, 11},
    {0, 0, 0x77, 11},
    {0, 0, 0x78, 11},
    {0, 0, 0x79, 11},
    {0, 0, 0x7A, 11},
    {0, 0, 0x7B, 11},
    {0, 0, 0x7C, 11},
    {0, 0, 0x7D, 11},
    {0, 0, 0x7E, 11},
    {0, 0, 0x7F, 11}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {1, 3, 0x0, 0},
    {0, 0, 0x0, 6},
    {1, 4, 0x0, 0},
    {0, 0, 0x0, 5},
    {0, 0, 0x2, 6},
    {0, 0, 0x3, 6},
    {1, 5, 0x0, 0},
    {0, 0, 0x0, 4},
    {0, 0, 0x2, 5},
    {0, 0, 0x3, 5},
    {0, 0, 0x4, 6},
    {0, 0, 0x5, 6},
    {0, 0, 0x6, 6},
    {0, 0, 0x7, 6},
    {1, 6, 0x0, 0},
    {0, 0, 0x0, 3},
    {0, 0, 0x2, 4},
    {0, 0, 0x3, 4},
    {0, 0, 0x4, 5},
    {0, 0, 0x5, 5},
    {0, 0, 0x6, 5},
    {0, 0, 0x7, 5},
    {0, 0, 0x8, 6},
    {0, 0, 0x9, 6},
    {0, 0, 0xA, 6},
    {0, 0, 0xB, 6},
    {0, 0, 0xC, 6},
    {0, 0, 0xD, 6},
    {0, 0, 0xE, 6},
    {0, 0, 0xF, 6},
    {1, 7, 0x0, 0},
    {0, 0, 0x0, 2},
    {0, 0, 0x2, 3},
    {0, 0, 0x3, 3},
    {0, 0, 0x4, 4},
    {0, 0, 0x5, 4},
    {0, 0, 0x6, 4},
    {0, 0, 0x7, 4},
    {0, 0, 0x8, 5},
    {0, 0, 0x9, 5},
    {0, 0, 0xA, 5},
    {0, 0, 0xB, 5},
    {0, 0, 0xC, 5},
    {0, 0, 0xD, 5},
    {0, 0, 0xE, 5},
    {0, 0, 0xF, 5},
    {0, 0, 0x10, 6},
    {0, 0, 0x11, 6},
    {0, 0, 0x12, 6},
    {0, 0, 0x13, 6},
    {0, 0, 0x14, 6},
    {0, 0, 0x15, 6},
    {0, 0, 0x16, 6},
    {0, 0, 0x17, 6},
    {0, 0, 0x18, 6},
    {0, 0, 0x19, 6},
    {0, 0, 0x1A, 6},
    {0, 0, 0x1B, 6},
    {0, 0, 0x1C, 6},
    {0, 0, 0x1D, 6},
    {0, 0, 0x1E, 6},
    {0, 0, 0x1F, 6},
    {1, 8, 0x0, 0},
    {0, 0, 0x0, 1},
    {0, 0, 0x2, 2},
    {0, 0, 0x3, 2},
    {0, 0, 0x4, 3},
    {0, 0, 0x5, 3},
    {0, 0, 0x6, 3},
    {0, 0, 0x7, 3},
    {0, 0, 0x8, 4},
    {0, 0, 0x9, 4},
    {0, 0, 0xA, 4},
    {0, 0, 0xB, 4},
    {0, 0, 0xC, 4},
    {0, 0, 0xD, 4},
    {0, 0, 0xE, 4},
    {0, 0, 0xF, 4},
    {0, 0, 0x10, 5},
    {0, 0, 0x11, 5},
    {0, 0, 0x12, 5},
    {0, 0, 0x13, 5},
    {0, 0, 0x14, 5},
    {0, 0, 0x15, 5},
    {0, 0, 0x16, 5},
    {0, 0, 0x17, 5},
    {0, 0, 0x18, 5},
    {0, 0, 0x19, 5},
    {0, 0, 0x1A, 5},
    {0, 0, 0x1B, 5},
    {0, 0, 0x1C, 5},
    {0, 0, 0x1D, 5},
    {0, 0, 0x1E, 5},
    {0, 0, 0x1F, 5},
    {0, 0, 0x20, 6},
    {0, 0, 0x21, 6},
    {0, 0, 0x22, 6},
    {0, 0, 0x23, 6},
    {0, 0, 0x24, 6},
    {0, 0, 0x25, 6},
    {0, 0, 0x26, 6},
    {0, 0, 0x27, 6},
    {0, 0, 0x28, 6},
    {0, 0, 0x29, 6},
    {0, 0, 0x2A, 6},
    {0, 0, 0x2B, 6},
    {0, 0, 0x2C, 6},
    {0, 0, 0x2D, 6},
    {0, 0, 0x2E, 6},
    {0, 0, 0x2F, 6},
    {0, 0, 0x30, 6},
    {0, 0, 0x31, 6},
    {0, 0, 0x32, 6},
    {0, 0, 0x33, 6},
    {0, 0, 0x34, 6},
    {0, 0, 0x35, 6},
    {0, 0, 0x36, 6},
    {0, 0, 0x37, 6},
    {0, 0, 0x38, 6},
    {0, 0, 0x39, 6},
    {0, 0, 0x3A, 6},
    {0, 0, 0x3B, 6},
    {0, 0, 0x3C, 6},
    {0, 0, 0x3D, 6},
    {0, 0, 0x3E, 6},
    {0, 0, 0x3F, 6},
    {0, 0, 0x0, -1},
    {0, 0, 0x0, 0},
    {0, 0, 0x2, 1},
    {0, 0, 0x3, 1},
    {0, 0, 0x4, 2},
    {0, 0, 0x5, 2},
    {0, 0, 0x6, 2},
    {0, 0, 0x7, 2},
    {0, 0, 0x8, 3},
    {0, 0, 0x9, 3},
    {0, 0, 0xA, 3},
    {0, 0, 0xB, 3},
    {0, 0, 0xC, 3},
    {0, 0, 0xD, 3},
    {0, 0, 0xE, 3},
    {0, 0, 0xF, 3},
    {0, 0, 0x10, 4},
    {0, 0, 0x11, 4},
    {0, 0, 0x12, 4},
    {0, 0, 0x13, 4},
    {0, 0, 0x14, 4},
    {0, 0, 0x15, 4},
    {0, 0, 0x16, 4},
    {0, 0, 0x17, 4},
    {0, 0, 0x18, 4},
    {0, 0, 0x19, 4},
    {0, 0, 0x1A, 4},
    {0, 0, 0x1B, 4},
    {0, 0, 0x1C, 4},
    {0, 0, 0x1D, 4},
    {0, 0, 0x1E, 4},
    {0, 0, 0x1F, 4},
    {0, 0, 0x20, 5},
    {0, 0, 0x21, 5},
    {0, 0, 0x22, 5},
    {0, 0, 0x23, 5},
    {0, 0, 0x24, 5},
    {0, 0, 0x25, 5},
    {0, 0, 0x26, 5},
    {0, 0, 0x27, 5},
    {0, 0, 0x28, 5},
    {0, 0, 0x29, 5},
    {0, 0, 0x2A, 5},
    {0, 0, 0x2B, 5},
    {0, 0, 0x2C, 5},
    {0, 0, 0x2D, 5},
    {0, 0, 0x2E, 5},
    {0, 0, 0x2F, 5},
    {0, 0, 0x30, 5},
    {0, 0, 0x31, 5},
    {0, 0, 0x32, 5},
    {0, 0, 0x33, 5},
    {0, 0, 0x34, 5},
    {0, 0, 0x35, 5},
    {0, 0, 0x36, 5},
    {0, 0, 0x37, 5},
    {0, 0, 0x38, 5},
    {0, 0, 0x39, 5},
    {0, 0, 0x3A, 5},
    {0, 0, 0x3B, 5},
    {0, 0, 0x3C, 5},
    {0, 0, 0x3D, 5},
    {0, 0, 0x3E, 5},
    {0, 0, 0x3F, 5},
    {0, 0, 0x40, 6},
    {0, 0, 0x41, 6},
    {0, 0, 0x42, 6},
    {0, 0, 0x43, 6},
    {0, 0, 0x44, 6},
    {0, 0, 0x45, 6},
    {0, 0, 0x46, 6},
    {0, 0, 0x47, 6},
    {0, 0, 0x48, 6},
    {0, 0, 0x49, 6},
    {0, 0, 0x4A, 6},
    {0, 0, 0x4B, 6},
    {0, 0, 0x4C, 6},
    {0, 0, 0x4D, 6},
    {0, 0, 0x4E, 6},
    {0, 0, 0x4F, 6},
    {0, 0, 0x50, 6},
    {0, 0, 0x51, 6},
    {0, 0, 0x52, 6},
    {0, 0, 0x53, 6},
    {0, 0, 0x54, 6},
    {0, 0, 0x55, 6},
    {0, 0, 0x56, 6},
    {0, 0, 0x57, 6},
    {0, 0, 0x58, 6},
    {0, 0, 0x59, 6},
    {0, 0, 0x5A, 6},
    {0, 0, 0x5B, 6},
    {0, 0, 0x5C, 6},
    {0, 0, 0x5D, 6},
    {0, 0, 0x5E, 6},
    {0, 0, 0x5F, 6},
    {0, 0, 0x60, 6},
    {0, 0, 0x61, 6},
    {0, 0, 0x62, 6},
    {0, 0, 0x63, 6},
    {0, 0, 0x64, 6},
    {0, 0, 0x65, 6},
    {0, 0, 0x66, 6},
    {0, 0, 0x67, 6},
    {0, 0, 0x68, 6},
    {0, 0, 0x69, 6},
    {0, 0, 0x6A, 6},
    {0, 0, 0x6B, 6},
    {0, 0, 0x6C, 6},
    {0, 0, 0x6D, 6},
    {0, 0, 0x6E, 6},
    {0, 0, 0x6F, 6},
    {0, 0, 0x70, 6},
    {0, 0, 0x71, 6},
    {0, 0, 0x72, 6},
    {0, 0, 0x73, 6},
    {0, 0, 0x74, 6},
    {0, 0, 0x75, 6},
    {0, 0, 0x76, 6},
    {0, 0, 0x77, 6},
    {0, 0, 0x78, 6},
    {0, 0, 0x79, 6},
    {0, 0, 0x7A, 6},
    {0, 0, 0x7B, 6},
    {0, 0, 0x7C, 6},
    {0, 0, 0x7D, 6},
    {0, 0, 0x7E, 6},
    {0, 0, 0x7F, 6},
    {0, 0, 0x2, -1},
    {0, 0, 0x3, -1},
    {0, 0, 0x2, 0},
    {0, 0, 0x3, 0},
    {0, 0, 0x4, 1},
    {0, 0, 0x5, 1},
    {0, 0, 0x6, 1},
    {0, 0, 0x7, 1},
    {0, 0, 0x8, 2},
    {0, 0, 0x9, 2},
    {0, 0, 0xA, 2},
    {0, 0, 0xB, 2},
    {0, 0, 0xC, 2},
    {0, 0, 0xD, 2},
    {0, 0, 0xE, 2},
    {0, 0, 0xF, 2},
    {0, 0, 0x10, 3},
    {0, 0, 0x11, 3},
    {0, 0, 0x12, 3},
    {0, 0, 0x13, 3},
    {0, 0, 0x14, 3},
    {0, 0, 0x15, 3},
    {0, 0, 0x16, 3},
    {0, 0, 0x17, 3},
    {0, 0, 0x18, 3},
    {0, 0, 0x19, 3},
    {0, 0, 0x1A, 3},
    {0, 0, 0x1B, 3},
    {0, 0, 0x1C, 3},
    {0, 0, 0x1D, 3},
    {0, 0, 0x1E, 3},
    {0, 0, 0x1F, 3},
    {0, 0, 0x20, 4},
    {0, 0, 0x21, 4},
    {0, 0, 0x22, 4},
    {0, 0, 0x23, 4},
    {0, 0, 0x24, 4},
    {0, 0, 0x25, 4},
    {0, 0, 0x26, 4},
    {0, 0, 0x27, 4},
    {0, 0, 0x28, 4},
    {0, 0, 0x29, 4},
    {0, 0, 0x2A, 4},
    {0, 0, 0x2B, 4},
    {0, 0, 0x2C, 4},
    {0, 0, 0x2D, 4},
    {0, 0, 0x2E, 4},
    {0, 0, 0x2F, 4},
    {0, 0, 0x30, 4},
    {0, 0, 0x31, 4},
    {0, 0, 0x32, 4},
    {0, 0, 0x33, 4},
    {0, 0, 0x34, 4},
    {0, 0, 0x35, 4},
    {0, 0, 0x36, 4},
    {0, 0, 0x37, 4},
    {0, 0, 0x38, 4},
    {0, 0, 0x39, 4},
    {0, 0, 0x3A, 4},
    {0, 0, 0x3B, 4},
    {0, 0, 0x3C, 4},
    {0, 0, 0x3D, 4},
    {0, 0, 0x3E, 4},
    {0, 0, 0x3F, 4},
    {0, 0, 0x40, 5},
    {0, 0, 0x41, 5},
    {0, 0, 0x42, 5},
    {0, 0, 0x43, 5},
    {0, 0, 0x44, 5},
    {0, 0, 0x45, 5},
    {0, 0, 0x46, 5},
    {0, 0, 0x47, 5},
    {0, 0, 0x48, 5},
    {0, 0, 0x49, 5},
    {0, 0, 0x4A, 5},
    {0, 0, 0x4B, 5},
    {0, 0, 0x4C, 5},
    {0, 0, 0x4D, 5},
    {0, 0, 0x4E, 5},
    {0, 0, 0x4F, 5},
    {0, 0, 0x50, 5},
    {0, 0, 0x51, 5},
    {0, 0, 0x52, 5},
    {0, 0, 0x53, 5},
    {0, 0, 0x54, 5},
    {0, 0, 0x55, 5},
    {0, 0, 0x56, 5},
    {0, 0, 0x57, 5},
    {0, 0, 0x58, 5},
    {0, 0, 0x59, 5},
    {0, 0, 0x5A, 5},
    {0, 0, 0x5B, 5},
    {0, 0, 0x5C, 5},
    {0, 0, 0x5D, 5},
    {0, 0, 0x5E, 5},
    {0, 0, 0x5F, 5},
    {0, 0, 0x60, 5},
    {0, 0, 0x61, 5},
    {0, 0, 0x62, 5},
    {0, 0, 0x63, 5},
    {0, 0, 0x64, 5},
    {0, 0, 0x65, 5},
    {0, 0, 0x66, 5},
    {0, 0, 0x67, 5},
    {0, 0, 0x68, 5},
    {0, 0, 0x69, 5},
    {0, 0, 0x6A, 5},
    {0, 0, 0x6B, 5},
    {0, 0, 0x6C, 5},
    {0, 0, 0x6D, 5},
    {0, 0, 0x6E, 5},
    {0, 0, 0x6F, 5},
    {0, 0, 0x70, 5},
    {0, 0, 0x71, 5},
    {0, 0, 0x72, 5},
    {0, 0, 0x73, 5},
    {0, 0, 0x74, 5},
    {0, 0, 0x75, 5},
    {0, 0, 0x76, 5},
    {0, 0, 0x77, 5},
    {0, 0, 0x78, 5},
    {0, 0, 0x79, 5},
    {0, 0, 0x7A, 5},
    {0, 0, 0x7B, 5},
    {0, 0, 0x7C, 5},
    {0, 0, 0x7D, 5},
    {0, 0, 0x7E, 5},
    {0, 0, 0x7F, 5},
    {0, 0, 0x80, 6},
    {0, 0, 0x81, 6},
    {0, 0, 0x82, 6},
    {0, 0, 0x83, 6},
    {0, 0, 0x84, 6},
    {0, 0, 0x85, 6},
    {0, 0, 0x86, 6},
    {0, 0, 0x87, 6},
    {0, 0, 0x88, 6},
    {0, 0, 0x89, 6},
    {0, 0, 0x8A, 6},
    {0, 0, 0x8B, 6},
    {0, 0, 0x8C, 6},
    {0, 0, 0x8D, 6},
    {0, 0, 0x8E, 6},
    {0, 0, 0x8F, 6},
    {0, 0, 0x90, 6},
    {0, 0, 0x91, 6},
    {0, 0, 0x92, 6},
    {0, 0, 0x93, 6},
    {0, 0, 0x94, 6},
    {0, 0, 0x95, 6},
    {0, 0, 0x96, 6},
    {0, 0, 0x97, 6},
    {0, 0, 0x98, 6},
    {0, 0, 0x99, 6},
    {0, 0, 0x9A, 6},
    {0, 0, 0x9B, 6},
    {0, 0, 0x9C, 6},
    {0, 0, 0x9D, 6},
    {0, 0, 0x9E, 6},
    {0, 0, 0x9F, 6},
    {0, 0, 0xA0, 6},
    {0, 0, 0xA1, 6},
    {0, 0, 0xA2, 6},
    {0, 0, 0xA3, 6},
    {0, 0, 0xA4, 6},
    {0, 0, 0xA5, 6},
    {0, 0, 0xA6, 6},
    {0, 0, 0xA7, 6},
    {0, 0, 0xA8, 6},
    {0, 0, 0xA9, 6},
    {0, 0, 0xAA, 6},
    {0, 0, 0xAB, 6},
    {0, 0, 0xAC, 6},
    {0, 0, 0xAD, 6},
    {0, 0, 0xAE, 6},
    {0, 0, 0xAF, 6},
    {0, 0, 0xB0, 6},
    {0, 0, 0xB1, 6},
    {0, 0, 0xB2, 6},
    {0, 0, 0xB3, 6},
    {0, 0, 0xB4, 6},
    {0, 0, 0xB5, 6},
    {0, 0, 0xB6, 6},
    {0, 0, 0xB7, 6},
    {0, 0, 0xB8, 6},
    {0, 0, 0xB9, 6},
    {0, 0, 0xBA, 6},
    {0, 0, 0xBB, 6},
    {0, 0, 0xBC, 6},
    {0, 0, 0xBD, 6},
    {0, 0, 0xBE, 6},
    {0, 0, 0xBF, 6},
    {0, 0, 0xC0, 6},
    {0, 0, 0xC1, 6},
    {0, 0, 0xC2, 6},
    {0, 0, 0xC3, 6},
    {0, 0, 0xC4, 6},
    {0, 0, 0xC5, 6},
    {0, 0, 0xC6, 6},
    {0, 0, 0xC7, 6},
    {0, 0, 0xC8, 6},
    {0, 0, 0xC9, 6},
    {0, 0, 0xCA, 6},
    {0, 0, 0xCB, 6},
    {0, 0, 0xCC, 6},
    {0, 0, 0xCD, 6},
    {0, 0, 0xCE, 6},
    {0, 0, 0xCF, 6},
    {0, 0, 0xD0, 6},
    {0, 0, 0xD1, 6},
    {0, 0, 0xD2, 6},
    {0, 0, 0xD3, 6},
    {0, 0, 0xD4, 6},
    {0, 0, 0xD5, 6},
    {0, 0, 0xD6, 6},
    {0, 0, 0xD7, 6},
    {0, 0, 0xD8, 6},
    {0, 0, 0xD9, 6},
    {0, 0, 0xDA, 6},
    {0, 0, 0xDB, 6},
    {0, 0, 0xDC, 6},
    {0, 0, 0xDD, 6},
    {0, 0, 0xDE, 6},
    {0, 0, 0xDF, 6},
    {0, 0, 0xE0, 6},
    {0, 0, 0xE1, 6},
    {0, 0, 0xE2, 6},
    {0, 0, 0xE3, 6},
    {0, 0, 0xE4, 6},
    {0, 0, 0xE5, 6},
    {0, 0, 0xE6, 6},
    {0, 0, 0xE7, 6},
    {0, 0, 0xE8, 6},
    {0, 0, 0xE9, 6},
    {0, 0, 0xEA, 6},
    {0, 0, 0xEB, 6},
    {0, 0, 0xEC, 6},
    {0, 0, 0xED, 6},
    {0, 0, 0xEE, 6},
    {0, 0, 0xEF, 6},
    {0, 0, 0xF0, 6},
    {0, 0, 0xF1, 6},
    {0, 0, 0xF2, 6},
    {0, 0, 0xF3, 6},
    {0, 0, 0xF4, 6},
    {0, 0, 0xF5, 6},
    {0, 0, 0xF6, 6},
    {0, 0, 0xF7, 6},
    {0, 0, 0xF8, 6},
    {0, 0, 0xF9, 6},
    {0, 0, 0xFA, 6},
    {0, 0, 0xFB, 6},
    {0, 0, 0xFC, 6},
    {0, 0, 0xFD, 6},
    {0, 0, 0xFE, 6},
    {0, 0, 0xFF, 6}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {1, 4, 0x0, 0},
    {0, 0, 0x0, 5},
    {1, 5, 0x0, 0},
    {0, 0, 0x0, 4},
    {0, 0, 0x2, 5},
    {0, 0, 0x3, 5},
    {1, 6, 0x0, 0},
    {0, 0, 0x0, 3},
    {0, 0, 0x2, 4},
    {0, 0, 0x3, 4},
    {0, 0, 0x4, 5},
    {0, 0, 0x5, 5},
    {0, 0, 0x6, 5},
    {0, 0, 0x7, 5},
    {1, 7, 0x0, 0},
    {0, 0, 0x0, 2},
    {0, 0, 0x2, 3},
    {0, 0, 0x3, 3},
    {0, 0, 0x4, 4},
    {0, 0, 0x5, 4},
    {0, 0, 0x6, 4},
    {0, 0, 0x7, 4},
    {0, 0, 0x8, 5},
    {0, 0, 0x9, 5},
    {0, 0, 0xA, 5},
    {0, 0, 0xB, 5},
    {0, 0, 0xC, 5},
    {0, 0, 0xD, 5},
    {0, 0, 0xE, 5},
    {0, 0, 0xF, 5},
    {1, 8, 0x0, 0},
    {0, 0, 0x0, 1},
    {0, 0, 0x2, 2},
    {0, 0, 0x3, 2},
    {0, 0, 0x4, 3},
    {0, 0, 0x5, 3},
    {0, 0, 0x6, 3},
    {0, 0, 0x7, 3},
    {0, 0, 0x8, 4},
    {0, 0, 0x9, 4},
    {0, 0, 0xA, 4},
    {0, 0, 0xB, 4},
    {0, 0, 0xC, 4},
    {0, 0, 0xD, 4},
    {0, 0, 0xE, 4},
    {0, 0, 0xF, 4},
    {0, 0, 0x10, 5},
    {0, 0, 0x11, 5},
    {0, 0, 0x12, 5},
    {0, 0, 0x13, 5},
    {0, 0, 0x14, 5},
    {0, 0, 0x15, 5},
    {0, 0, 0x16, 5},
    {0, 0, 0x17, 5},
    {0, 0, 0x18, 5},
    {0, 0, 0x19, 5},
    {0, 0, 0x1A, 5},
    {0, 0, 0x1B, 5},
    {0, 0, 0x1C, 5},
    {0, 0, 0x1D, 5},
    {0, 0, 0x1E, 5},
    {0, 0, 0x1F, 5},
    {0, 0, 0x0, -1},
    {0, 0, 0x0, 0},
    {0, 0, 0x2, 1},
    {0, 0, 0x3, 1},
    {0, 0, 0x4, 2},
    {0, 0, 0x5, 2},
    {0, 0, 0x6, 2},
    {0, 0, 0x7, 2},
    {0, 0, 0x8, 3},
    {0, 0, 0x9, 3},
    {0, 0, 0xA, 3},
    {0, 0, 0xB, 3},
    {0, 0, 0xC, 3},
    {0, 0, 0xD, 3},
    {0, 0, 0xE, 3},
    {0, 0, 0xF, 3},
    {0, 0, 0x10, 4},
    {0, 0, 0x11, 4},
    {0, 0, 0x12, 4},
    {0, 0, 0x13, 4},
    {0, 0, 0x14, 4},
    {0, 0, 0x15, 4},
    {0, 0, 0x16, 4},
    {0, 0, 0x17, 4},
    {0, 0, 0x18, 4},
    {0, 0, 0x19, 4},
    {0, 0, 0x1A, 4},
    {0, 0, 0x1B, 4},
    {0, 0, 0x1C, 4},
    {0, 0, 0x1D, 4},
    {0, 0, 0x1E, 4},
    {0, 0, 0x1F, 4},
    {0, 0, 0x20, 5},
    {0, 0, 0x21, 5},
    {0, 0, 0x22, 5},
    {0, 0, 0x23, 5},
    {0, 0, 0x24, 5},
    {0, 0, 0x25, 5},
    {0, 0, 0x26, 5},
    {0, 0, 0x27, 5},
    {0, 0, 0x28, 5},
    {0, 0, 0x29, 5},
    {0, 0, 0x2A, 5},
    {0, 0, 0x2B, 5},
    {0, 0, 0x2C, 5},
    {0, 0, 0x2D, 5},
    {0, 0, 0x2E, 5},
    {0, 0, 0x2F, 5},
    {0, 0, 0x30, 5},
    {0, 0, 0x31, 5},
    {0, 0, 0x32, 5},
    {0, 0, 0x33, 5},
    {0, 0, 0x34, 5},
    {0, 0, 0x35, 5},
    {0, 0, 0x36, 5},
    {0, 0, 0x37, 5},
    {0, 0, 0x38, 5},
    {0, 0, 0x39, 5},
    {0, 0, 0x3A, 5},
    {0, 0, 0x3B, 5},
    {0, 0, 0x3C, 5},
    {0, 0, 0x3D, 5},
    {0, 0, 0x3E, 5},
    {0, 0, 0x3F, 5},
    {0, 0, 0x2, -1},
    {0, 0, 0x3, -1},
    {0, 0, 0x2, 0},
    {0, 0, 0x3, 0},
    {0, 0, 0x4, 1},
    {0, 0, 0x5, 1},
    {0, 0, 0x6, 1},
    {0, 0, 0x7, 1},
    {0, 0, 0x8, 2},
    {0, 0, 0x9, 2},
    {0, 0, 0xA, 2},
    {0, 0, 0xB, 2},
    {0, 0, 0xC, 2},
    {0, 0, 0xD, 2},
    {0, 0, 0xE, 2},
    {0, 0, 0xF, 2},
    {0, 0, 0x10, 3},
    {0, 0, 0x11, 3},
    {0, 0, 0x12, 3},
    {0, 0, 0x13, 3},
    {0, 0, 0x14, 3},
    {0, 0, 0x15, 3},
    {0, 0, 0x16, 3},
    {0, 0, 0x17, 3},
    {0, 0, 0x18, 3},
    {0, 0, 0x19, 3},
    {0, 0, 0x1A, 3},
    {0, 0, 0x1B, 3},
    {0, 0, 0x1C, 3},
    {0, 0, 0x1D, 3},
    {0, 0, 0x1E, 3},
    {0, 0, 0x1F, 3},
    {0, 0, 0x20, 4},
    {0, 0, 0x21, 4},
    {0, 0, 0x22, 4},
    {0, 0, 0x23, 4},
    {0, 0, 0x24, 4},
    {0, 0, 0x25, 4},
    {0, 0, 0x26, 4},
    {0, 0, 0x27, 4},
    {0, 0, 0x28, 4},
    {0, 0, 0x29, 4},
    {0, 0, 0x2A, 4},
    {0, 0, 0x2B, 4},
    {0, 0, 0x2C, 4},
    {0, 0, 0x2D, 4},
    {0, 0, 0x2E, 4},
    {0, 0, 0x2F, 4},
    {0, 0, 0x30, 4},
    {0, 0, 0x31, 4},
    {0, 0, 0x32, 4},
    {0, 0, 0x33, 4},
    {0, 0, 0x34, 4},
    {0, 0, 0x35, 4},
    {0, 0, 0x36, 4},
    {0, 0, 0x37, 4},
    {0, 0, 0x38, 4},
    {0, 0, 0x39, 4},
    {0, 0, 0x3A, 4},
    {0, 0, 0x3B, 4},
    {0, 0, 0x3C, 4},
    {0, 0, 0x3D, 4},
    {0, 0, 0x3E, 4},
    {0, 0, 0x3F, 4},
    {0, 0, 0x40, 5},
    {0, 0, 0x41, 5},
    {0, 0, 0x42, 5},
    {0, 0, 0x43, 5},
    {0, 0, 0x44, 5},
    {0, 0, 0x45, 5},
    {0, 0, 0x46, 5},
    {0, 0, 0x47, 5},
    {0, 0, 0x48, 5},
    {0, 0, 0x49, 5},
    {0, 0, 0x4A, 5},
    {0, 0, 0x4B, 5},
    {0, 0, 0x4C, 5},
    {0, 0, 0x4D, 5},
    {0, 0, 0x4E, 5},
    {0, 0, 0x4F, 5},
    {0, 0, 0x50, 5},
    {0, 0, 0x51, 5},
    {0, 0, 0x52, 5},
    {0, 0, 0x53, 5},
    {0, 0, 0x54, 5},
    {0, 0, 0x55, 5},
    {0, 0, 0x56, 5},
    {0, 0, 0x57, 5},
    {0, 0, 0x58, 5},
    {0, 0, 0x59, 5},
    {0, 0, 0x5A, 5},
    {0, 0, 0x5B, 5},
    {0, 0, 0x5C, 5},
    {0, 0, 0x5D, 5},
    {0, 0, 0x5E, 5},
    {0, 0, 0x5F, 5},
    {0, 0, 0x60, 5},
    {0, 0, 0x61, 5},
    {0, 0, 0x62, 5},
    {0, 0, 0x63, 5},
    {0, 0, 0x64, 5},
    {0, 0, 0x65, 5},
    {0, 0, 0x66, 5},
    {0, 0, 0x67, 5},
    {0, 0, 0x68, 5},
    {0, 0, 0x69, 5},
    {0, 0, 0x6A, 5},
    {0, 0, 0x6B, 5},
    {0, 0, 0x6C, 5},
    {0, 0, 0x6D, 5},
    {0, 0, 0x6E, 5},
    {0, 0, 0x6F, 5},
    {0, 0, 0x70, 5},
    {0, 0, 0x71, 5},
    {0, 0, 0x72, 5},
    {0, 0, 0x73, 5},
    {0, 0, 0x74, 5},
    {0, 0, 0x75, 5},
    {0, 0, 0x76, 5},
    {0, 0, 0x77, 5},
    {0, 0, 0x78, 5},
    {0, 0, 0x79, 5},
    {0, 0, 0x7A, 5},
    {0, 0, 0x7B, 5},
    {0, 0, 0x7C, 5},
    {0, 0, 0x7D, 5},
    {0, 0, 0x7E, 5},
    {0, 0, 0x7F, 5},
    {0, 0, 0x4, -1},
    {0, 0, 0x5, -1},
    {0, 0, 0x6, -1},
    {0, 0, 0x7, -1},
    {0, 0, 0x4, 0},
    {0, 0, 0x5, 0},
    {0, 0, 0x6, 0},
    {0, 0, 0x7, 0},
    {0, 0, 0x8, 1},
    {0, 0, 0x9, 1},
    {0, 0, 0xA, 1},
    {0, 0, 0xB, 1},
    {0, 0, 0xC, 1},
    {0, 0, 0xD, 1},
    {0, 0, 0xE, 1},
    {0, 0, 0xF, 1},
    {0, 0, 0x10, 2},
    {0, 0, 0x11, 2},
    {0, 0, 0x12, 2},
    {0, 0, 0x13, 2},
    {0, 0, 0x14, 2},
    {0, 0, 0x15, 2},
    {0, 0, 0x16, 2},
    {0, 0, 0x17, 2},
    {0, 0, 0x18, 2},
    {0, 0, 0x19, 2},
    {0, 0, 0x1A, 2},
    {0, 0, 0x1B, 2},
    {0, 0, 0x1C, 2},
    {0, 0, 0x1D, 2},
    {0, 0, 0x1E, 2},
    {0, 0, 0x1F, 2},
    {0, 0, 0x20, 3},
    {0, 0, 0x21, 3},
    {0, 0, 0x22, 3},
    {0, 0, 0x23, 3},
    {0, 0, 0x24, 3},
    {0, 0, 0x25, 3},
    {0, 0, 0x26, 3},
    {0, 0, 0x27, 3},
    {0, 0, 0x28, 3},
    {0, 0, 0x29, 3},
    {0, 0, 0x2A, 3},
    {0, 0, 0x2B, 3},
    {0, 0, 0x2C, 3},
    {0, 0, 0x2D, 3},
    {0, 0, 0x2E, 3},
    {0, 0, 0x2F, 3},
    {0, 0, 0x30, 3},
    {0, 0, 0x31, 3},
    {0, 0, 0x32, 3},
    {0, 0, 0x33, 3},
    {0, 0, 0x34, 3},
    {0, 0, 0x35, 3},
    {0, 0, 0x36, 3},
    {0, 0, 0x37, 3},
    {0, 0, 0x38, 3},
    {0, 0, 0x39, 3},
    {0, 0, 0x3A, 3},
    {0, 0, 0x3B, 3},
    {0, 0, 0x3C, 3},
    {0, 0, 0x3D, 3},
    {0, 0, 0x3E, 3},
    {0, 0, 0x3F, 3},
    {0, 0, 0x40, 4},
    {0, 0, 0x41, 4},
    {0, 0, 0x42, 4},
    {0, 0, 0x43, 4},
    {0, 0, 0x44, 4},
    {0, 0, 0x45, 4},
    {0, 0, 0x46, 4},
    {0, 0, 0x47, 4},
    {0, 0, 0x48, 4},
    {0, 0, 0x49, 4},
    {0, 0, 0x4A, 4},
    {0, 0, 0x4B, 4},
    {0, 0, 0x4C, 4},
    {0, 0, 0x4D, 4},
    {0, 0, 0x4E, 4},
    {0, 0, 0x4F, 4},
    {0, 0, 0x50, 4},
    {0, 0, 0x51, 4},
    {0, 0, 0x52, 4},
    {0, 0, 0x53, 4},
    {0, 0, 0x54, 4},
    {0, 0, 0x55, 4},
    {0, 0, 0x56, 4},
    {0, 0, 0x57, 4},
    {0, 0, 0x58, 4},
    {0, 0, 0x59, 4},
    {0, 0, 0x5A, 4},
    {0, 0, 0x5B, 4},
    {0, 0, 0x5C, 4},
    {0, 0, 0x5D, 4},
    {0, 0, 0x5E, 4},
    {0, 0, 0x5F, 4},
    {0, 0, 0x60, 4},
    {0, 0, 0x61, 4},
    {0, 0, 0x62, 4},
    {0, 0, 0x63, 4},
    {0, 0, 0x64, 4},
    {0, 0, 0x65, 4},
    {0, 0, 0x66, 4},
    {0, 0, 0x67, 4},
    {0, 0, 0x68, 4},
    {0, 0, 0x69, 4},
    {0, 0, 0x6A, 4},
    {0, 0, 0x6B, 4},
    {0, 0, 0x6C, 4},
    {0, 0, 0x6D, 4},
    {0, 0, 0x6E, 4},
    {0, 0, 0x6F, 4},
    {0, 0, 0x70, 4},
    {0, 0, 0x71, 4},
    {0, 0, 0x72, 4},
    {0, 0, 0x73, 4},
    {0, 0, 0x74, 4},
    {0, 0, 0x75, 4},
    {0, 0, 0x76, 4},
    {0, 0, 0x77, 4},
    {0, 0, 0x78, 4},
    {0, 0, 0x79, 4},
    {0, 0, 0x7A, 4},
    {0, 0, 0x7B, 4},
    {0, 0, 0x7C, 4},
    {0, 0, 0x7D, 4},
    {0, 0, 0x7E, 4},
    {0, 0, 0x7F, 4},
    {0, 0, 0x80, 5},
    {0, 0, 0x81, 5},
    {0, 0, 0x82, 5},
    {0, 0, 0x83, 5},
    {0, 0, 0x84, 5},
    {0, 0, 0x85, 5},
    {0, 0, 0x86, 5},
    {0, 0, 0x87, 5},
    {0, 0, 0x88, 5},
    {0, 0, 0x89, 5},
    {0, 0, 0x8A, 5},
    {0, 0, 0x8B, 5},
    {0, 0, 0x8C, 5},
    {0, 0, 0x8D, 5},
    {0, 0, 0x8E, 5},
    {0, 0, 0x8F, 5},
    {0, 0, 0x90, 5},
    {0, 0, 0x91, 5},
    {0, 0, 0x92, 5},
    {0, 0, 0x93, 5},
    {0, 0, 0x94, 5},
    {0, 0, 0x95, 5},
    {0, 0, 0x96, 5},
    {0, 0, 0x97, 5},
    {0, 0, 0x98, 5},
    {0, 0, 0x99, 5},
    {0, 0, 0x9A, 5},
    {0, 0, 0x9B, 5},
    {0, 0, 0x9C, 5},
    {0, 0, 0x9D, 5},
    {0, 0, 0x9E, 5},
    {0, 0, 0x9F, 5},
    {0, 0, 0xA0, 5},
    {0, 0, 0xA1, 5},
    {0, 0, 0xA2, 5},
    {0, 0, 0xA3, 5},
    {0, 0, 0xA4, 5},
    {0, 0, 0xA5, 5},
    {0, 0, 0xA6, 5},
    {0, 0, 0xA7, 5},
    {0, 0, 0xA8, 5},
    {0, 0, 0xA9, 5},
    {0, 0, 0xAA, 5},
    {0, 0, 0xAB, 5},
    {0, 0, 0xAC, 5},
    {0, 0, 0xAD, 5},
    {0, 0, 0xAE, 5},
    {0, 0, 0xAF, 5},
    {0, 0, 0xB0, 5},
    {0, 0, 0xB1, 5},
    {0, 0, 0xB2, 5},
    {0, 0, 0xB3, 5},
    {0, 0, 0xB4, 5},
    {0, 0, 0xB5, 5},
    {0, 0, 0xB6, 5},
    {0, 0, 0xB7, 5},
    {0, 0, 0xB8, 5},
    {0, 0, 0xB9, 5},
    {0, 0, 0xBA, 5},
    {0, 0, 0xBB, 5},
    {0, 0, 0xBC, 5},
    {0, 0, 0xBD, 5},
    {0, 0, 0xBE, 5},
    {0, 0, 0xBF, 5},
    {0, 0, 0xC0, 5},
    {0, 0, 0xC1, 5},
    {0, 0, 0xC2, 5},
    {0, 0, 0xC3, 5},
    {0, 0, 0xC4, 5},
    {0, 0, 0xC5, 5},
    {0, 0, 0xC6, 5},
    {0, 0, 0xC7, 5},
    {0, 0, 0xC8, 5},
    {0, 0, 0xC9, 5},
    {0, 0, 0xCA, 5},
    {0, 0, 0xCB, 5},
    {0, 0, 0xCC, 5},
    {0, 0, 0xCD, 5},
    {0, 0, 0xCE, 5},
    {0, 0, 0xCF, 5},
    {0, 0, 0xD0, 5},
    {0, 0, 0xD1, 5},
    {0, 0, 0xD2, 5},
    {0, 0, 0xD3, 5},
    {0, 0, 0xD4, 5},
    {0, 0, 0xD5, 5},
    {0, 0, 0xD6, 5},
    {0, 0, 0xD7, 5},
    {0, 0, 0xD8, 5},
    {0, 0, 0xD9, 5},
    {0, 0, 0xDA, 5},
    {0, 0, 0xDB, 5},
    {0, 0, 0xDC, 5},
    {0, 0, 0xDD, 5},
    {0, 0, 0xDE, 5},
    {0, 0, 0xDF, 5},
    {0, 0, 0xE0, 5},
    {0, 0, 0xE1, 5},
    {0, 0, 0xE2, 5},
    {0, 0, 0xE3, 5},
    {0, 0, 0xE4, 5},
    {0, 0, 0xE5, 5},
    {0, 0, 0xE6, 5},
    {0, 0, 0xE7, 5},
    {0, 0, 0xE8, 5},
    {0, 0, 0xE9, 5},
    {0, 0, 0xEA, 5},
    {0, 0, 0xEB, 5},
    {0, 0, 0xEC, 5},
    {0, 0, 0xED, 5},
    {0, 0, 0xEE, 5},
    {0, 0, 0xEF, 5},
    {0, 0, 0xF0, 5},
    {0, 0, 0xF1, 5},
    {0, 0, 0xF2, 5},
    {0, 0, 0xF3, 5},
    {0, 0, 0xF4, 5},
    {0, 0, 0xF5, 5},
    {0, 0, 0xF6, 5},
    {0, 0, 0xF7, 5},
    {0, 0, 0xF8, 5},
    {0, 0, 0xF9, 5},
    {0, 0, 0xFA, 5},
    {0, 0, 0xFB, 5},
    {0, 0, 0xFC, 5},
    {0, 0, 0xFD, 5},
    {0, 0, 0xFE, 5},
    {0, 0, 0xFF, 5}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {1, 5, 0x0, 0},
    {0, 0, 0x0, 4},
    {1, 6, 0x0, 0},
    {0, 0, 0x0, 3},
    {0, 0, 0x2, 4},
    {0, 0, 0x3, 4},
    {1, 7, 0x0, 0},
    {0, 0, 0x0, 2},
    {0, 0, 0x2, 3},
    {0, 0, 0x3, 3},
    {0, 0, 0x4, 4},
    {0, 0, 0x5, 4},
    {0, 0, 0x6, 4},
    {0, 0, 0x7, 4},
    {1, 8, 0x0, 0},
    {0, 0, 0x0, 1},
    {0, 0, 0x2, 2},
    {0, 0, 0x3, 2},
    {0, 0, 0x4, 3},
    {0, 0, 0x5, 3},
    {0, 0, 0x6, 3},
    {0, 0, 0x7, 3},
    {0, 0, 0x8, 4},
    {0, 0, 0x9, 4},
    {0, 0, 0xA, 4},
    {0, 0, 0xB, 4},
    {0, 0, 0xC, 4},
    {0, 0, 0xD, 4},
    {0, 0, 0xE, 4},
    {0, 0, 0xF, 4},
    {0, 0, 0x0, -1},
    {0, 0, 0x0, 0},
    {0, 0, 0x2, 1},
    {0, 0, 0x3, 1},
    {0, 0, 0x4, 2},
    {0, 0, 0x5, 2},
    {0, 0, 0x6, 2},
    {0, 0, 0x7, 2},
    {0, 0, 0x8, 3},
    {0, 0, 0x9, 3},
    {0, 0, 0xA, 3},
    {0, 0, 0xB, 3},
    {0, 0, 0xC, 3},
    {0, 0, 0xD, 3},
    {0, 0, 0xE, 3},
    {0, 0, 0xF, 3},
    {0, 0, 0x10, 4},
    {0, 0, 0x11, 4},
    {0, 0, 0x12, 4},
    {0, 0, 0x13, 4},
    {0, 0, 0x14, 4},
    {0, 0, 0x15, 4},
    {0, 0, 0x16, 4},
    {0, 0, 0x17, 4},
    {0, 0, 0x18, 4},
    {0, 0, 0x19, 4},
    {0, 0, 0x1A, 4},
    {0, 0, 0x1B, 4},
    {0, 0, 0x1C, 4},
    {0, 0, 0x1D, 4},
    {0, 0, 0x1E, 4},
    {0, 0, 0x1F, 4},
    {0, 0, 0x2, -1},
    {0, 0, 0x3, -1},
    {0, 0, 0x2, 0},
    {0, 0, 0x3, 0},
    {0, 0, 0x4, 1},
    {0, 0, 0x5, 1},
    {0, 0, 0x6, 1},
    {0, 0, 0x7, 1},
    {0, 0, 0x8, 2},
    {0, 0, 0x9, 2},
    {0, 0, 0xA, 2},
    {0, 0, 0xB, 2},
    {0, 0, 0xC, 2},
    {0, 0, 0xD, 2},
    {0, 0, 0xE, 2},
    {0, 0, 0xF, 2},
    {0, 0, 0x10, 3},
    {0, 0, 0x11, 3},
    {0, 0, 0x12, 3},
    {0, 0, 0x13, 3},
    {0, 0, 0x14, 3},
    {0, 0, 0x15, 3},
    {0, 0, 0x16, 3},
    {0, 0, 0x17, 3},
    {0, 0, 0x18, 3},
    {0, 0, 0x19, 3},
    {0, 0, 0x1A, 3},
    {0, 0, 0x1B, 3},
    {0, 0, 0x1C, 3},
    {0, 0, 0x1D, 3},
    {0, 0, 0x1E, 3},
    {0, 0, 0x1F, 3},
    {0, 0, 0x20, 4},
    {0, 0, 0x21, 4},
    {0, 0, 0x22, 4},
    {0, 0, 0x23, 4},
    {0, 0, 0x24, 4},
    {0, 0, 0x25, 4},
    {0, 0, 0x26, 4},
    {0, 0, 0x27, 4},
    {0, 0, 0x28, 4},
    {0, 0, 0x29, 4},
    {0, 0, 0x2A, 4},
    {0, 0, 0x2B, 4},
    {0, 0, 0x2C, 4},
    {0, 0, 0x2D, 4},
    {0, 0, 0x2E, 4},
    {0, 0, 0x2F, 4},
    {0, 0, 0x30, 4},
    {0, 0, 0x31, 4},
    {0, 0, 0x32, 4},
    {0, 0, 0x33, 4},
    {0, 0, 0x34, 4},
    {0, 0, 0x35, 4},
    {0, 0, 0x36, 4},
    {0, 0, 0x37, 4},
    {0, 0, 0x38, 4},
    {0, 0, 0x39, 4},
    {0, 0, 0x3A, 4},
    {0, 0, 0x3B, 4},
    {0, 0, 0x3C, 4},
    {0, 0, 0x3D, 4},
    {0, 0, 0x3E, 4},
    {0, 0, 0x3F, 4},
    {0, 0, 0x4, -1},
    {0, 0, 0x5, -1},
    {0, 0, 0x6, -1},
    {0, 0, 0x7, -1},
    {0, 0, 0x4, 0},
    {0, 0, 0x5, 0},
    {0, 0, 0x6, 0},
    {0, 0, 0x7, 0},
    {0, 0, 0x8, 1},
    {0, 0, 0x9, 1},
    {0, 0, 0xA, 1},
    {0, 0, 0xB, 1},
    {0, 0, 0xC, 1},
    {0, 0, 0xD, 1},
    {0, 0, 0xE, 1},
    {0, 0, 0xF, 1},
    {0, 0, 0x10, 2},
    {0, 0, 0x11, 2},
    {0, 0, 0x12, 2},
    {0, 0, 0x13, 2},
    {0, 0, 0x14, 2},
    {0, 0, 0x15, 2},
    {0, 0, 0x16, 2},
    {0, 0, 0x17, 2},
    {0, 0, 0x18, 2},
    {0, 0, 0x19, 2},
    {0, 0, 0x1A, 2},
    {0, 0, 0x1B, 2},
    {0, 0, 0x1C, 2},
    {0, 0, 0x1D, 2},
    {0, 0, 0x1E, 2},
    {0, 0, 0x1F, 2},
    {0, 0, 0x20, 3},
    {0, 0, 0x21, 3},
    {0, 0, 0x22, 3},
    {0, 0, 0x23, 3},
    {0, 0, 0x24, 3},
    {0, 0, 0x25, 3},
    {0, 0, 0x26, 3},
    {0, 0, 0x27, 3},
    {0, 0, 0x28, 3},
    {0, 0, 0x29, 3},
    {0, 0, 0x2A, 3},
    {0, 0, 0x2B, 3},
    {0, 0, 0x2C, 3},
    {0, 0, 0x2D, 3},
    {0, 0, 0x2E, 3},
    {0, 0, 0x2F, 3},
    {0, 0, 0x30, 3},
    {0, 0, 0x31, 3},
    {0, 0, 0x32, 3},
    {0, 0, 0x33, 3},
    {0, 0, 0x34, 3},
    {0, 0, 0x35, 3},
    {0, 0, 0x36, 3},
    {0, 0, 0x37, 3},
    {0, 0, 0x38, 3},
    {0, 0, 0x39, 3},
    {0, 0, 0x3A, 3},
    {0, 0, 0x3B, 3},
    {0, 0, 0x3C, 3},
    {0, 0, 0x3D, 3},
    {0, 0, 0x3E, 3},
    {0, 0, 0x3F, 3},
    {0, 0, 0x40, 4},
    {0, 0, 0x41, 4},
    {0, 0, 0x42, 4},
    {0, 0, 0x43, 4},
    {0, 0, 0x44, 4},
    {0, 0, 0x45, 4},
    {0, 0, 0x46, 4},
    {0, 0, 0x47, 4},
    {0, 0, 0x48, 4},
    {0, 0, 0x49, 4},
    {0, 0, 0x4A, 4},
    {0, 0, 0x4B, 4},
    {0, 0, 0x4C, 4},
    {0, 0, 0x4D, 4},
    {0, 0, 0x4E, 4},
    {0, 0, 0x4F, 4},
    {0, 0, 0x50, 4},
    {0, 0, 0x51, 4},
    {0, 0, 0x52, 4},
    {0, 0, 0x53, 4},
    {0, 0, 0x54, 4},
    {0, 0, 0x55, 4},
    {0, 0, 0x56, 4},
    {0, 0, 0x57, 4},
    {0, 0, 0x58, 4},
    {0, 0, 0x59, 4},
    {0, 0, 0x5A, 4},
    {0, 0, 0x5B, 4},
    {0, 0, 0x5C, 4},
    {0, 0, 0x5D, 4},
    {0, 0, 0x5E, 4},
    {0, 0, 0x5F, 4},
    {0, 0, 0x60, 4},
    {0, 0, 0x61, 4},
    {0, 0, 0x62, 4},
    {0, 0, 0x63, 4},
    {0, 0, 0x64, 4},
    {0, 0, 0x65, 4},
    {0, 0, 0x66, 4},
    {0, 0, 0x67, 4},
    {0, 0, 0x68, 4},
    {0, 0, 0x69, 4},
    {0, 0, 0x6A, 4},
    {0, 0, 0x6B, 4},
    {0, 0, 0x6C, 4},
    {0, 0, 0x6D, 4},
    {0, 0, 0x6E, 4},
    {0, 0, 0x6F, 4},
    {0, 0, 0x70, 4},
    {0, 0, 0x71, 4},
    {0, 0, 0x72, 4},
    {0, 0, 0x73, 4},
    {0, 0, 0x74, 4},
    {0, 0, 0x75, 4},
    {0, 0, 0x76, 4},
    {0, 0, 0x77, 4},
    {0, 0, 0x78, 4},
    {0, 0, 0x79, 4},
    {0, 0, 0x7A, 4},
    {0, 0, 0x7B, 4},
    {0, 0, 0x7C, 4},
    {0, 0, 0x7D, 4},
    {0, 0, 0x7E, 4},
    {0, 0, 0x7F, 4},
    {0, 0, 0x8, -1},
    {0, 0, 0x9, -1},
    {0, 0, 0xA, -1},
    {0, 0, 0xB, -1},
    {0, 0, 0xC, -1},
    {0, 0, 0xD, -1},
    {0, 0, 0xE, -1},
    {0, 0, 0xF, -1},
    {0, 0, 0x8, 0},
    {0, 0, 0x9, 0},
    {0, 0, 0xA, 0},
    {0, 0, 0xB, 0},
    {0, 0, 0xC, 0},
    {0, 0, 0xD, 0},
    {0, 0, 0xE, 0},
    {0, 0, 0xF, 0},
    {0, 0, 0x10, 1},
    {0, 0, 0x11, 1},
    {0, 0, 0x12, 1},
    {0, 0, 0x13, 1},
    {0, 0, 0x14, 1},
    {0, 0, 0x15, 1},
    {0, 0, 0x16, 1},
    {0, 0, 0x17, 1},
    {0, 0, 0x18, 1},
    {0, 0, 0x19, 1},
    {0, 0, 0x1A, 1},
    {0, 0, 0x1B, 1},
    {0, 0, 0x1C, 1},
    {0, 0, 0x1D, 1},
    {0, 0, 0x1E, 1},
    {0, 0, 0x1F, 1},
    {0, 0, 0x20, 2},
    {0, 0, 0x21, 2},
    {0, 0, 0x22, 2},
    {0, 0, 0x23, 2},
    {0, 0, 0x24, 2},
    {0, 0, 0x25, 2},
    {0, 0, 0x26, 2},
    {0, 0, 0x27, 2},
    {0, 0, 0x28, 2},
    {0, 0, 0x29, 2},
    {0, 0, 0x2A, 2},
    {0, 0, 0x2B, 2},
    {0, 0, 0x2C, 2},
    {0, 0, 0x2D, 2},
    {0, 0, 0x2E, 2},
    {0, 0, 0x2F, 2},
    {0, 0, 0x30, 2},
    {0, 0, 0x31, 2},
    {0, 0, 0x32, 2},
    {0, 0, 0x33, 2},
    {0, 0, 0x34, 2},
    {0, 0, 0x35, 2},
    {0, 0, 0x36, 2},
    {0, 0, 0x37, 2},
    {0, 0, 0x38, 2},
    {0, 0, 0x39, 2},
    {0, 0, 0x3A, 2},
    {0, 0, 0x3B, 2},
    {0, 0, 0x3C, 2},
    {0, 0, 0x3D, 2},
    {0, 0, 0x3E, 2},
    {0, 0, 0x3F, 2},
    {0, 0, 0x40, 3},
    {0, 0, 0x41, 3},
    {0, 0, 0x42, 3},
    {0, 0, 0x43, 3},
    {0, 0, 0x44, 3},
    {0, 0, 0x45, 3},
    {0, 0, 0x46, 3},
    {0, 0, 0x47, 3},
    {0, 0, 0x48, 3},
    {0, 0, 0x49, 3},
    {0, 0, 0x4A, 3},
    {0, 0, 0x4B, 3},
    {0, 0, 0x4C, 3},
    {0, 0, 0x4D, 3},
    {0, 0, 0x4E, 3},
    {0, 0, 0x4F, 3},
    {0, 0, 0x50, 3},
    {0, 0, 0x51, 3},
    {0, 0, 0x52, 3},
    {0, 0, 0x53, 3},
    {0, 0, 0x54, 3},
    {0, 0, 0x55, 3},
    {0, 0, 0x56, 3},
    {0, 0, 0x57, 3},
    {0, 0, 0x58, 3},
    {0, 0, 0x59, 3},
    {0, 0, 0x5A, 3},
    {0, 0, 0x5B, 3},
    {0, 0, 0x5C, 3},
    {0, 0, 0x5D, 3},
    {0, 0, 0x5E, 3},
    {0, 0, 0x5F, 3},
    {0, 0, 0x60, 3},
    {0, 0, 0x61, 3},
    {0, 0, 0x62, 3},
    {0, 0, 0x63, 3},
    {0, 0, 0x64, 3},
    {0, 0, 0x65, 3},
    {0, 0, 0x66, 3},
    {0, 0, 0x67, 3},
    {0, 0, 0x68, 3},
    {0, 0, 0x69, 3},
    {0, 0, 0x6A, 3},
    {0, 0, 0x6B, 3},
    {0, 0, 0x6C, 3},
    {0, 0, 0x6D, 3},
    {0, 0, 0x6E, 3},
    {0, 0, 0x6F, 3},
    {0, 0, 0x70, 3},
    {0, 0, 0x71, 3},
    {0, 0, 0x72, 3},
    {0, 0, 0x73, 3},
    {0, 0, 0x74, 3},
    {0, 0, 0x75, 3},
    {0, 0, 0x76, 3},
    {0, 0, 0x77, 3},
    {0, 0, 0x78, 3},
    {0, 0, 0x79, 3},
    {0, 0, 0x7A, 3},
    {0, 0, 0x7B, 3},
    {0, 0, 0x7C, 3},
    {0, 0, 0x7D, 3},
    {0, 0, 0x7E, 3},
    {0, 0, 0x7F, 3},
    {0, 0, 0x80, 4},
    {0, 0, 0x81, 4},
    {0, 0, 0x82, 4},
    {0, 0, 0x83, 4},
    {0, 0, 0x84, 4},
    {0, 0, 0x85, 4},
    {0, 0, 0x86, 4},
    {0, 0, 0x87, 4},
    {0, 0, 0x88, 4},
    {0, 0, 0x89, 4},
    {0, 0, 0x8A, 4},
    {0, 0, 0x8B, 4},
    {0, 0, 0x8C, 4},
    {0, 0, 0x8D, 4},
    {0, 0, 0x8E, 4},
    {0, 0, 0x8F, 4},
    {0, 0, 0x90, 4},
    {0, 0, 0x91, 4},
    {0, 0, 0x92, 4},
    {0, 0, 0x93, 4},
    {0, 0, 0x94, 4},
    {0, 0, 0x95, 4},
    {0, 0, 0x96, 4},
    {0, 0, 0x97, 4},
    {0, 0, 0x98, 4},
    {0, 0, 0x99, 4},
    {0, 0, 0x9A, 4},
    {0, 0, 0x9B, 4},
    {0, 0, 0x9C, 4},
    {0, 0, 0x9D, 4},
    {0, 0, 0x9E, 4},
    {0, 0, 0x9F, 4},
    {0, 0, 0xA0, 4},
    {0, 0, 0xA1, 4},
    {0, 0, 0xA2, 4},
    {0, 0, 0xA3, 4},
    {0, 0, 0xA4, 4},
    {0, 0, 0xA5, 4},
    {0, 0, 0xA6, 4},
    {0, 0, 0xA7, 4},
    {0, 0, 0xA8, 4},
    {0, 0, 0xA9, 4},
    {0, 0, 0xAA, 4},
    {0, 0, 0xAB, 4},
    {0, 0, 0xAC, 4},
    {0, 0, 0xAD, 4},
    {0, 0, 0xAE, 4},
    {0, 0, 0xAF, 4},
    {0, 0, 0xB0, 4},
    {0, 0, 0xB1, 4},
    {0, 0, 0xB2, 4},
    {0, 0, 0xB3, 4},
    {0, 0, 0xB4, 4},
    {0, 0, 0xB5, 4},
    {0, 0, 0xB6, 4},
    {0, 0, 0xB7, 4},
    {0, 0, 0xB8, 4},
    {0, 0, 0xB9, 4},
    {0, 0, 0xBA, 4},
    {0, 0, 0xBB, 4},
    {0, 0, 0xBC, 4},
    {0, 0, 0xBD, 4},
    {0, 0, 0xBE, 4},
    {0, 0, 0xBF, 4},
    {0, 0, 0xC0, 4},
    {0, 0, 0xC1, 4},
    {0, 0, 0xC2, 4},
    {0, 0, 0xC3, 4},
    {0, 0, 0xC4, 4},
    {0, 0, 0xC5, 4},
    {0, 0, 0xC6, 4},
    {0, 0, 0xC7, 4},
    {0, 0, 0xC8, 4},
    {0, 0, 0xC9, 4},
    {0, 0, 0xCA, 4},
    {0, 0, 0xCB, 4},
    {0, 0, 0xCC, 4},
    {0, 0, 0xCD, 4},
    {0, 0, 0xCE, 4},
    {0, 0, 0xCF, 4},
    {0, 0, 0xD0, 4},
    {0, 0, 0xD1, 4},
    {0, 0, 0xD2, 4},
    {0, 0, 0xD3, 4},
    {0, 0, 0xD4, 4},
    {0, 0, 0xD5, 4},
    {0, 0, 0xD6, 4},
    {0, 0, 0xD7, 4},
    {0, 0, 0xD8, 4},
    {0, 0, 0xD9, 4},
    {0, 0, 0xDA, 4},
    {0, 0, 0xDB, 4},
    {0, 0, 0xDC, 4},
    {0, 0, 0xDD, 4},
    {0, 0, 0xDE, 4},
    {0, 0, 0xDF, 4},
    {0, 0, 0xE0, 4},
    {0, 0, 0xE1, 4},
    {0, 0, 0xE2, 4},
    {0, 0, 0xE3, 4},
    {0, 0, 0xE4, 4},
    {0, 0, 0xE5, 4},
    {0, 0, 0xE6, 4},
    {0, 0, 0xE7, 4},
    {0, 0, 0xE8, 4},
    {0, 0, 0xE9, 4},
    {0, 0, 0xEA, 4},
    {0, 0, 0xEB, 4},
    {0, 0, 0xEC, 4},
    {0, 0, 0xED, 4},
    {0, 0, 0xEE, 4},
    {0, 0, 0xEF, 4},
    {0, 0, 0xF0, 4},
    {0, 0, 0xF1, 4},
    {0, 0, 0xF2, 4},
    {0, 0, 0xF3, 4},
    {0, 0, 0xF4, 4},
    {0, 0, 0xF5, 4},
    {0, 0, 0xF6, 4},
    {0, 0, 0xF7, 4},
    {0, 0, 0xF8, 4},
    {0, 0, 0xF9, 4},
    {0, 0, 0xFA, 4},
    {0, 0, 0xFB, 4},
    {0, 0, 0xFC, 4},
    {0, 0, 0xFD, 4},
    {0, 0, 0xFE, 4},
    {0, 0, 0xFF, 4}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {1, 6, 0x0, 0},
    {0, 0, 0x0, 3},
    {1, 7, 0x0, 0},
    {0, 0, 0x0, 2},
    {0, 0, 0x2, 3},
    {0, 0, 0x3, 3},
    {1, 8, 0x0, 0},
    {0, 0, 0x0, 1},
    {0, 0, 0x2, 2},
    {0, 0, 0x3, 2},
    {0, 0, 0x4, 3},
    {0, 0, 0x5, 3},
    {0, 0, 0x6, 3},
    {0, 0, 0x7, 3},
    {0, 0, 0x0, -1},
    {0, 0, 0x0, 0},
    {0, 0, 0x2, 1},
    {0, 0, 0x3, 1},
    {0, 0, 0x4, 2},
    {0, 0, 0x5, 2},
    {0, 0, 0x6, 2},
    {0, 0, 0x7, 2},
    {0, 0, 0x8, 3},
    {0, 0, 0x9, 3},
    {0, 0, 0xA, 3},
    {0, 0, 0xB, 3},
    {0, 0, 0xC, 3},
    {0, 0, 0xD, 3},
    {0, 0, 0xE, 3},
    {0, 0, 0xF, 3},
    {0, 0, 0x2, -1},
    {0, 0, 0x3, -1},
    {0, 0, 0x2, 0},
    {0, 0, 0x3, 0},
    {0, 0, 0x4, 1},
    {0, 0, 0x5, 1},
    {0, 0, 0x6, 1},
    {0, 0, 0x7, 1},
    {0, 0, 0x8, 2},
    {0, 0, 0x9, 2},
    {0, 0, 0xA, 2},
    {0, 0, 0xB, 2},
    {0, 0, 0xC, 2},
    {0, 0, 0xD, 2},
    {0, 0, 0xE, 2},
    {0, 0, 0xF, 2},
    {0, 0, 0x10, 3},
    {0, 0, 0x11, 3},
    {0, 0, 0x12, 3},
    {0, 0, 0x13, 3},
    {0, 0, 0x14, 3},
    {0, 0, 0x15, 3},
    {0, 0, 0x16, 3},
    {0, 0, 0x17, 3},
    {0, 0, 0x18, 3},
    {0, 0, 0x19, 3},
    {0, 0, 0x1A, 3},
    {0, 0, 0x1B, 3},
    {0, 0, 0x1C, 3},
    {0, 0, 0x1D, 3},
    {0, 0, 0x1E, 3},
    {0, 0, 0x1F, 3},
    {0, 0, 0x4, -1},
    {0, 0, 0x5, -1},
    {0, 0, 0x6, -1},
    {0, 0, 0x7, -1},
    {0, 0, 0x4, 0},
    {0, 0, 0x5, 0},
    {0, 0, 0x6, 0},
    {0, 0, 0x7, 0},
    {0, 0, 0x8, 1},
    {0, 0, 0x9, 1},
    {0, 0, 0xA, 1},
    {0, 0, 0xB, 1},
    {0, 0, 0xC, 1},
    {0, 0, 0xD, 1},
    {0, 0, 0xE, 1},
    {0, 0, 0xF, 1},
    {0, 0, 0x10, 2},
    {0, 0, 0x11, 2},
    {0, 0, 0x12, 2},
    {0, 0, 0x13, 2},
    {0, 0, 0x14, 2},
    {0, 0, 0x15, 2},
    {0, 0, 0x16, 2},
    {0, 0, 0x17, 2},
    {0, 0, 0x18, 2},
    {0, 0, 0x19, 2},
    {0, 0, 0x1A, 2},
    {0, 0, 0x1B, 2},
    {0, 0, 0x1C, 2},
    {0, 0, 0x1D, 2},
    {0, 0, 0x1E, 2},
    {0, 0, 0x1F, 2},
    {0, 0, 0x20, 3},
    {0, 0, 0x21, 3},
    {0, 0, 0x22, 3},
    {0, 0, 0x23, 3},
    {0, 0, 0x24, 3},
    {0, 0, 0x25, 3},
    {0, 0, 0x26, 3},
    {0, 0, 0x27, 3},
    {0, 0, 0x28, 3},
    {0, 0, 0x29, 3},
    {0, 0, 0x2A, 3},
    {0, 0, 0x2B, 3},
    {0, 0, 0x2C, 3},
    {0, 0, 0x2D, 3},
    {0, 0, 0x2E, 3},
    {0, 0, 0x2F, 3},
    {0, 0, 0x30, 3},
    {0, 0, 0x31, 3},
    {0, 0, 0x32, 3},
    {0, 0, 0x33, 3},
    {0, 0, 0x34, 3},
    {0, 0, 0x35, 3},
    {0, 0, 0x36, 3},
    {0, 0, 0x37, 3},
    {0, 0, 0x38, 3},
    {0, 0, 0x39, 3},
    {0, 0, 0x3A, 3},
    {0, 0, 0x3B, 3},
    {0, 0, 0x3C, 3},
    {0, 0, 0x3D, 3},
    {0, 0, 0x3E, 3},
    {0, 0, 0x3F, 3},
    {0, 0, 0x8, -1},
    {0, 0, 0x9, -1},
    {0, 0, 0xA, -1},
    {0, 0, 0xB, -1},
    {0, 0, 0xC, -1},
    {0, 0, 0xD, -1},
    {0, 0, 0xE, -1},
    {0, 0, 0xF, -1},
    {0, 0, 0x8, 0},
    {0, 0, 0x9, 0},
    {0, 0, 0xA, 0},
    {0, 0, 0xB, 0},
    {0, 0, 0xC, 0},
    {0, 0, 0xD, 0},
    {0, 0, 0xE, 0},
    {0, 0, 0xF, 0},
    {0, 0, 0x10, 1},
    {0, 0, 0x11, 1},
    {0, 0, 0x12, 1},
    {0, 0, 0x13, 1},
    {0, 0, 0x14, 1},
    {0, 0, 0x15, 1},
    {0, 0, 0x16, 1},
    {0, 0, 0x17, 1},
    {0, 0, 0x18, 1},
    {0, 0, 0x19, 1},
    {0, 0, 0x1A, 1},
    {0, 0, 0x1B, 1},
    {0, 0, 0x1C, 1},
    {0, 0, 0x1D, 1},
    {0, 0, 0x1E, 1},
    {0, 0, 0x1F, 1},
    {0, 0, 0x20, 2},
    {0, 0, 0x21, 2},
    {0, 0, 0x22, 2},
    {0, 0, 0x23, 2},
    {0, 0, 0x24, 2},
    {0, 0, 0x25, 2},
    {0, 0, 0x26, 2},
    {0, 0, 0x27, 2},
    {0, 0, 0x28, 2},
    {0, 0, 0x29, 2},
    {0, 0, 0x2A, 2},
    {0, 0, 0x2B, 2},
    {0, 0, 0x2C, 2},
    {0, 0, 0x2D, 2},
    {0, 0, 0x2E, 2},
    {0, 0, 0x2F, 2},
    {0, 0, 0x30, 2},
    {0, 0, 0x31, 2},
    {0, 0, 0x32, 2},
    {0, 0, 0x33, 2},
    {0, 0, 0x34, 2},
    {0, 0, 0x35, 2},
    {0, 0, 0x36, 2},
    {0, 0, 0x37, 2},
    {0, 0, 0x38, 2},
    {0, 0, 0x39, 2},
    {0, 0, 0x3A, 2},
    {0, 0, 0x3B, 2},
    {0, 0, 0x3C, 2},
    {0, 0, 0x3D, 2},
    {0, 0, 0x3E, 2},
    {0, 0, 0x3F, 2},
    {0, 0, 0x40, 3},
    {0, 0, 0x41, 3},
    {0, 0, 0x42, 3},
    {0, 0, 0x43, 3},
    {0, 0, 0x44, 3},
    {0, 0, 0x45, 3},
    {0, 0, 0x46, 3},
    {0, 0, 0x47, 3},
    {0, 0, 0x48, 3},
    {0, 0, 0x49, 3},
    {0, 0, 0x4A, 3},
    {0, 0, 0x4B, 3},
    {0, 0, 0x4C, 3},
    {0, 0, 0x4D, 3},
    {0, 0, 0x4E, 3},
    {0, 0, 0x4F, 3},
    {0, 0, 0x50, 3},
    {0, 0, 0x51, 3},
    {0, 0, 0x52, 3},
    {0, 0, 0x53, 3},
    {0, 0, 0x54, 3},
    {0, 0, 0x55, 3},
    {0, 0, 0x56, 3},
    {0, 0, 0x57, 3},
    {0, 0, 0x58, 3},
    {0, 0, 0x59, 3},
    {0, 0, 0x5A, 3},
    {0, 0, 0x5B, 3},
    {0, 0, 0x5C, 3},
    {0, 0, 0x5D, 3},
    {0, 0, 0x5E, 3},
    {0, 0, 0x5F, 3},
    {0, 0, 0x60, 3},
    {0, 0, 0x61, 3},
    {0, 0, 0x62, 3},
    {0, 0, 0x63, 3},
    {0, 0, 0x64, 3},
    {0, 0, 0x65, 3},
    {0, 0, 0x66, 3},
    {0, 0, 0x67, 3},
    {0, 0, 0x68, 3},
    {0, 0, 0x69, 3},
    {0, 0, 0x6A, 3},
    {0, 0, 0x6B, 3},
    {0, 0, 0x6C, 3},
    {0, 0, 0x6D, 3},
    {0, 0, 0x6E, 3},
    {0, 0, 0x6F, 3},
    {0, 0, 0x70, 3},
    {0, 0, 0x71, 3},
    {0, 0, 0x72, 3},
    {0, 0, 0x73, 3},
    {0, 0, 0x74, 3},
    {0, 0, 0x75, 3},
    {0, 0, 0x76, 3},
    {0, 0, 0x77, 3},
    {0, 0, 0x78, 3},
    {0, 0, 0x79, 3},
    {0, 0, 0x7A, 3},
    {0, 0, 0x7B, 3},
    {0, 0, 0x7C, 3},
    {0, 0, 0x7D, 3},
    {0, 0, 0x7E, 3},
    {0, 0, 0x7F, 3},
    {0, 0, 0x10, -1},
    {0, 0, 0x11, -1},
    {0, 0, 0x12, -1},
    {0, 0, 0x13, -1},
    {0, 0, 0x14, -1},
    {0, 0, 0x15, -1},
    {0, 0, 0x16, -1},
    {0, 0, 0x17, -1},
    {0, 0, 0x18, -1},
    {0, 0, 0x19, -1},
    {0, 0, 0x1A, -1},
    {0, 0, 0x1B, -1},
    {0, 0, 0x1C, -1},
    {0, 0, 0x1D, -1},
    {0, 0, 0x1E, -1},
    {0, 0, 0x1F, -1},
    {0, 0, 0x10, 0},
    {0, 0, 0x11, 0},
    {0, 0, 0x12, 0},
    {0, 0, 0x13, 0},
    {0, 0, 0x14, 0},
    {0, 0, 0x15, 0},
    {0, 0, 0x16, 0},
    {0, 0, 0x17, 0},
    {0, 0, 0x18, 0},
    {0, 0, 0x19, 0},
    {0, 0, 0x1A, 0},
    {0, 0, 0x1B, 0},
    {0, 0, 0x1C, 0},
    {0, 0, 0x1D, 0},
    {0, 0, 0x1E, 0},
    {0, 0, 0x1F, 0},
    {0, 0, 0x20, 1},
    {0, 0, 0x21, 1},
    {0, 0, 0x22, 1},
    {0, 0, 0x23, 1},
    {0, 0, 0x24, 1},
    {0, 0, 0x25, 1},
    {0, 0, 0x26, 1},
    {0, 0, 0x27, 1},
    {0, 0, 0x28, 1},
    {0, 0, 0x29, 1},
    {0, 0, 0x2A, 1},
    {0, 0, 0x2B, 1},
    {0, 0, 0x2C, 1},
    {0, 0, 0x2D, 1},
    {0, 0, 0x2E, 1},
    {0, 0, 0x2F, 1},
    {0, 0, 0x30, 1},
    {0, 0, 0x31, 1},
    {0, 0, 0x32, 1},
    {0, 0, 0x33, 1},
    {0, 0, 0x34, 1},
    {0, 0, 0x35, 1},
    {0, 0, 0x36, 1},
    {0, 0, 0x37, 1},
    {0, 0, 0x38, 1},
    {0, 0, 0x39, 1},
    {0, 0, 0x3A, 1},
    {0, 0, 0x3B, 1},
    {0, 0, 0x3C, 1},
    {0, 0, 0x3D, 1},
    {0, 0, 0x3E, 1},
    {0, 0, 0x3F, 1},
    {0, 0, 0x40, 2},
    {0, 0, 0x41, 2},
    {0, 0, 0x42, 2},
    {0, 0, 0x43, 2},
    {0, 0, 0x44, 2},
    {0, 0, 0x45, 2},
    {0, 0, 0x46, 2},
    {0, 0, 0x47, 2},
    {0, 0, 0x48, 2},
    {0, 0, 0x49, 2},
    {0, 0, 0x4A, 2},
    {0, 0, 0x4B, 2},
    {0, 0, 0x4C, 2},
    {0, 0, 0x4D, 2},
    {0, 0, 0x4E, 2},
    {0, 0, 0x4F, 2},
    {0, 0, 0x50, 2},
    {0, 0, 0x51, 2},
    {0, 0, 0x52, 2},
    {0, 0, 0x53, 2},
    {0, 0, 0x54, 2},
    {0, 0, 0x55, 2},
    {0, 0, 0x56, 2},
    {0, 0, 0x57, 2},
    {0, 0, 0x58, 2},
    {0, 0, 0x59, 2},
    {0, 0, 0x5A, 2},
    {0, 0, 0x5B, 2},
    {0, 0, 0x5C, 2},
    {0, 0, 0x5D, 2},
    {0, 0, 0x5E, 2},
    {0, 0, 0x5F, 2},
    {0, 0, 0x60, 2},
    {0, 0, 0x61, 2},
    {0, 0, 0x62, 2},
    {0, 0, 0x63, 2},
    {0, 0, 0x64, 2},
    {0, 0, 0x65, 2},
    {0, 0, 0x66, 2},
    {0, 0, 0x67, 2},
    {0, 0, 0x68, 2},
    {0, 0, 0x69, 2},
    {0, 0, 0x6A, 2},
    {0, 0, 0x6B, 2},
    {0, 0, 0x6C, 2},
    {0, 0, 0x6D, 2},
    {0, 0, 0x6E, 2},
    {0, 0, 0x6F, 2},
    {0, 0, 0x70, 2},
    {0, 0, 0x71, 2},
    {0, 0, 0x72, 2},
    {0, 0, 0x73, 2},
    {0, 0, 0x74, 2},
    {0, 0, 0x75, 2},
    {0, 0, 0x76, 2},
    {0, 0, 0x77, 2},
    {0, 0, 0x78, 2},
    {0, 0, 0x79, 2},
    {0, 0, 0x7A, 2},
    {0, 0, 0x7B, 2},
    {0, 0, 0x7C, 2},
    {0, 0, 0x7D, 2},
    {0, 0, 0x7E, 2},
    {0, 0, 0x7F, 2},
    {0, 0, 0x80, 3},
    {0, 0, 0x81, 3},
    {0, 0, 0x82, 3},
    {0, 0, 0x83, 3},
    {0, 0, 0x84, 3},
    {0, 0, 0x85, 3},
    {0, 0, 0x86, 3},
    {0, 0, 0x87, 3},
    {0, 0, 0x88, 3},
    {0, 0, 0x89, 3},
    {0, 0, 0x8A, 3},
    {0, 0, 0x8B, 3},
    {0, 0, 0x8C, 3},
    {0, 0, 0x8D, 3},
    {0, 0, 0x8E, 3},
    {0, 0, 0x8F, 3},
    {0, 0, 0x90, 3},
    {0, 0, 0x91, 3},
    {0, 0, 0x92, 3},
    {0, 0, 0x93, 3},
    {0, 0, 0x94, 3},
    {0, 0, 0x95, 3},
    {0, 0, 0x96, 3},
    {0, 0, 0x97, 3},
    {0, 0, 0x98, 3},
    {0, 0, 0x99, 3},
    {0, 0, 0x9A, 3},
    {0, 0, 0x9B, 3},
    {0, 0, 0x9C, 3},
    {0, 0, 0x9D, 3},
    {0, 0, 0x9E, 3},
    {0, 0, 0x9F, 3},
    {0, 0, 0xA0, 3},
    {0, 0, 0xA1, 3},
    {0, 0, 0xA2, 3},
    {0, 0, 0xA3, 3},
    {0, 0, 0xA4, 3},
    {0, 0, 0xA5, 3},
    {0, 0, 0xA6, 3},
    {0, 0, 0xA7, 3},
    {0, 0, 0xA8, 3},
    {0, 0, 0xA9, 3},
    {0, 0, 0xAA, 3},
    {0, 0, 0xAB, 3},
    {0, 0, 0xAC, 3},
    {0, 0, 0xAD, 3},
    {0, 0, 0xAE, 3},
    {0, 0, 0xAF, 3},
    {0, 0, 0xB0, 3},
    {0, 0, 0xB1, 3},
    {0, 0, 0xB2, 3},
    {0, 0, 0xB3, 3},
    {0, 0, 0xB4, 3},
    {0, 0, 0xB5, 3},
    {0, 0, 0xB6, 3},
    {0, 0, 0xB7, 3},
    {0, 0, 0xB8, 3},
    {0, 0, 0xB9, 3},
    {0, 0, 0xBA, 3},
    {0, 0, 0xBB, 3},
    {0, 0, 0xBC, 3},
    {0, 0, 0xBD, 3},
    {0, 0, 0xBE, 3},
    {0, 0, 0xBF, 3},
    {0, 0, 0xC0, 3},
    {0, 0, 0xC1, 3},
    {0, 0, 0xC2, 3},
    {0, 0, 0xC3, 3},
    {0, 0, 0xC4, 3},
    {0, 0, 0xC5, 3},
    {0, 0, 0xC6, 3},
    {0, 0, 0xC7, 3},
    {0, 0, 0xC8, 3},
    {0, 0, 0xC9, 3},
    {0, 0, 0xCA, 3},
    {0, 0, 0xCB, 3},
    {0, 0, 0xCC, 3},
    {0, 0, 0xCD, 3},
    {0, 0, 0xCE, 3},
    {0, 0, 0xCF, 3},
    {0, 0, 0xD0, 3},
    {0, 0, 0xD1, 3},
    {0, 0, 0xD2, 3},
    {0, 0, 0xD3, 3},
    {0, 0, 0xD4, 3},
    {0, 0, 0xD5, 3},
    {0, 0, 0xD6, 3},
    {0, 0, 0xD7, 3},
    {0, 0, 0xD8, 3},
    {0, 0, 0xD9, 3},
    {0, 0, 0xDA, 3},
    {0, 0, 0xDB, 3},
    {0, 0, 0xDC, 3},
    {0, 0, 0xDD, 3},
    {0, 0, 0xDE, 3},
    {0, 0, 0xDF, 3},
    {0, 0, 0xE0, 3},
    {0, 0, 0xE1, 3},
    {0, 0, 0xE2, 3},
    {0, 0, 0xE3, 3},
    {0, 0, 0xE4, 3},
    {0, 0, 0xE5, 3},
    {0, 0, 0xE6, 3},
    {0, 0, 0xE7, 3},
    {0, 0, 0xE8, 3},
    {0, 0, 0xE9, 3},
    {0, 0, 0xEA, 3},
    {0, 0, 0xEB, 3},
    {0, 0, 0xEC, 3},
    {0, 0, 0xED, 3},
    {0, 0, 0xEE, 3},
    {0, 0, 0xEF, 3},
    {0, 0, 0xF0, 3},
    {0, 0, 0xF1, 3},
    {0, 0, 0xF2, 3},
    {0, 0, 0xF3, 3},
    {0, 0, 0xF4, 3},
    {0, 0, 0xF5, 3},
    {0, 0, 0xF6, 3},
    {0, 0, 0xF7, 3},
    {0, 0, 0xF8, 3},
    {0, 0, 0xF9, 3},
    {0, 0, 0xFA, 3},
    {0, 0, 0xFB, 3},
    {0, 0, 0xFC, 3},
    {0, 0, 0xFD, 3},
    {0, 0, 0xFE, 3},
    {0, 0, 0xFF, 3}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {1, 7, 0x0, 0},
    {0, 0, 0x0, 2},
    {1, 8, 0x0, 0},
    {0, 0, 0x0, 1},
    {0, 0, 0x2, 2},
    {0, 0, 0x3, 2},
    {0, 0, 0x0, -1},
    {0, 0, 0x0, 0},
    {0, 0, 0x2, 1},
    {0, 0, 0x3, 1},
    {0, 0, 0x4, 2},
    {0, 0, 0x5, 2},
    {0, 0, 0x6, 2},
    {0, 0, 0x7, 2},
    {0, 0, 0x2, -1},
    {0, 0, 0x3, -1},
    {0, 0, 0x2, 0},
    {0, 0, 0x3, 0},
    {0, 0, 0x4, 1},
    {0, 0, 0x5, 1},
    {0, 0, 0x6, 1},
    {0, 0, 0x7, 1},
    {0, 0, 0x8, 2},
    {0, 0, 0x9, 2},
    {0, 0, 0xA, 2},
    {0, 0, 0xB, 2},
    {0, 0, 0xC, 2},
    {0, 0, 0xD, 2},
    {0, 0, 0xE, 2},
    {0, 0, 0xF, 2},
    {0, 0, 0x4, -1},
    {0, 0, 0x5, -1},
    {0, 0, 0x6, -1},
    {0, 0, 0x7, -1},
    {0, 0, 0x4, 0},
    {0, 0, 0x5, 0},
    {0, 0, 0x6, 0},
    {0, 0, 0x7, 0},
    {0, 0, 0x8, 1},
    {0, 0, 0x9, 1},
    {0, 0, 0xA, 1},
    {0, 0, 0xB, 1},
    {0, 0, 0xC, 1},
    {0, 0, 0xD, 1},
    {0, 0, 0xE, 1},
    {0, 0, 0xF, 1},
    {0, 0, 0x10, 2},
    {0, 0, 0x11, 2},
    {0, 0, 0x12, 2},
    {0, 0, 0x13, 2},
    {0, 0, 0x14, 2},
    {0, 0, 0x15, 2},
    {0, 0, 0x16, 2},
    {0, 0, 0x17, 2},
    {0, 0, 0x18, 2},
    {0, 0, 0x19, 2},
    {0, 0, 0x1A, 2},
    {0, 0, 0x1B, 2},
    {0, 0, 0x1C, 2},
    {0, 0, 0x1D, 2},
    {0, 0, 0x1E, 2},
    {0, 0, 0x1F, 2},
    {0, 0, 0x8, -1},
    {0, 0, 0x9, -1},
    {0, 0, 0xA, -1},
    {0, 0, 0xB, -1},
    {0, 0, 0xC, -1},
    {0, 0, 0xD, -1},
    {0, 0, 0xE, -1},
    {0, 0, 0xF, -1},
    {0, 0, 0x8, 0},
    {0, 0, 0x9, 0},
    {0, 0, 0xA, 0},
    {0, 0, 0xB, 0},
    {0, 0, 0xC, 0},
    {0, 0, 0xD, 0},
    {0, 0, 0xE, 0},
    {0, 0, 0xF, 0},
    {0, 0, 0x10, 1},
    {0, 0, 0x11, 1},
    {0, 0, 0x12, 1},
    {0, 0, 0x13, 1},
    {0, 0, 0x14, 1},
    {0, 0, 0x15, 1},
    {0, 0, 0x16, 1},
    {0, 0, 0x17, 1},
    {0, 0, 0x18, 1},
    {0, 0, 0x19, 1},
    {0, 0, 0x1A, 1},
    {0, 0, 0x1B, 1},
    {0, 0, 0x1C, 1},
    {0, 0, 0x1D, 1},
    {0, 0, 0x1E, 1},
    {0, 0, 0x1F, 1},
    {0, 0, 0x20, 2},
    {0, 0, 0x21, 2},
    {0, 0, 0x22, 2},
    {0, 0, 0x23, 2},
    {0, 0, 0x24, 2},
    {0, 0, 0x25, 2},
    {0, 0, 0x26, 2},
    {0, 0, 0x27, 2},
    {0, 0, 0x28, 2},
    {0, 0, 0x29, 2},
    {0, 0, 0x2A, 2},
    {0, 0, 0x2B, 2},
    {0, 0, 0x2C, 2},
    {0, 0, 0x2D, 2},
    {0, 0, 0x2E, 2},
    {0, 0, 0x2F, 2},
    {0, 0, 0x30, 2},
    {0, 0, 0x31, 2},
    {0, 0, 0x32, 2},
    {0, 0, 0x33, 2},
    {0, 0, 0x34, 2},
    {0, 0, 0x35, 2},
    {0, 0, 0x36, 2},
    {0, 0, 0x37, 2},
    {0, 0, 0x38, 2},
    {0, 0, 0x39, 2},
    {0, 0, 0x3A, 2},
    {0, 0, 0x3B, 2},
    {0, 0, 0x3C, 2},
    {0, 0, 0x3D, 2},
    {0, 0, 0x3E, 2},
    {0, 0, 0x3F, 2},
    {0, 0, 0x10, -1},
    {0, 0, 0x11, -1},
    {0, 0, 0x12, -1},
    {0, 0, 0x13, -1},
    {0, 0, 0x14, -1},
    {0, 0, 0x15, -1},
    {0, 0, 0x16, -1},
    {0, 0, 0x17, -1},
    {0, 0, 0x18, -1},
    {0, 0, 0x19, -1},
    {0, 0, 0x1A, -1},
    {0, 0, 0x1B, -1},
    {0, 0, 0x1C, -1},
    {0, 0, 0x1D, -1},
    {0, 0, 0x1E, -1},
    {0, 0, 0x1F, -1},
    {0, 0, 0x10, 0},
    {0, 0, 0x11, 0},
    {0, 0, 0x12, 0},
    {0, 0, 0x13, 0},
    {0, 0, 0x14, 0},
    {0, 0, 0x15, 0},
    {0, 0, 0x16, 0},
    {0, 0, 0x17, 0},
    {0, 0, 0x18, 0},
    {0, 0, 0x19, 0},
    {0, 0, 0x1A, 0},
    {0, 0, 0x1B, 0},
    {0, 0, 0x1C, 0},
    {0, 0, 0x1D, 0},
    {0, 0, 0x1E, 0},
    {0, 0, 0x1F, 0},
    {0, 0, 0x20, 1},
    {0, 0, 0x21, 1},
    {0, 0, 0x22, 1},
    {0, 0, 0x23, 1},
    {0, 0, 0x24, 1},
    {0, 0, 0x25, 1},
    {0, 0, 0x26, 1},
    {0, 0, 0x27, 1},
    {0, 0, 0x28, 1},
    {0, 0, 0x29, 1},
    {0, 0, 0x2A, 1},
    {0, 0, 0x2B, 1},
    {0, 0, 0x2C, 1},
    {0, 0, 0x2D, 1},
    {0, 0, 0x2E, 1},
    {0, 0, 0x2F, 1},
    {0, 0, 0x30, 1},
    {0, 0, 0x31, 1},
    {0, 0, 0x32, 1},
    {0, 0, 0x33, 1},
    {0, 0, 0x34, 1},
    {0, 0, 0x35, 1},
    {0, 0, 0x36, 1},
    {0, 0, 0x37, 1},
    {0, 0, 0x38, 1},
    {0, 0, 0x39, 1},
    {0, 0, 0x3A, 1},
    {0, 0, 0x3B, 1},
    {0, 0, 0x3C, 1},
    {0, 0, 0x3D, 1},
    {0, 0, 0x3E, 1},
    {0, 0, 0x3F, 1},
    {0, 0, 0x40, 2},
    {0, 0, 0x41, 2},
    {0, 0, 0x42, 2},
    {0, 0, 0x43, 2},
    {0, 0, 0x44, 2},
    {0, 0, 0x45, 2},
    {0, 0, 0x46, 2},
    {0, 0, 0x47, 2},
    {0, 0, 0x48, 2},
    {0, 0, 0x49, 2},
    {0, 0, 0x4A, 2},
    {0, 0, 0x4B, 2},
    {0, 0, 0x4C, 2},
    {0, 0, 0x4D, 2},
    {0, 0, 0x4E, 2},
    {0, 0, 0x4F, 2},
    {0, 0, 0x50, 2},
    {0, 0, 0x51, 2},
    {0, 0, 0x52, 2},
    {0, 0, 0x53, 2},
    {0, 0, 0x54, 2},
    {0, 0, 0x55, 2},
    {0, 0, 0x56, 2},
    {0, 0, 0x57, 2},
    {0, 0, 0x58, 2},
    {0, 0, 0x59, 2},
    {0, 0, 0x5A, 2},
    {0, 0, 0x5B, 2},
    {0, 0, 0x5C, 2},
    {0, 0, 0x5D, 2},
    {0, 0, 0x5E, 2},
    {0, 0, 0x5F, 2},
    {0, 0, 0x60, 2},
    {0, 0, 0x61, 2},
    {0, 0, 0x62, 2},
    {0, 0, 0x63, 2},
    {0, 0, 0x64, 2},
    {0, 0, 0x65, 2},
    {0, 0, 0x66, 2},
    {0, 0, 0x67, 2},
    {0, 0, 0x68, 2},
    {0, 0, 0x69, 2},
    {0, 0, 0x6A, 2},
    {0, 0, 0x6B, 2},
    {0, 0, 0x6C, 2},
    {0, 0, 0x6D, 2},
    {0, 0, 0x6E, 2},
    {0, 0, 0x6F, 2},
    {0, 0, 0x70, 2},
    {0, 0, 0x71, 2},
    {0, 0, 0x72, 2},
    {0, 0, 0x73, 2},
    {0, 0, 0x74, 2},
    {0, 0, 0x75, 2},
    {0, 0, 0x76, 2},
    {0, 0, 0x77, 2},
    {0, 0, 0x78, 2},
    {0, 0, 0x79, 2},
    {0, 0, 0x7A, 2},
    {0, 0, 0x7B, 2},
    {0, 0, 0x7C, 2},
    {0, 0, 0x7D, 2},
    {0, 0, 0x7E, 2},
    {0, 0, 0x7F, 2},
    {0, 0, 0x20, -1},
    {0, 0, 0x21, -1},
    {0, 0, 0x22, -1},
    {0, 0, 0x23, -1},
    {0, 0, 0x24, -1},
    {0, 0, 0x25, -1},
    {0, 0, 0x26, -1},
    {0, 0, 0x27, -1},
    {0, 0, 0x28, -1},
    {0, 0, 0x29, -1},
    {0, 0, 0x2A, -1},
    {0, 0, 0x2B, -1},
    {0, 0, 0x2C, -1},
    {0, 0, 0x2D, -1},
    {0, 0, 0x2E, -1},
    {0, 0, 0x2F, -1},
    {0, 0, 0x30, -1},
    {0, 0, 0x31, -1},
    {0, 0, 0x32, -1},
    {0, 0, 0x33, -1},
    {0, 0, 0x34, -1},
    {0, 0, 0x35, -1},
    {0, 0, 0x36, -1},
    {0, 0, 0x37, -1},
    {0, 0, 0x38, -1},
    {0, 0, 0x39, -1},
    {0, 0, 0x3A, -1},
    {0, 0, 0x3B, -1},
    {0, 0, 0x3C, -1},
    {0, 0, 0x3D, -1},
    {0, 0, 0x3E, -1},
    {0, 0, 0x3F, -1},
    {0, 0, 0x20, 0},
    {0, 0, 0x21, 0},
    {0, 0, 0x22, 0},
    {0, 0, 0x23, 0},
    {0, 0, 0x24, 0},
    {0, 0, 0x25, 0},
    {0, 0, 0x26, 0},
    {0, 0, 0x27, 0},
    {0, 0, 0x28, 0},
    {0, 0, 0x29, 0},
    {0, 0, 0x2A, 0},
    {0, 0, 0x2B, 0},
    {0, 0, 0x2C, 0},
    {0, 0, 0x2D, 0},
    {0, 0, 0x2E, 0},
    {0, 0, 0x2F, 0},
    {0, 0, 0x30, 0},
    {0, 0, 0x31, 0},
    {0, 0, 0x32, 0},
    {0, 0, 0x33, 0},
    {0, 0, 0x34, 0},
    {0, 0, 0x35, 0},
    {0, 0, 0x36, 0},
    {0, 0, 0x37, 0},
    {0, 0, 0x38, 0},
    {0, 0, 0x39, 0},
    {0, 0, 0x3A, 0},
    {0, 0, 0x3B, 0},
    {0, 0, 0x3C, 0},
    {0, 0, 0x3D, 0},
    {0, 0, 0x3E, 0},
    {0, 0, 0x3F, 0},
    {0, 0, 0x40, 1},
    {0, 0, 0x41, 1},
    {0, 0, 0x42, 1},
    {0, 0, 0x43, 1},
    {0, 0, 0x44, 1},
    {0, 0, 0x45, 1},
    {0, 0, 0x46, 1},
    {0, 0, 0x47, 1},
    {0, 0, 0x48, 1},
    {0, 0, 0x49, 1},
    {0, 0, 0x4A, 1},
    {0, 0, 0x4B, 1},
    {0, 0, 0x4C, 1},
    {0, 0, 0x4D, 1},
    {0, 0, 0x4E, 1},
    {0, 0, 0x4F, 1},
    {0, 0, 0x50, 1},
    {0, 0, 0x51, 1},
    {0, 0, 0x52, 1},
    {0, 0, 0x53, 1},
    {0, 0, 0x54, 1},
    {0, 0, 0x55, 1},
    {0, 0, 0x56, 1},
    {0, 0, 0x57, 1},
    {0, 0, 0x58, 1},
    {0, 0, 0x59, 1},
    {0, 0, 0x5A, 1},
    {0, 0, 0x5B, 1},
    {0, 0, 0x5C, 1},
    {0, 0, 0x5D, 1},
    {0, 0, 0x5E, 1},
    {0, 0, 0x5F, 1},
    {0, 0, 0x60, 1},
    {0, 0, 0x61, 1},
    {0, 0, 0x62, 1},
    {0, 0, 0x63, 1},
    {0, 0, 0x64, 1},
    {0, 0, 0x65, 1},
    {0, 0, 0x66, 1},
    {0, 0, 0x67, 1},
    {0, 0, 0x68, 1},
    {0, 0, 0x69, 1},
    {0, 0, 0x6A, 1},
    {0, 0, 0x6B, 1},
    {0, 0, 0x6C, 1},
    {0, 0, 0x6D, 1},
    {0, 0, 0x6E, 1},
    {0, 0, 0x6F, 1},
    {0, 0, 0x70, 1},
    {0, 0, 0x71, 1},
    {0, 0, 0x72, 1},
    {0, 0, 0x73, 1},
    {0, 0, 0x74, 1},
    {0, 0, 0x75, 1},
    {0, 0, 0x76, 1},
    {0, 0, 0x77, 1},
    {0, 0, 0x78, 1},
    {0, 0, 0x79, 1},
    {0, 0, 0x7A, 1},
    {0, 0, 0x7B, 1},
    {0, 0, 0x7C, 1},
    {0, 0, 0x7D, 1},
    {0, 0, 0x7E, 1},
    {0, 0, 0x7F, 1},
    {0, 0, 0x80, 2},
    {0, 0, 0x81, 2},
    {0, 0, 0x82, 2},
    {0, 0, 0x83, 2},
    {0, 0, 0x84, 2},
    {0, 0, 0x85, 2},
    {0, 0, 0x86, 2},
    {0, 0, 0x87, 2},
    {0, 0, 0x88, 2},
    {0, 0, 0x89, 2},
    {0, 0, 0x8A, 2},
    {0, 0, 0x8B, 2},
    {0, 0, 0x8C, 2},
    {0, 0, 0x8D, 2},
    {0, 0, 0x8E, 2},
    {0, 0, 0x8F, 2},
    {0, 0, 0x90, 2},
    {0, 0, 0x91, 2},
    {0, 0, 0x92, 2},
    {0, 0, 0x93, 2},
    {0, 0, 0x94, 2},
    {0, 0, 0x95, 2},
    {0, 0, 0x96, 2},
    {0, 0, 0x97, 2},
    {0, 0, 0x98, 2},
    {0, 0, 0x99, 2},
    {0, 0, 0x9A, 2},
    {0, 0, 0x9B, 2},
    {0, 0, 0x9C, 2},
    {0, 0, 0x9D, 2},
    {0, 0, 0x9E, 2},
    {0, 0, 0x9F, 2},
    {0, 0, 0xA0, 2},
    {0, 0, 0xA1, 2},
    {0, 0, 0xA2, 2},
    {0, 0, 0xA3, 2},
    {0, 0, 0xA4, 2},
    {0, 0, 0xA5, 2},
    {0, 0, 0xA6, 2},
    {0, 0, 0xA7, 2},
    {0, 0, 0xA8, 2},
    {0, 0, 0xA9, 2},
    {0, 0, 0xAA, 2},
    {0, 0, 0xAB, 2},
    {0, 0, 0xAC, 2},
    {0, 0, 0xAD, 2},
    {0, 0, 0xAE, 2},
    {0, 0, 0xAF, 2},
    {0, 0, 0xB0, 2},
    {0, 0, 0xB1, 2},
    {0, 0, 0xB2, 2},
    {0, 0, 0xB3, 2},
    {0, 0, 0xB4, 2},
    {0, 0, 0xB5, 2},
    {0, 0, 0xB6, 2},
    {0, 0, 0xB7, 2},
    {0, 0, 0xB8, 2},
    {0, 0, 0xB9, 2},
    {0, 0, 0xBA, 2},
    {0, 0, 0xBB, 2},
    {0, 0, 0xBC, 2},
    {0, 0, 0xBD, 2},
    {0, 0, 0xBE, 2},
    {0, 0, 0xBF, 2},
    {0, 0, 0xC0, 2},
    {0, 0, 0xC1, 2},
    {0, 0, 0xC2, 2},
    {0, 0, 0xC3, 2},
    {0, 0, 0xC4, 2},
    {0, 0, 0xC5, 2},
    {0, 0, 0xC6, 2},
    {0, 0, 0xC7, 2},
    {0, 0, 0xC8, 2},
    {0, 0, 0xC9, 2},
    {0, 0, 0xCA, 2},
    {0, 0, 0xCB, 2},
    {0, 0, 0xCC, 2},
    {0, 0, 0xCD, 2},
    {0, 0, 0xCE, 2},
    {0, 0, 0xCF, 2},
    {0, 0, 0xD0, 2},
    {0, 0, 0xD1, 2},
    {0, 0, 0xD2, 2},
    {0, 0, 0xD3, 2},
    {0, 0, 0xD4, 2},
    {0, 0, 0xD5, 2},
    {0, 0, 0xD6, 2},
    {0, 0, 0xD7, 2},
    {0, 0, 0xD8, 2},
    {0, 0, 0xD9, 2},
    {0, 0, 0xDA, 2},
    {0, 0, 0xDB, 2},
    {0, 0, 0xDC, 2},
    {0, 0, 0xDD, 2},
    {0, 0, 0xDE, 2},
    {0, 0, 0xDF, 2},
    {0, 0, 0xE0, 2},
    {0, 0, 0xE1, 2},
    {0, 0, 0xE2, 2},
    {0, 0, 0xE3, 2},
    {0, 0, 0xE4, 2},
    {0, 0, 0xE5, 2},
    {0, 0, 0xE6, 2},
    {0, 0, 0xE7, 2},
    {0, 0, 0xE8, 2},
    {0, 0, 0xE9, 2},
    {0, 0, 0xEA, 2},
    {0, 0, 0xEB, 2},
    {0, 0, 0xEC, 2},
    {0, 0, 0xED, 2},
    {0, 0, 0xEE, 2},
    {0, 0, 0xEF, 2},
    {0, 0, 0xF0, 2},
    {0, 0, 0xF1, 2},
    {0, 0, 0xF2, 2},
    {0, 0, 0xF3, 2},
    {0, 0, 0xF4, 2},
    {0, 0, 0xF5, 2},
    {0, 0, 0xF6, 2},
    {0, 0, 0xF7, 2},
    {0, 0, 0xF8, 2},
    {0, 0, 0xF9, 2},
    {0, 0, 0xFA, 2},
    {0, 0, 0xFB, 2},
    {0, 0, 0xFC, 2},
    {0, 0, 0xFD, 2},
    {0, 0, 0xFE, 2},
    {0, 0, 0xFF, 2}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {1, 8, 0x0, 0},
    {0, 0, 0x0, 1},
    {0, 0, 0x0, -1},
    {0, 0, 0x0, 0},
    {0, 0, 0x2, 1},
    {0, 0, 0x3, 1},
    {0, 0, 0x2, -1},
    {0, 0, 0x3, -1},
    {0, 0, 0x2, 0},
    {0, 0, 0x3, 0},
    {0, 0, 0x4, 1},
    {0, 0, 0x5, 1},
    {0, 0, 0x6, 1},
    {0, 0, 0x7, 1},
    {0, 0, 0x4, -1},
    {0, 0, 0x5, -1},
    {0, 0, 0x6, -1},
    {0, 0, 0x7, -1},
    {0, 0, 0x4, 0},
    {0, 0, 0x5, 0},
    {0, 0, 0x6, 0},
    {0, 0, 0x7, 0},
    {0, 0, 0x8, 1},
    {0, 0, 0x9, 1},
    {0, 0, 0xA, 1},
    {0, 0, 0xB, 1},
    {0, 0, 0xC, 1},
    {0, 0, 0xD, 1},
    {0, 0, 0xE, 1},
    {0, 0, 0xF, 1},
    {0, 0, 0x8, -1},
    {0, 0, 0x9, -1},
    {0, 0, 0xA, -1},
    {0, 0, 0xB, -1},
    {0, 0, 0xC, -1},
    {0, 0, 0xD, -1},
    {0, 0, 0xE, -1},
    {0, 0, 0xF, -1},
    {0, 0, 0x8, 0},
    {0, 0, 0x9, 0},
    {0, 0, 0xA, 0},
    {0, 0, 0xB, 0},
    {0, 0, 0xC, 0},
    {0, 0, 0xD, 0},
    {0, 0, 0xE, 0},
    {0, 0, 0xF, 0},
    {0, 0, 0x10, 1},
    {0, 0, 0x11, 1},
    {0, 0, 0x12, 1},
    {0, 0, 0x13, 1},
    {0, 0, 0x14, 1},
    {0, 0, 0x15, 1},
    {0, 0, 0x16, 1},
    {0, 0, 0x17, 1},
    {0, 0, 0x18, 1},
    {0, 0, 0x19, 1},
    {0, 0, 0x1A, 1},
    {0, 0, 0x1B, 1},
    {0, 0, 0x1C, 1},
    {0, 0, 0x1D, 1},
    {0, 0, 0x1E, 1},
    {0, 0, 0x1F, 1},
    {0, 0, 0x10, -1},
    {0, 0, 0x11, -1},
    {0, 0, 0x12, -1},
    {0, 0, 0x13, -1},
    {0, 0, 0x14, -1},
    {0, 0, 0x15, -1},
    {0, 0, 0x16, -1},
    {0, 0, 0x17, -1},
    {0, 0, 0x18, -1},
    {0, 0, 0x19, -1},
    {0, 0, 0x1A, -1},
    {0, 0, 0x1B, -1},
    {0, 0, 0x1C, -1},
    {0, 0, 0x1D, -1},
    {0, 0, 0x1E, -1},
    {0, 0, 0x1F, -1},
    {0, 0, 0x10, 0},
    {0, 0, 0x11, 0},
    {0, 0, 0x12, 0},
    {0, 0, 0x13, 0},
    {0, 0, 0x14, 0},
    {0, 0, 0x15, 0},
    {0, 0, 0x16, 0},
    {0, 0, 0x17, 0},
    {0, 0, 0x18, 0},
    {0, 0, 0x19, 0},
    {0, 0, 0x1A, 0},
    {0, 0, 0x1B, 0},
    {0, 0, 0x1C, 0},
    {0, 0, 0x1D, 0},
    {0, 0, 0x1E, 0},
    {0, 0, 0x1F, 0},
    {0, 0, 0x20, 1},
    {0, 0, 0x21, 1},
    {0, 0, 0x22, 1},
    {0, 0, 0x23, 1},
    {0, 0, 0x24, 1},
    {0, 0, 0x25, 1},
    {0, 0, 0x26, 1},
    {0, 0, 0x27, 1},
    {0, 0, 0x28, 1},
    {0, 0, 0x29, 1},
    {0, 0, 0x2A, 1},
    {0, 0, 0x2B, 1},
    {0, 0, 0x2C, 1},
    {0, 0, 0x2D, 1},
    {0, 0, 0x2E, 1},
    {0, 0, 0x2F, 1},
    {0, 0, 0x30, 1},
    {0, 0, 0x31, 1},
    {0, 0, 0x32, 1},
    {0, 0, 0x33, 1},
    {0, 0, 0x34, 1},
    {0, 0, 0x35, 1},
    {0, 0, 0x36, 1},
    {0, 0, 0x37, 1},
    {0, 0, 0x38, 1},
    {0, 0, 0x39, 1},
    {0, 0, 0x3A, 1},
    {0, 0, 0x3B, 1},
    {0, 0, 0x3C, 1},
    {0, 0, 0x3D, 1},
    {0, 0, 0x3E, 1},
    {0, 0, 0x3F, 1},
    {0, 0, 0x20, -1},
    {0, 0, 0x21, -1},
    {0, 0, 0x22, -1},
    {0, 0, 0x23, -1},
    {0, 0, 0x24, -1},
    {0, 0, 0x25, -1},
    {0, 0, 0x26, -1},
    {0, 0, 0x27, -1},
    {0, 0, 0x28, -1},
    {0, 0, 0x29, -1},
    {0, 0, 0x2A, -1},
    {0, 0, 0x2B, -1},
    {0, 0, 0x2C, -1},
    {0, 0, 0x2D, -1},
    {0, 0, 0x2E, -1},
    {0, 0, 0x2F, -1},
    {0, 0, 0x30, -1},
    {0, 0, 0x31, -1},
    {0, 0, 0x32, -1},
    {0, 0, 0x33, -1},
    {0, 0, 0x34, -1},
    {0, 0, 0x35, -1},
    {0, 0, 0x36, -1},
    {0, 0, 0x37, -1},
    {0, 0, 0x38, -1},
    {0, 0, 0x39, -1},
    {0, 0, 0x3A, -1},
    {0, 0, 0x3B, -1},
    {0, 0, 0x3C, -1},
    {0, 0, 0x3D, -1},
    {0, 0, 0x3E, -1},
    {0, 0, 0x3F, -1},
    {0, 0, 0x20, 0},
    {0, 0, 0x21, 0},
    {0, 0, 0x22, 0},
    {0, 0, 0x23, 0},
    {0, 0, 0x24, 0},
    {0, 0, 0x25, 0},
    {0, 0, 0x26, 0},
    {0, 0, 0x27, 0},
    {0, 0, 0x28, 0},
    {0, 0, 0x29, 0},
    {0, 0, 0x2A, 0},
    {0, 0, 0x2B, 0},
    {0, 0, 0x2C, 0},
    {0, 0, 0x2D, 0},
    {0, 0, 0x2E, 0},
    {0, 0, 0x2F, 0},
    {0, 0, 0x30, 0},
    {0, 0, 0x31, 0},
    {0, 0, 0x32, 0},
    {0, 0, 0x33, 0},
    {0, 0, 0x34, 0},
    {0, 0, 0x35, 0},
    {0, 0, 0x36, 0},
    {0, 0, 0x37, 0},
    {0, 0, 0x38, 0},
    {0, 0, 0x39, 0},
    {0, 0, 0x3A, 0},
    {0, 0, 0x3B, 0},
    {0, 0, 0x3C, 0},
    {0, 0, 0x3D, 0},
    {0, 0, 0x3E, 0},
    {0, 0, 0x3F, 0},
    {0, 0, 0x40, 1},
    {0, 0, 0x41, 1},
    {0, 0, 0x42, 1},
    {0, 0, 0x43, 1},
    {0, 0, 0x44, 1},
    {0, 0, 0x45, 1},
    {0, 0, 0x46, 1},
    {0, 0, 0x47, 1},
    {0, 0, 0x48, 1},
    {0, 0, 0x49, 1},
    {0, 0, 0x4A, 1},
    {0, 0, 0x4B, 1},
    {0, 0, 0x4C, 1},
    {0, 0, 0x4D, 1},
    {0, 0, 0x4E, 1},
    {0, 0, 0x4F, 1},
    {0, 0, 0x50, 1},
    {0, 0, 0x51, 1},
    {0, 0, 0x52, 1},
    {0, 0, 0x53, 1},
    {0, 0, 0x54, 1},
    {0, 0, 0x55, 1},
    {0, 0, 0x56, 1},
    {0, 0, 0x57, 1},
    {0, 0, 0x58, 1},
    {0, 0, 0x59, 1},
    {0, 0, 0x5A, 1},
    {0, 0, 0x5B, 1},
    {0, 0, 0x5C, 1},
    {0, 0, 0x5D, 1},
    {0, 0, 0x5E, 1},
    {0, 0, 0x5F, 1},
    {0, 0, 0x60, 1},
    {0, 0, 0x61, 1},
    {0, 0, 0x62, 1},
    {0, 0, 0x63, 1},
    {0, 0, 0x64, 1},
    {0, 0, 0x65, 1},
    {0, 0, 0x66, 1},
    {0, 0, 0x67, 1},
    {0, 0, 0x68, 1},
    {0, 0, 0x69, 1},
    {0, 0, 0x6A, 1},
    {0, 0, 0x6B, 1},
    {0, 0, 0x6C, 1},
    {0, 0, 0x6D, 1},
    {0, 0, 0x6E, 1},
    {0, 0, 0x6F, 1},
    {0, 0, 0x70, 1},
    {0, 0, 0x71, 1},
    {0, 0, 0x72, 1},
    {0, 0, 0x73, 1},
    {0, 0, 0x74, 1},
    {0, 0, 0x75, 1},
    {0, 0, 0x76, 1},
    {0, 0, 0x77, 1},
    {0, 0, 0x78, 1},
    {0, 0, 0x79, 1},
    {0, 0, 0x7A, 1},
    {0, 0, 0x7B, 1},
    {0, 0, 0x7C, 1},
    {0, 0, 0x7D, 1},
    {0, 0, 0x7E, 1},
    {0, 0, 0x7F, 1},
    {0, 0, 0x40, -1},
    {0, 0, 0x41, -1},
    {0, 0, 0x42, -1},
    {0, 0, 0x43, -1},
    {0, 0, 0x44, -1},
    {0, 0, 0x45, -1},
    {0, 0, 0x46, -1},
    {0, 0, 0x47, -1},
    {0, 0, 0x48, -1},
    {0, 0, 0x49, -1},
    {0, 0, 0x4A, -1},
    {0, 0, 0x4B, -1},
    {0, 0, 0x4C, -1},
    {0, 0, 0x4D, -1},
    {0, 0, 0x4E, -1},
    {0, 0, 0x4F, -1},
    {0, 0, 0x50, -1},
    {0, 0, 0x51, -1},
    {0, 0, 0x52, -1},
    {0, 0, 0x53, -1},
    {0, 0, 0x54, -1},
    {0, 0, 0x55, -1},
    {0, 0, 0x56, -1},
    {0, 0, 0x57, -1},
    {0, 0, 0x58, -1},
    {0, 0, 0x59, -1},
    {0, 0, 0x5A, -1},
    {0, 0, 0x5B, -1},
    {0, 0, 0x5C, -1},
    {0, 0, 0x5D, -1},
    {0, 0, 0x5E, -1},
    {0, 0, 0x5F, -1},
    {0, 0, 0x60, -1},
    {0, 0, 0x61, -1},
    {0, 0, 0x62, -1},
    {0, 0, 0x63, -1},
    {0, 0, 0x64, -1},
    {0, 0, 0x65, -1},
    {0, 0, 0x66, -1},
    {0, 0, 0x67, -1},
    {0, 0, 0x68, -1},
    {0, 0, 0x69, -1},
    {0, 0, 0x6A, -1},
    {0, 0, 0x6B, -1},
    {0, 0, 0x6C, -1},
    {0, 0, 0x6D, -1},
    {0, 0, 0x6E, -1},
    {0, 0, 0x6F, -1},
    {0, 0, 0x70, -1},
    {0, 0, 0x71, -1},
    {0, 0, 0x72, -1},
    {0, 0, 0x73, -1},
    {0, 0, 0x74, -1},
    {0, 0, 0x75, -1},
    {0, 0, 0x76, -1},
    {0, 0, 0x77, -1},
    {0, 0, 0x78, -1},
    {0, 0, 0x79, -1},
    {0, 0, 0x7A, -1},
    {0, 0, 0x7B, -1},
    {0, 0, 0x7C, -1},
    {0, 0, 0x7D, -1},
    {0, 0, 0x7E, -1},
    {0, 0, 0x7F, -1},
    {0, 0, 0x40, 0},
    {0, 0, 0x41, 0},
    {0, 0, 0x42, 0},
    {0, 0, 0x43, 0},
    {0, 0, 0x44, 0},
    {0, 0, 0x45, 0},
    {0, 0, 0x46, 0},
    {0, 0, 0x47, 0},
    {0, 0, 0x48, 0},
    {0, 0, 0x49, 0},
    {0, 0, 0x4A, 0},
    {0, 0, 0x4B, 0},
    {0, 0, 0x4C, 0},
    {0, 0, 0x4D, 0},
    {0, 0, 0x4E, 0},
    {0, 0, 0x4F, 0},
    {0, 0, 0x50, 0},
    {0, 0, 0x51, 0},
    {0, 0, 0x52, 0},
    {0, 0, 0x53, 0},
    {0, 0, 0x54, 0},
    {0, 0, 0x55, 0},
    {0, 0, 0x56, 0},
    {0, 0, 0x57, 0},
    {0, 0, 0x58, 0},
    {0, 0, 0x59, 0},
    {0, 0, 0x5A, 0},
    {0, 0, 0x5B, 0},
    {0, 0, 0x5C, 0},
    {0, 0, 0x5D, 0},
    {0, 0, 0x5E, 0},
    {0, 0, 0x5F, 0},
    {0, 0, 0x60, 0},
    {0, 0, 0x61, 0},
    {0, 0, 0x62, 0},
    {0, 0, 0x63, 0},
    {0, 0, 0x64, 0},
    {0, 0, 0x65, 0},
    {0, 0, 0x66, 0},
    {0, 0, 0x67, 0},
    {0, 0, 0x68, 0},
    {0, 0, 0x69, 0},
    {0, 0, 0x6A, 0},
    {0, 0, 0x6B, 0},
    {0, 0, 0x6C, 0},
    {0, 0, 0x6D, 0},
    {0, 0, 0x6E, 0},
    {0, 0, 0x6F, 0},
    {0, 0, 0x70, 0},
    {0, 0, 0x71, 0},
    {0, 0, 0x72, 0},
    {0, 0, 0x73, 0},
    {0, 0, 0x74, 0},
    {0, 0, 0x75, 0},
    {0, 0, 0x76, 0},
    {0, 0, 0x77, 0},
    {0, 0, 0x78, 0},
    {0, 0, 0x79, 0},
    {0, 0, 0x7A, 0},
    {0, 0, 0x7B, 0},
    {0, 0, 0x7C, 0},
    {0, 0, 0x7D, 0},
    {0, 0, 0x7E, 0},
    {0, 0, 0x7F, 0},
    {0, 0, 0x80, 1},
    {0, 0, 0x81, 1},
    {0, 0, 0x82, 1},
    {0, 0, 0x83, 1},
    {0, 0, 0x84, 1},
    {0, 0, 0x85, 1},
    {0, 0, 0x86, 1},
    {0, 0, 0x87, 1},
    {0, 0, 0x88, 1},
    {0, 0, 0x89, 1},
    {0, 0, 0x8A, 1},
    {0, 0, 0x8B, 1},
    {0, 0, 0x8C, 1},
    {0, 0, 0x8D, 1},
    {0, 0, 0x8E, 1},
    {0, 0, 0x8F, 1},
    {0, 0, 0x90, 1},
    {0, 0, 0x91, 1},
    {0, 0, 0x92, 1},
    {0, 0, 0x93, 1},
    {0, 0, 0x94, 1},
    {0, 0, 0x95, 1},
    {0, 0, 0x96, 1},
    {0, 0, 0x97, 1},
    {0, 0, 0x98, 1},
    {0, 0, 0x99, 1},
    {0, 0, 0x9A, 1},
    {0, 0, 0x9B, 1},
    {0, 0, 0x9C, 1},
    {0, 0, 0x9D, 1},
    {0, 0, 0x9E, 1},
    {0, 0, 0x9F, 1},
    {0, 0, 0xA0, 1},
    {0, 0, 0xA1, 1},
    {0, 0, 0xA2, 1},
    {0, 0, 0xA3, 1},
    {0, 0, 0xA4, 1},
    {0, 0, 0xA5, 1},
    {0, 0, 0xA6, 1},
    {0, 0, 0xA7, 1},
    {0, 0, 0xA8, 1},
    {0, 0, 0xA9, 1},
    {0, 0, 0xAA, 1},
    {0, 0, 0xAB, 1},
    {0, 0, 0xAC, 1},
    {0, 0, 0xAD, 1},
    {0, 0, 0xAE, 1},
    {0, 0, 0xAF, 1},
    {0, 0, 0xB0, 1},
    {0, 0, 0xB1, 1},
    {0, 0, 0xB2, 1},
    {0, 0, 0xB3, 1},
    {0, 0, 0xB4, 1},
    {0, 0, 0xB5, 1},
    {0, 0, 0xB6, 1},
    {0, 0, 0xB7, 1},
    {0, 0, 0xB8, 1},
    {0, 0, 0xB9, 1},
    {0, 0, 0xBA, 1},
    {0, 0, 0xBB, 1},
    {0, 0, 0xBC, 1},
    {0, 0, 0xBD, 1},
    {0, 0, 0xBE, 1},
    {0, 0, 0xBF, 1},
    {0, 0, 0xC0, 1},
    {0, 0, 0xC1, 1},
    {0, 0, 0xC2, 1},
    {0, 0, 0xC3, 1},
    {0, 0, 0xC4, 1},
    {0, 0, 0xC5, 1},
    {0, 0, 0xC6, 1},
    {0, 0, 0xC7, 1},
    {0, 0, 0xC8, 1},
    {0, 0, 0xC9, 1},
    {0, 0, 0xCA, 1},
    {0, 0, 0xCB, 1},
    {0, 0, 0xCC, 1},
    {0, 0, 0xCD, 1},
    {0, 0, 0xCE, 1},
    {0, 0, 0xCF, 1},
    {0, 0, 0xD0, 1},
    {0, 0, 0xD1, 1},
    {0, 0, 0xD2, 1},
    {0, 0, 0xD3, 1},
    {0, 0, 0xD4, 1},
    {0, 0, 0xD5, 1},
    {0, 0, 0xD6, 1},
    {0, 0, 0xD7, 1},
    {0, 0, 0xD8, 1},
    {0, 0, 0xD9, 1},
    {0, 0, 0xDA, 1},
    {0, 0, 0xDB, 1},
    {0, 0, 0xDC, 1},
    {0, 0, 0xDD, 1},
    {0, 0, 0xDE, 1},
    {0, 0, 0xDF, 1},
    {0, 0, 0xE0, 1},
    {0, 0, 0xE1, 1},
    {0, 0, 0xE2, 1},
    {0, 0, 0xE3, 1},
    {0, 0, 0xE4, 1},
    {0, 0, 0xE5, 1},
    {0, 0, 0xE6, 1},
    {0, 0, 0xE7, 1},
    {0, 0, 0xE8, 1},
    {0, 0, 0xE9, 1},
    {0, 0, 0xEA, 1},
    {0, 0, 0xEB, 1},
    {0, 0, 0xEC, 1},
    {0, 0, 0xED, 1},
    {0, 0, 0xEE, 1},
    {0, 0, 0xEF, 1},
    {0, 0, 0xF0, 1},
    {0, 0, 0xF1, 1},
    {0, 0, 0xF2, 1},
    {0, 0, 0xF3, 1},
    {0, 0, 0xF4, 1},
    {0, 0, 0xF5, 1},
    {0, 0, 0xF6, 1},
    {0, 0, 0xF7, 1},
    {0, 0, 0xF8, 1},
    {0, 0, 0xF9, 1},
    {0, 0, 0xFA, 1},
    {0, 0, 0xFB, 1},
    {0, 0, 0xFC, 1},
    {0, 0, 0xFD, 1},
    {0, 0, 0xFE, 1},
    {0, 0, 0xFF, 1}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {0, 0, 0x0, -1},
    {0, 0, 0x0, 0},
    {0, 0, 0x2, -1},
    {0, 0, 0x3, -1},
    {0, 0, 0x2, 0},
    {0, 0, 0x3, 0},
    {0, 0, 0x4, -1},
    {0, 0, 0x5, -1},
    {0, 0, 0x6, -1},
    {0, 0, 0x7, -1},
    {0, 0, 0x4, 0},
    {0, 0, 0x5, 0},
    {0, 0, 0x6, 0},
    {0, 0, 0x7, 0},
    {0, 0, 0x8, -1},
    {0, 0, 0x9, -1},
    {0, 0, 0xA, -1},
    {0, 0, 0xB, -1},
    {0, 0, 0xC, -1},
    {0, 0, 0xD, -1},
    {0, 0, 0xE, -1},
    {0, 0, 0xF, -1},
    {0, 0, 0x8, 0},
    {0, 0, 0x9, 0},
    {0, 0, 0xA, 0},
    {0, 0, 0xB, 0},
    {0, 0, 0xC, 0},
    {0, 0, 0xD, 0},
    {0, 0, 0xE, 0},
    {0, 0, 0xF, 0},
    {0, 0, 0x10, -1},
    {0, 0, 0x11, -1},
    {0, 0, 0x12, -1},
    {0, 0, 0x13, -1},
    {0, 0, 0x14, -1},
    {0, 0, 0x15, -1},
    {0, 0, 0x16, -1},
    {0, 0, 0x17, -1},
    {0, 0, 0x18, -1},
    {0, 0, 0x19, -1},
    {0, 0, 0x1A, -1},
    {0, 0, 0x1B, -1},
    {0, 0, 0x1C, -1},
    {0, 0, 0x1D, -1},
    {0, 0, 0x1E, -1},
    {0, 0, 0x1F, -1},
    {0, 0, 0x10, 0},
    {0, 0, 0x11, 0},
    {0, 0, 0x12, 0},
    {0, 0, 0x13, 0},
    {0, 0, 0x14, 0},
    {0, 0, 0x15, 0},
    {0, 0, 0x16, 0},
    {0, 0, 0x17, 0},
    {0, 0, 0x18, 0},
    {0, 0, 0x19, 0},
    {0, 0, 0x1A, 0},
    {0, 0, 0x1B, 0},
    {0, 0, 0x1C, 0},
    {0, 0, 0x1D, 0},
    {0, 0, 0x1E, 0},
    {0, 0, 0x1F, 0},
    {0, 0, 0x20, -1},
    {0, 0, 0x21, -1},
    {0, 0, 0x22, -1},
    {0, 0, 0x23, -1},
    {0, 0, 0x24, -1},
    {0, 0, 0x25, -1},
    {0, 0, 0x26, -1},
    {0, 0, 0x27, -1},
    {0, 0, 0x28, -1},
    {0, 0, 0x29, -1},
    {0, 0, 0x2A, -1},
    {0, 0, 0x2B, -1},
    {0, 0, 0x2C, -1},
    {0, 0, 0x2D, -1},
    {0, 0, 0x2E, -1},
    {0, 0, 0x2F, -1},
    {0, 0, 0x30, -1},
    {0, 0, 0x31, -1},
    {0, 0, 0x32, -1},
    {0, 0, 0x33, -1},
    {0, 0, 0x34, -1},
    {0, 0, 0x35, -1},
    {0, 0, 0x36, -1},
    {0, 0, 0x37, -1},
    {0, 0, 0x38, -1},
    {0, 0, 0x39, -1},
    {0, 0, 0x3A, -1},
    {0, 0, 0x3B, -1},
    {0, 0, 0x3C, -1},
    {0, 0, 0x3D, -1},
    {0, 0, 0x3E, -1},
    {0, 0, 0x3F, -1},
    {0, 0, 0x20, 0},
    {0, 0, 0x21, 0},
    {0, 0, 0x22, 0},
    {0, 0, 0x23, 0},
    {0, 0, 0x24, 0},
    {0, 0, 0x25, 0},
    {0, 0, 0x26, 0},
    {0, 0, 0x27, 0},
    {0, 0, 0x28, 0},
    {0, 0, 0x29, 0},
    {0, 0, 0x2A, 0},
    {0, 0, 0x2B, 0},
    {0, 0, 0x2C, 0},
    {0, 0, 0x2D, 0},
    {0, 0, 0x2E, 0},
    {0, 0, 0x2F, 0},
    {0, 0, 0x30, 0},
    {0, 0, 0x31, 0},
    {0, 0, 0x32, 0},
    {0, 0, 0x33, 0},
    {0, 0, 0x34, 0},
    {0, 0, 0x35, 0},
    {0, 0, 0x36, 0},
    {0, 0, 0x37, 0},
    {0, 0, 0x38, 0},
    {0, 0, 0x39, 0},
    {0, 0, 0x3A, 0},
    {0, 0, 0x3B, 0},
    {0, 0, 0x3C, 0},
    {0, 0, 0x3D, 0},
    {0, 0, 0x3E, 0},
    {0, 0, 0x3F, 0},
    {0, 0, 0x40, -1},
    {0, 0, 0x41, -1},
    {0, 0, 0x42, -1},
    {0, 0, 0x43, -1},
    {0, 0, 0x44, -1},
    {0, 0, 0x45, -1},
    {0, 0, 0x46, -1},
    {0, 0, 0x47, -1},
    {0, 0, 0x48, -1},
    {0, 0, 0x49, -1},
    {0, 0, 0x4A, -1},
    {0, 0, 0x4B, -1},
    {0, 0, 0x4C, -1},
    {0, 0, 0x4D, -1},
    {0, 0, 0x4E, -1},
    {0, 0, 0x4F, -1},
    {0, 0, 0x50, -1},
    {0, 0, 0x51, -1},
    {0, 0, 0x52, -1},
    {0, 0, 0x53, -1},
    {0, 0, 0x54, -1},
    {0, 0, 0x55, -1},
    {0, 0, 0x56, -1},
    {0, 0, 0x57, -1},
    {0, 0, 0x58, -1},
    {0, 0, 0x59, -1},
    {0, 0, 0x5A, -1},
    {0, 0, 0x5B, -1},
    {0, 0, 0x5C, -1},
    {0, 0, 0x5D, -1},
    {0, 0, 0x5E, -1},
    {0, 0, 0x5F, -1},
    {0, 0, 0x60, -1},
    {0, 0, 0x61, -1},
    {0, 0, 0x62, -1},
    {0, 0, 0x63, -1},
    {0, 0, 0x64, -1},
    {0, 0, 0x65, -1},
    {0, 0, 0x66, -1},
    {0, 0, 0x67, -1},
    {0, 0, 0x68, -1},
    {0, 0, 0x69, -1},
    {0, 0, 0x6A, -1},
    {0, 0, 0x6B, -1},
    {0, 0, 0x6C, -1},
    {0, 0, 0x6D, -1},
    {0, 0, 0x6E, -1},
    {0, 0, 0x6F, -1},
    {0, 0, 0x70, -1},
    {0, 0, 0x71, -1},
    {0, 0, 0x72, -1},
    {0, 0, 0x73, -1},
    {0, 0, 0x74, -1},
    {0, 0, 0x75, -1},
    {0, 0, 0x76, -1},
    {0, 0, 0x77, -1},
    {0, 0, 0x78, -1},
    {0, 0, 0x79, -1},
    {0, 0, 0x7A, -1},
    {0, 0, 0x7B, -1},
    {0, 0, 0x7C, -1},
    {0, 0, 0x7D, -1},
    {0, 0, 0x7E, -1},
    {0, 0, 0x7F, -1},
    {0, 0, 0x40, 0},
    {0, 0, 0x41, 0},
    {0, 0, 0x42, 0},
    {0, 0, 0x43, 0},
    {0, 0, 0x44, 0},
    {0, 0, 0x45, 0},
    {0, 0, 0x46, 0},
    {0, 0, 0x47, 0},
    {0, 0, 0x48, 0},
    {0, 0, 0x49, 0},
    {0, 0, 0x4A, 0},
    {0, 0, 0x4B, 0},
    {0, 0, 0x4C, 0},
    {0, 0, 0x4D, 0},
    {0, 0, 0x4E, 0},
    {0, 0, 0x4F, 0},
    {0, 0, 0x50, 0},
    {0, 0, 0x51, 0},
    {0, 0, 0x52, 0},
    {0, 0, 0x53, 0},
    {0, 0, 0x54, 0},
    {0, 0, 0x55, 0},
    {0, 0, 0x56, 0},
    {0, 0, 0x57, 0},
    {0, 0, 0x58, 0},
    {0, 0, 0x59, 0},
    {0, 0, 0x5A, 0},
    {0, 0, 0x5B, 0},
    {0, 0, 0x5C, 0},
    {0, 0, 0x5D, 0},
    {0, 0, 0x5E, 0},
    {0, 0, 0x5F, 0},
    {0, 0, 0x60, 0},
    {0, 0, 0x61, 0},
    {0, 0, 0x62, 0},
    {0, 0, 0x63, 0},
    {0, 0, 0x64, 0},
    {0, 0, 0x65, 0},
    {0, 0, 0x66, 0},
    {0, 0, 0x67, 0},
    {0, 0, 0x68, 0},
    {0, 0, 0x69, 0},
    {0, 0, 0x6A, 0},
    {0, 0, 0x6B, 0},
    {0, 0, 0x6C, 0},
    {0, 0, 0x6D, 0},
    {0, 0, 0x6E, 0},
    {0, 0, 0x6F, 0},
    {0, 0, 0x70, 0},
    {0, 0, 0x71, 0},
    {0, 0, 0x72, 0},
    {0, 0, 0x73, 0},
    {0, 0, 0x74, 0},
    {0, 0, 0x75, 0},
    {0, 0, 0x76, 0},
    {0, 0, 0x77, 0},
    {0, 0, 0x78, 0},
    {0, 0, 0x79, 0},
    {0, 0, 0x7A, 0},
    {0, 0, 0x7B, 0},
    {0, 0, 0x7C, 0},
    {0, 0, 0x7D, 0},
    {0, 0, 0x7E, 0},
    {0, 0, 0x7F, 0},
    {0, 0, 0x80, -1},
    {0, 0, 0x81, -1},
    {0, 0, 0x82, -1},
    {0, 0, 0x83, -1},
    {0, 0, 0x84, -1},
    {0, 0, 0x85, -1},
    {0, 0, 0x86, -1},
    {0, 0, 0x87, -1},
    {0, 0, 0x88, -1},
    {0, 0, 0x89, -1},
    {0, 0, 0x8A, -1},
    {0, 0, 0x8B, -1},
    {0, 0, 0x8C, -1},
    {0, 0, 0x8D, -1},
    {0, 0, 0x8E, -1},
    {0, 0, 0x8F, -1},
    {0, 0, 0x90, -1},
    {0, 0, 0x91, -1},
    {0, 0, 0x92, -1},
    {0, 0, 0x93, -1},
    {0, 0, 0x94, -1},
    {0, 0, 0x95, -1},
    {0, 0, 0x96, -1},
    {0, 0, 0x97, -1},
    {0, 0, 0x98, -1},
    {0, 0, 0x99, -1},
    {0, 0, 0x9A, -1},
    {0, 0, 0x9B, -1},
    {0, 0, 0x9C, -1},
    {0, 0, 0x9D, -1},
    {0, 0, 0x9E, -1},
    {0, 0, 0x9F, -1},
    {0, 0, 0xA0, -1},
    {0, 0, 0xA1, -1},
    {0, 0, 0xA2, -1},
    {0, 0, 0xA3, -1},
    {0, 0, 0xA4, -1},
    {0, 0, 0xA5, -1},
    {0, 0, 0xA6, -1},
    {0, 0, 0xA7, -1},
    {0, 0, 0xA8, -1},
    {0, 0, 0xA9, -1},
    {0, 0, 0xAA, -1},
    {0, 0, 0xAB, -1},
    {0, 0, 0xAC, -1},
    {0, 0, 0xAD, -1},
    {0, 0, 0xAE, -1},
    {0, 0, 0xAF, -1},
    {0, 0, 0xB0, -1},
    {0, 0, 0xB1, -1},
    {0, 0, 0xB2, -1},
    {0, 0, 0xB3, -1},
    {0, 0, 0xB4, -1},
    {0, 0, 0xB5, -1},
    {0, 0, 0xB6, -1},
    {0, 0, 0xB7, -1},
    {0, 0, 0xB8, -1},
    {0, 0, 0xB9, -1},
    {0, 0, 0xBA, -1},
    {0, 0, 0xBB, -1},
    {0, 0, 0xBC, -1},
    {0, 0, 0xBD, -1},
    {0, 0, 0xBE, -1},
    {0, 0, 0xBF, -1},
    {0, 0, 0xC0, -1},
    {0, 0, 0xC1, -1},
    {0, 0, 0xC2, -1},
    {0, 0, 0xC3, -1},
    {0, 0, 0xC4, -1},
    {0, 0, 0xC5, -1},
    {0, 0, 0xC6, -1},
    {0, 0, 0xC7, -1},
    {0, 0, 0xC8, -1},
    {0, 0, 0xC9, -1},
    {0, 0, 0xCA, -1},
    {0, 0, 0xCB, -1},
    {0, 0, 0xCC, -1},
    {0, 0, 0xCD, -1},
    {0, 0, 0xCE, -1},
    {0, 0, 0xCF, -1},
    {0, 0, 0xD0, -1},
    {0, 0, 0xD1, -1},
    {0, 0, 0xD2, -1},
    {0, 0, 0xD3, -1},
    {0, 0, 0xD4, -1},
    {0, 0, 0xD5, -1},
    {0, 0, 0xD6, -1},
    {0, 0, 0xD7, -1},
    {0, 0, 0xD8, -1},
    {0, 0, 0xD9, -1},
    {0, 0, 0xDA, -1},
    {0, 0, 0xDB, -1},
    {0, 0, 0xDC, -1},
    {0, 0, 0xDD, -1},
    {0, 0, 0xDE, -1},
    {0, 0, 0xDF, -1},
    {0, 0, 0xE0, -1},
    {0, 0, 0xE1, -1},
    {0, 0, 0xE2, -1},
    {0, 0, 0xE3, -1},
    {0, 0, 0xE4, -1},
    {0, 0, 0xE5, -1},
    {0, 0, 0xE6, -1},
    {0, 0, 0xE7, -1},
    {0, 0, 0xE8, -1},
    {0, 0, 0xE9, -1},
    {0, 0, 0xEA, -1},
    {0, 0, 0xEB, -1},
    {0, 0, 0xEC, -1},
    {0, 0, 0xED, -1},
    {0, 0, 0xEE, -1},
    {0, 0, 0xEF, -1},
    {0, 0, 0xF0, -1},
    {0, 0, 0xF1, -1},
    {0, 0, 0xF2, -1},
    {0, 0, 0xF3, -1},
    {0, 0, 0xF4, -1},
    {0, 0, 0xF5, -1},
    {0, 0, 0xF6, -1},
    {0, 0, 0xF7, -1},
    {0, 0, 0xF8, -1},
    {0, 0, 0xF9, -1},
    {0, 0, 0xFA, -1},
    {0, 0, 0xFB, -1},
    {0, 0, 0xFC, -1},
    {0, 0, 0xFD, -1},
    {0, 0, 0xFE, -1},
    {0, 0, 0xFF, -1},
    {0, 0, 0x80, 0},
    {0, 0, 0x81, 0},
    {0, 0, 0x82, 0},
    {0, 0, 0x83, 0},
    {0, 0, 0x84, 0},
    {0, 0, 0x85, 0},
    {0, 0, 0x86, 0},
    {0, 0, 0x87, 0},
    {0, 0, 0x88, 0},
    {0, 0, 0x89, 0},
    {0, 0, 0x8A, 0},
    {0, 0, 0x8B, 0},
    {0, 0, 0x8C, 0},
    {0, 0, 0x8D, 0},
    {0, 0, 0x8E, 0},
    {0, 0, 0x8F, 0},
    {0, 0, 0x90, 0},
    {0, 0, 0x91, 0},
    {0, 0, 0x92, 0},
    {0, 0, 0x93, 0},
    {0, 0, 0x94, 0},
    {0, 0, 0x95, 0},
    {0, 0, 0x96, 0},
    {0, 0, 0x97, 0},
    {0, 0, 0x98, 0},
    {0, 0, 0x99, 0},
    {0, 0, 0x9A, 0},
    {0, 0, 0x9B, 0},
    {0, 0, 0x9C, 0},
    {0, 0, 0x9D, 0},
    {0, 0, 0x9E, 0},
    {0, 0, 0x9F, 0},
    {0, 0, 0xA0, 0},
    {0, 0, 0xA1, 0},
    {0, 0, 0xA2, 0},
    {0, 0, 0xA3, 0},
    {0, 0, 0xA4, 0},
    {0, 0, 0xA5, 0},
    {0, 0, 0xA6, 0},
    {0, 0, 0xA7, 0},
    {0, 0, 0xA8, 0},
    {0, 0, 0xA9, 0},
    {0, 0, 0xAA, 0},
    {0, 0, 0xAB, 0},
    {0, 0, 0xAC, 0},
    {0, 0, 0xAD, 0},
    {0, 0, 0xAE, 0},
    {0, 0, 0xAF, 0},
    {0, 0, 0xB0, 0},
    {0, 0, 0xB1, 0},
    {0, 0, 0xB2, 0},
    {0, 0, 0xB3, 0},
    {0, 0, 0xB4, 0},
    {0, 0, 0xB5, 0},
    {0, 0, 0xB6, 0},
    {0, 0, 0xB7, 0},
    {0, 0, 0xB8, 0},
    {0, 0, 0xB9, 0},
    {0, 0, 0xBA, 0},
    {0, 0, 0xBB, 0},
    {0, 0, 0xBC, 0},
    {0, 0, 0xBD, 0},
    {0, 0, 0xBE, 0},
    {0, 0, 0xBF, 0},
    {0, 0, 0xC0, 0},
    {0, 0, 0xC1, 0},
    {0, 0, 0xC2, 0},
    {0, 0, 0xC3, 0},
    {0, 0, 0xC4, 0},
    {0, 0, 0xC5, 0},
    {0, 0, 0xC6, 0},
    {0, 0, 0xC7, 0},
    {0, 0, 0xC8, 0},
    {0, 0, 0xC9, 0},
    {0, 0, 0xCA, 0},
    {0, 0, 0xCB, 0},
    {0, 0, 0xCC, 0},
    {0, 0, 0xCD, 0},
    {0, 0, 0xCE, 0},
    {0, 0, 0xCF, 0},
    {0, 0, 0xD0, 0},
    {0, 0, 0xD1, 0},
    {0, 0, 0xD2, 0},
    {0, 0, 0xD3, 0},
    {0, 0, 0xD4, 0},
    {0, 0, 0xD5, 0},
    {0, 0, 0xD6, 0},
    {0, 0, 0xD7, 0},
    {0, 0, 0xD8, 0},
    {0, 0, 0xD9, 0},
    {0, 0, 0xDA, 0},
    {0, 0, 0xDB, 0},
    {0, 0, 0xDC, 0},
    {0, 0, 0xDD, 0},
    {0, 0, 0xDE, 0},
    {0, 0, 0xDF, 0},
    {0, 0, 0xE0, 0},
    {0, 0, 0xE1, 0},
    {0, 0, 0xE2, 0},
    {0, 0, 0xE3, 0},
    {0, 0, 0xE4, 0},
    {0, 0, 0xE5, 0},
    {0, 0, 0xE6, 0},
    {0, 0, 0xE7, 0},
    {0, 0, 0xE8, 0},
    {0, 0, 0xE9, 0},
    {0, 0, 0xEA, 0},
    {0, 0, 0xEB, 0},
    {0, 0, 0xEC, 0},
    {0, 0, 0xED, 0},
    {0, 0, 0xEE, 0},
    {0, 0, 0xEF, 0},
    {0, 0, 0xF0, 0},
    {0, 0, 0xF1, 0},
    {0, 0, 0xF2, 0},
    {0, 0, 0xF3, 0},
    {0, 0, 0xF4, 0},
    {0, 0, 0xF5, 0},
    {0, 0, 0xF6, 0},
    {0, 0, 0xF7, 0},
    {0, 0, 0xF8, 0},
    {0, 0, 0xF9, 0},
    {0, 0, 0xFA, 0},
    {0, 0, 0xFB, 0},
    {0, 0, 0xFC, 0},
    {0, 0, 0xFD, 0},
    {0, 0, 0xFE, 0},
    {0, 0, 0xFF, 0}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {1, 10, 0x0, 0},
    {0, 0, 0x0, 11},
    {1, 11, 0x0, 0},
    {0, 0, 0x0, 12},
    {0, 0, 0x2, 11},
    {0, 0, 0x3, 11},
    {1, 12, 0x0, 0},
    {0, 0, 0x0, 13},
    {0, 0, 0x2, 12},
    {0, 0, 0x3, 12},
    {0, 0, 0x4, 11},
    {0, 0, 0x5, 11},
    {0, 0, 0x6, 11},
    {0, 0, 0x7, 11},
    {1, 13, 0x0, 0},
    {0, 0, 0x0, 14},
    {0, 0, 0x2, 13},
    {0, 0, 0x3, 13},
    {0, 0, 0x4, 12},
    {0, 0, 0x5, 12},
    {0, 0, 0x6, 12},
    {0, 0, 0x7, 12},
    {0, 0, 0x8, 11},
    {0, 0, 0x9, 11},
    {0, 0, 0xA, 11},
    {0, 0, 0xB, 11},
    {0, 0, 0xC, 11},
    {0, 0, 0xD, 11},
    {0, 0, 0xE, 11},
    {0, 0, 0xF, 11},
    {1, 14, 0x0, 0},
    {0, 0, 0x0, 15},
    {0, 0, 0x2, 14},
    {0, 0, 0x3, 14},
    {0, 0, 0x4, 13},
    {0, 0, 0x5, 13},
    {0, 0, 0x6, 13},
    {0, 0, 0x7, 13},
    {0, 0, 0x8, 12},
    {0, 0, 0x9, 12},
    {0, 0, 0xA, 12},
    {0, 0, 0xB, 12},
    {0, 0, 0xC, 12},
    {0, 0, 0xD, 12},
    {0, 0, 0xE, 12},
    {0, 0, 0xF, 12},
    {0, 0, 0x10, 11},
    {0, 0, 0x11, 11},
    {0, 0, 0x12, 11},
    {0, 0, 0x13, 11},
    {0, 0, 0x14, 11},
    {0, 0, 0x15, 11},
    {0, 0, 0x16, 11},
    {0, 0, 0x17, 11},
    {0, 0, 0x18, 11},
    {0, 0, 0x19, 11},
    {0, 0, 0x1A, 11},
    {0, 0, 0x1B, 11},
    {0, 0, 0x1C, 11},
    {0, 0, 0x1D, 11},
    {0, 0, 0x1E, 11},
    {0, 0, 0x1F, 11},
    {1, 15, 0x0, 0},
    {0, 0, 0x0, 16},
    {0, 0, 0x2, 15},
    {0, 0, 0x3, 15},
    {0, 0, 0x4, 14},
    {0, 0, 0x5, 14},
    {0, 0, 0x6, 14},
    {0, 0, 0x7, 14},
    {0, 0, 0x8, 13},
    {0, 0, 0x9, 13},
    {0, 0, 0xA, 13},
    {0, 0, 0xB, 13},
    {0, 0, 0xC, 13},
    {0, 0, 0xD, 13},
    {0, 0, 0xE, 13},
    {0, 0, 0xF, 13},
    {0, 0, 0x10, 12},
    {0, 0, 0x11, 12},
    {0, 0, 0x12, 12},
    {0, 0, 0x13, 12},
    {0, 0, 0x14, 12},
    {0, 0, 0x15, 12},
    {0, 0, 0x16, 12},
    {0, 0, 0x17, 12},
    {0, 0, 0x18, 12},
    {0, 0, 0x19, 12},
    {0, 0, 0x1A, 12},
    {0, 0, 0x1B, 12},
    {0, 0, 0x1C, 12},
    {0, 0, 0x1D, 12},
    {0, 0, 0x1E, 12},
    {0, 0, 0x1F, 12},
    {0, 0, 0x20, 11},
    {0, 0, 0x21, 11},
    {0, 0, 0x22, 11},
    {0, 0, 0x23, 11},
    {0, 0, 0x24, 11},
    {0, 0, 0x25, 11},
    {0, 0, 0x26, 11},
    {0, 0, 0x27, 11},
    {0, 0, 0x28, 11},
    {0, 0, 0x29, 11},
    {0, 0, 0x2A, 11},
    {0, 0, 0x2B, 11},
    {0, 0, 0x2C, 11},
    {0, 0, 0x2D, 11},
    {0, 0, 0x2E, 11},
    {0, 0, 0x2F, 11},
    {0, 0, 0x30, 11},
    {0, 0, 0x31, 11},
    {0, 0, 0x32, 11},
    {0, 0, 0x33, 11},
    {0, 0, 0x34, 11},
    {0, 0, 0x35, 11},
    {0, 0, 0x36, 11},
    {0, 0, 0x37, 11},
    {0, 0, 0x38, 11},
    {0, 0, 0x39, 11},
    {0, 0, 0x3A, 11},
    {0, 0, 0x3B, 11},
    {0, 0, 0x3C, 11},
    {0, 0, 0x3D, 11},
    {0, 0, 0x3E, 11},
    {0, 0, 0x3F, 11},
    {0, 0, 0x0, -1},
    {0, 0, 0x0, 17},
    {0, 0, 0x2, 16},
    {0, 0, 0x3, 16},
    {0, 0, 0x4, 15},
    {0, 0, 0x5, 15},
    {0, 0, 0x6, 15},
    {0, 0, 0x7, 15},
    {0, 0, 0x8, 14},
    {0, 0, 0x9, 14},
    {0, 0, 0xA, 14},
    {0, 0, 0xB, 14},
    {0, 0, 0xC, 14},
    {0, 0, 0xD, 14},
    {0, 0, 0xE, 14},
    {0, 0, 0xF, 14},
    {0, 0, 0x10, 13},
    {0, 0, 0x11, 13},
    {0, 0, 0x12, 13},
    {0, 0, 0x13, 13},
    {0, 0, 0x14, 13},
    {0, 0, 0x15, 13},
    {0, 0, 0x16, 13},
    {0, 0, 0x17, 13},
    {0, 0, 0x18, 13},
    {0, 0, 0x19, 13},
    {0, 0, 0x1A, 13},
    {0, 0, 0x1B, 13},
    {0, 0, 0x1C, 13},
    {0, 0, 0x1D, 13},
    {0, 0, 0x1E, 13},
    {0, 0, 0x1F, 13},
    {0, 0, 0x20, 12},
    {0, 0, 0x21, 12},
    {0, 0, 0x22, 12},
    {0, 0, 0x23, 12},
    {0, 0, 0x24, 12},
    {0, 0, 0x25, 12},
    {0, 0, 0x26, 12},
    {0, 0, 0x27, 12},
    {0, 0, 0x28, 12},
    {0, 0, 0x29, 12},
    {0, 0, 0x2A, 12},
    {0, 0, 0x2B, 12},
    {0, 0, 0x2C, 12},
    {0, 0, 0x2D, 12},
    {0, 0, 0x2E, 12},
    {0, 0, 0x2F, 12},
    {0, 0, 0x30, 12},
    {0, 0, 0x31, 12},
    {0, 0, 0x32, 12},
    {0, 0, 0x33, 12},
    {0, 0, 0x34, 12},
    {0, 0, 0x35, 12},
    {0, 0, 0x36, 12},
    {0, 0, 0x37, 12},
    {0, 0, 0x38, 12},
    {0, 0, 0x39, 12},
    {0, 0, 0x3A, 12},
    {0, 0, 0x3B, 12},
    {0, 0, 0x3C, 12},
    {0, 0, 0x3D, 12},
    {0, 0, 0x3E, 12},
    {0, 0, 0x3F, 12},
    {0, 0, 0x40, 11},
    {0, 0, 0x41, 11},
    {0, 0, 0x42, 11},
    {0, 0, 0x43, 11},
    {0, 0, 0x44, 11},
    {0, 0, 0x45, 11},
    {0, 0, 0x46, 11},
    {0, 0, 0x47, 11},
    {0, 0, 0x48, 11},
    {0, 0, 0x49, 11},
    {0, 0, 0x4A, 11},
    {0, 0, 0x4B, 11},
    {0, 0, 0x4C, 11},
    {0, 0, 0x4D, 11},
    {0, 0, 0x4E, 11},
    {0, 0, 0x4F, 11},
    {0, 0, 0x50, 11},
    {0, 0, 0x51, 11},
    {0, 0, 0x52, 11},
    {0, 0, 0x53, 11},
    {0, 0, 0x54, 11},
    {0, 0, 0x55, 11},
    {0, 0, 0x56, 11},
    {0, 0, 0x57, 11},
    {0, 0, 0x58, 11},
    {0, 0, 0x59, 11},
    {0, 0, 0x5A, 11},
    {0, 0, 0x5B, 11},
    {0, 0, 0x5C, 11},
    {0, 0, 0x5D, 11},
    {0, 0, 0x5E, 11},
    {0, 0, 0x5F, 11},
    {0, 0, 0x60, 11},
    {0, 0, 0x61, 11},
    {0, 0, 0x62, 11},
    {0, 0, 0x63, 11},
    {0, 0, 0x64, 11},
    {0, 0, 0x65, 11},
    {0, 0, 0x66, 11},
    {0, 0, 0x67, 11},
    {0, 0, 0x68, 11},
    {0, 0, 0x69, 11},
    {0, 0, 0x6A, 11},
    {0, 0, 0x6B, 11},
    {0, 0, 0x6C, 11},
    {0, 0, 0x6D, 11},
    {0, 0, 0x6E, 11},
    {0, 0, 0x6F, 11},
    {0, 0, 0x70, 11},
    {0, 0, 0x71, 11},
    {0, 0, 0x72, 11},
    {0, 0, 0x73, 11},
    {0, 0, 0x74, 11},
    {0, 0, 0x75, 11},
    {0, 0, 0x76, 11},
    {0, 0, 0x77, 11},
    {0, 0, 0x78, 11},
    {0, 0, 0x79, 11},
    {0, 0, 0x7A, 11},
    {0, 0, 0x7B, 11},
    {0, 0, 0x7C, 11},
    {0, 0, 0x7D, 11},
    {0, 0, 0x7E, 11},
    {0, 0, 0x7F, 11},
    {0, 0, 0x2, -1},
    {0, 0, 0x3, -1},
    {0, 0, 0x2, 17},
    {0, 0, 0x3, 17},
    {0, 0, 0x4, 16},
    {0, 0, 0x5, 16},
    {0, 0, 0x6, 16},
    {0, 0, 0x7, 16},
    {0, 0, 0x8, 15},
    {0, 0, 0x9, 15},
    {0, 0, 0xA, 15},
    {0, 0, 0xB, 15},
    {0, 0, 0xC, 15},
    {0, 0, 0xD, 15},
    {0, 0, 0xE, 15},
    {0, 0, 0xF, 15},
    {0, 0, 0x10, 14},
    {0, 0, 0x11, 14},
    {0, 0, 0x12, 14},
    {0, 0, 0x13, 14},
    {0, 0, 0x14, 14},
    {0, 0, 0x15, 14},
    {0, 0, 0x16, 14},
    {0, 0, 0x17, 14},
    {0, 0, 0x18, 14},
    {0, 0, 0x19, 14},
    {0, 0, 0x1A, 14},
    {0, 0, 0x1B, 14},
    {0, 0, 0x1C, 14},
    {0, 0, 0x1D, 14},
    {0, 0, 0x1E, 14},
    {0, 0, 0x1F, 14},
    {0, 0, 0x20, 13},
    {0, 0, 0x21, 13},
    {0, 0, 0x22, 13},
    {0, 0, 0x23, 13},
    {0, 0, 0x24, 13},
    {0, 0, 0x25, 13},
    {0, 0, 0x26, 13},
    {0, 0, 0x27, 13},
    {0, 0, 0x28, 13},
    {0, 0, 0x29, 13},
    {0, 0, 0x2A, 13},
    {0, 0, 0x2B, 13},
    {0, 0, 0x2C, 13},
    {0, 0, 0x2D, 13},
    {0, 0, 0x2E, 13},
    {0, 0, 0x2F, 13},
    {0, 0, 0x30, 13},
    {0, 0, 0x31, 13},
    {0, 0, 0x32, 13},
    {0, 0, 0x33, 13},
    {0, 0, 0x34, 13},
    {0, 0, 0x35, 13},
    {0, 0, 0x36, 13},
    {0, 0, 0x37, 13},
    {0, 0, 0x38, 13},
    {0, 0, 0x39, 13},
    {0, 0, 0x3A, 13},
    {0, 0, 0x3B, 13},
    {0, 0, 0x3C, 13},
    {0, 0, 0x3D, 13},
    {0, 0, 0x3E, 13},
    {0, 0, 0x3F, 13},
    {0, 0, 0x40, 12},
    {0, 0, 0x41, 12},
    {0, 0, 0x42, 12},
    {0, 0, 0x43, 12},
    {0, 0, 0x44, 12},
    {0, 0, 0x45, 12},
    {0, 0, 0x46, 12},
    {0, 0, 0x47, 12},
    {0, 0, 0x48, 12},
    {0, 0, 0x49, 12},
    {0, 0, 0x4A, 12},
    {0, 0, 0x4B, 12},
    {0, 0, 0x4C, 12},
    {0, 0, 0x4D, 12},
    {0, 0, 0x4E, 12},
    {0, 0, 0x4F, 12},
    {0, 0, 0x50, 12},
    {0, 0, 0x51, 12},
    {0, 0, 0x52, 12},
    {0, 0, 0x53, 12},
    {0, 0, 0x54, 12},
    {0, 0, 0x55, 12},
    {0, 0, 0x56, 12},
    {0, 0, 0x57, 12},
    {0, 0, 0x58, 12},
    {0, 0, 0x59, 12},
    {0, 0, 0x5A, 12},
    {0, 0, 0x5B, 12},
    {0, 0, 0x5C, 12},
    {0, 0, 0x5D, 12},
    {0, 0, 0x5E, 12},
    {0, 0, 0x5F, 12},
    {0, 0, 0x60, 12},
    {0, 0, 0x61, 12},
    {0, 0, 0x62, 12},
    {0, 0, 0x63, 12},
    {0, 0, 0x64, 12},
    {0, 0, 0x65, 12},
    {0, 0, 0x66, 12},
    {0, 0, 0x67, 12},
    {0, 0, 0x68, 12},
    {0, 0, 0x69, 12},
    {0, 0, 0x6A, 12},
    {0, 0, 0x6B, 12},
    {0, 0, 0x6C, 12},
    {0, 0, 0x6D, 12},
    {0, 0, 0x6E, 12},
    {0, 0, 0x6F, 12},
    {0, 0, 0x70, 12},
    {0, 0, 0x71, 12},
    {0, 0, 0x72, 12},
    {0, 0, 0x73, 12},
    {0, 0, 0x74, 12},
    {0, 0, 0x75, 12},
    {0, 0, 0x76, 12},
    {0, 0, 0x77, 12},
    {0, 0, 0x78, 12},
    {0, 0, 0x79, 12},
    {0, 0, 0x7A, 12},
    {0, 0, 0x7B, 12},
    {0, 0, 0x7C, 12},
    {0, 0, 0x7D, 12},
    {0, 0, 0x7E, 12},
    {0, 0, 0x7F, 12},
    {0, 0, 0x80, 11},
    {0, 0, 0x81, 11},
    {0, 0, 0x82, 11},
    {0, 0, 0x83, 11},
    {0, 0, 0x84, 11},
    {0, 0, 0x85, 11},
    {0, 0, 0x86, 11},
    {0, 0, 0x87, 11},
    {0, 0, 0x88, 11},
    {0, 0, 0x89, 11},
    {0, 0, 0x8A, 11},
    {0, 0, 0x8B, 11},
    {0, 0, 0x8C, 11},
    {0, 0, 0x8D, 11},
    {0, 0, 0x8E, 11},
    {0, 0, 0x8F, 11},
    {0, 0, 0x90, 11},
    {0, 0, 0x91, 11},
    {0, 0, 0x92, 11},
    {0, 0, 0x93, 11},
    {0, 0, 0x94, 11},
    {0, 0, 0x95, 11},
    {0, 0, 0x96, 11},
    {0, 0, 0x97, 11},
    {0, 0, 0x98, 11},
    {0, 0, 0x99, 11},
    {0, 0, 0x9A, 11},
    {0, 0, 0x9B, 11},
    {0, 0, 0x9C, 11},
    {0, 0, 0x9D, 11},
    {0, 0, 0x9E, 11},
    {0, 0, 0x9F, 11},
    {0, 0, 0xA0, 11},
    {0, 0, 0xA1, 11},
    {0, 0, 0xA2, 11},
    {0, 0, 0xA3, 11},
    {0, 0, 0xA4, 11},
    {0, 0, 0xA5, 11},
    {0, 0, 0xA6, 11},
    {0, 0, 0xA7, 11},
    {0, 0, 0xA8, 11},
    {0, 0, 0xA9, 11},
    {0, 0, 0xAA, 11},
    {0, 0, 0xAB, 11},
    {0, 0, 0xAC, 11},
    {0, 0, 0xAD, 11},
    {0, 0, 0xAE, 11},
    {0, 0, 0xAF, 11},
    {0, 0, 0xB0, 11},
    {0, 0, 0xB1, 11},
    {0, 0, 0xB2, 11},
    {0, 0, 0xB3, 11},
    {0, 0, 0xB4, 11},
    {0, 0, 0xB5, 11},
    {0, 0, 0xB6, 11},
    {0, 0, 0xB7, 11},
    {0, 0, 0xB8, 11},
    {0, 0, 0xB9, 11},
    {0, 0, 0xBA, 11},
    {0, 0, 0xBB, 11},
    {0, 0, 0xBC, 11},
    {0, 0, 0xBD, 11},
    {0, 0, 0xBE, 11},
    {0, 0, 0xBF, 11},
    {0, 0, 0xC0, 11},
    {0, 0, 0xC1, 11},
    {0, 0, 0xC2, 11},
    {0, 0, 0xC3, 11},
    {0, 0, 0xC4, 11},
    {0, 0, 0xC5, 11},
    {0, 0, 0xC6, 11},
    {0, 0, 0xC7, 11},
    {0, 0, 0xC8, 11},
    {0, 0, 0xC9, 11},
    {0, 0, 0xCA, 11},
    {0, 0, 0xCB, 11},
    {0, 0, 0xCC, 11},
    {0, 0, 0xCD, 11},
    {0, 0, 0xCE, 11},
    {0, 0, 0xCF, 11},
    {0, 0, 0xD0, 11},
    {0, 0, 0xD1, 11},
    {0, 0, 0xD2, 11},
    {0, 0, 0xD3, 11},
    {0, 0, 0xD4, 11},
    {0, 0, 0xD5, 11},
    {0, 0, 0xD6, 11},
    {0, 0, 0xD7, 11},
    {0, 0, 0xD8, 11},
    {0, 0, 0xD9, 11},
    {0, 0, 0xDA, 11},
    {0, 0, 0xDB, 11},
    {0, 0, 0xDC, 11},
    {0, 0, 0xDD, 11},
    {0, 0, 0xDE, 11},
    {0, 0, 0xDF, 11},
    {0, 0, 0xE0, 11},
    {0, 0, 0xE1, 11},
    {0, 0, 0xE2, 11},
    {0, 0, 0xE3, 11},
    {0, 0, 0xE4, 11},
    {0, 0, 0xE5, 11},
    {0, 0, 0xE6, 11},
    {0, 0, 0xE7, 11},
    {0, 0, 0xE8, 11},
    {0, 0, 0xE9, 11},
    {0, 0, 0xEA, 11},
    {0, 0, 0xEB, 11},
    {0, 0, 0xEC, 11},
    {0, 0, 0xED, 11},
    {0, 0, 0xEE, 11},
    {0, 0, 0xEF, 11},
    {0, 0, 0xF0, 11},
    {0, 0, 0xF1, 11},
    {0, 0, 0xF2, 11},
    {0, 0, 0xF3, 11},
    {0, 0, 0xF4, 11},
    {0, 0, 0xF5, 11},
    {0, 0, 0xF6, 11},
    {0, 0, 0xF7, 11},
    {0, 0, 0xF8, 11},
    {0, 0, 0xF9, 11},
    {0, 0, 0xFA, 11},
    {0, 0, 0xFB, 11},
    {0, 0, 0xFC, 11},
    {0, 0, 0xFD, 11},
    {0, 0, 0xFE, 11},
    {0, 0, 0xFF, 11}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {1, 11, 0x0, 0},
    {0, 0, 0x0, 12},
    {1, 12, 0x0, 0},
    {0, 0, 0x0, 13},
    {0, 0, 0x2, 12},
    {0, 0, 0x3, 12},
    {1, 13, 0x0, 0},
    {0, 0, 0x0, 14},
    {0, 0, 0x2, 13},
    {0, 0, 0x3, 13},
    {0, 0, 0x4, 12},
    {0, 0, 0x5, 12},
    {0, 0, 0x6, 12},
    {0, 0, 0x7, 12},
    {1, 14, 0x0, 0},
    {0, 0, 0x0, 15},
    {0, 0, 0x2, 14},
    {0, 0, 0x3, 14},
    {0, 0, 0x4, 13},
    {0, 0, 0x5, 13},
    {0, 0, 0x6, 13},
    {0, 0, 0x7, 13},
    {0, 0, 0x8, 12},
    {0, 0, 0x9, 12},
    {0, 0, 0xA, 12},
    {0, 0, 0xB, 12},
    {0, 0, 0xC, 12},
    {0, 0, 0xD, 12},
    {0, 0, 0xE, 12},
    {0, 0, 0xF, 12},
    {1, 15, 0x0, 0},
    {0, 0, 0x0, 16},
    {0, 0, 0x2, 15},
    {0, 0, 0x3, 15},
    {0, 0, 0x4, 14},
    {0, 0, 0x5, 14},
    {0, 0, 0x6, 14},
    {0, 0, 0x7, 14},
    {0, 0, 0x8, 13},
    {0, 0, 0x9, 13},
    {0, 0, 0xA, 13},
    {0, 0, 0xB, 13},
    {0, 0, 0xC, 13},
    {0, 0, 0xD, 13},
    {0, 0, 0xE, 13},
    {0, 0, 0xF, 13},
    {0, 0, 0x10, 12},
    {0, 0, 0x11, 12},
    {0, 0, 0x12, 12},
    {0, 0, 0x13, 12},
    {0, 0, 0x14, 12},
    {0, 0, 0x15, 12},
    {0, 0, 0x16, 12},
    {0, 0, 0x17, 12},
    {0, 0, 0x18, 12},
    {0, 0, 0x19, 12},
    {0, 0, 0x1A, 12},
    {0, 0, 0x1B, 12},
    {0, 0, 0x1C, 12},
    {0, 0, 0x1D, 12},
    {0, 0, 0x1E, 12},
    {0, 0, 0x1F, 12},
    {0, 0, 0x0, -1},
    {0, 0, 0x0, 17},
    {0, 0, 0x2, 16},
    {0, 0, 0x3, 16},
    {0, 0, 0x4, 15},
    {0, 0, 0x5, 15},
    {0, 0, 0x6, 15},
    {0, 0, 0x7, 15},
    {0, 0, 0x8, 14},
    {0, 0, 0x9, 14},
    {0, 0, 0xA, 14},
    {0, 0, 0xB, 14},
    {0, 0, 0xC, 14},
    {0, 0, 0xD, 14},
    {0, 0, 0xE, 14},
    {0, 0, 0xF, 14},
    {0, 0, 0x10, 13},
    {0, 0, 0x11, 13},
    {0, 0, 0x12, 13},
    {0, 0, 0x13, 13},
    {0, 0, 0x14, 13},
    {0, 0, 0x15, 13},
    {0, 0, 0x16, 13},
    {0, 0, 0x17, 13},
    {0, 0, 0x18, 13},
    {0, 0, 0x19, 13},
    {0, 0, 0x1A, 13},
    {0, 0, 0x1B, 13},
    {0, 0, 0x1C, 13},
    {0, 0, 0x1D, 13},
    {0, 0, 0x1E, 13},
    {0, 0, 0x1F, 13},
    {0, 0, 0x20, 12},
    {0, 0, 0x21, 12},
    {0, 0, 0x22, 12},
    {0, 0, 0x23, 12},
    {0, 0, 0x24, 12},
    {0, 0, 0x25, 12},
    {0, 0, 0x26, 12},
    {0, 0, 0x27, 12},
    {0, 0, 0x28, 12},
    {0, 0, 0x29, 12},
    {0, 0, 0x2A, 12},
    {0, 0, 0x2B, 12},
    {0, 0, 0x2C, 12},
    {0, 0, 0x2D, 12},
    {0, 0, 0x2E, 12},
    {0, 0, 0x2F, 12},
    {0, 0, 0x30, 12},
    {0, 0, 0x31, 12},
    {0, 0, 0x32, 12},
    {0, 0, 0x33, 12},
    {0, 0, 0x34, 12},
    {0, 0, 0x35, 12},
    {0, 0, 0x36, 12},
    {0, 0, 0x37, 12},
    {0, 0, 0x38, 12},
    {0, 0, 0x39, 12},
    {0, 0, 0x3A, 12},
    {0, 0, 0x3B, 12},
    {0, 0, 0x3C, 12},
    {0, 0, 0x3D, 12},
    {0, 0, 0x3E, 12},
    {0, 0, 0x3F, 12},
    {0, 0, 0x2, -1},
    {0, 0, 0x3, -1},
    {0, 0, 0x2, 17},
    {0, 0, 0x3, 17},
    {0, 0, 0x4, 16},
    {0, 0, 0x5, 16},
    {0, 0, 0x6, 16},
    {0, 0, 0x7, 16},
    {0, 0, 0x8, 15},
    {0, 0, 0x9, 15},
    {0, 0, 0xA, 15},
    {0, 0, 0xB, 15},
    {0, 0, 0xC, 15},
    {0, 0, 0xD, 15},
    {0, 0, 0xE, 15},
    {0, 0, 0xF, 15},
    {0, 0, 0x10, 14},
    {0, 0, 0x11, 14},
    {0, 0, 0x12, 14},
    {0, 0, 0x13, 14},
    {0, 0, 0x14, 14},
    {0, 0, 0x15, 14},
    {0, 0, 0x16, 14},
    {0, 0, 0x17, 14},
    {0, 0, 0x18, 14},
    {0, 0, 0x19, 14},
    {0, 0, 0x1A, 14},
    {0, 0, 0x1B, 14},
    {0, 0, 0x1C, 14},
    {0, 0, 0x1D, 14},
    {0, 0, 0x1E, 14},
    {0, 0, 0x1F, 14},
    {0, 0, 0x20, 13},
    {0, 0, 0x21, 13},
    {0, 0, 0x22, 13},
    {0, 0, 0x23, 13},
    {0, 0, 0x24, 13},
    {0, 0, 0x25, 13},
    {0, 0, 0x26, 13},
    {0, 0, 0x27, 13},
    {0, 0, 0x28, 13},
    {0, 0, 0x29, 13},
    {0, 0, 0x2A, 13},
    {0, 0, 0x2B, 13},
    {0, 0, 0x2C, 13},
    {0, 0, 0x2D, 13},
    {0, 0, 0x2E, 13},
    {0, 0, 0x2F, 13},
    {0, 0, 0x30, 13},
    {0, 0, 0x31, 13},
    {0, 0, 0x32, 13},
    {0, 0, 0x33, 13},
    {0, 0, 0x34, 13},
    {0, 0, 0x35, 13},
    {0, 0, 0x36, 13},
    {0, 0, 0x37, 13},
    {0, 0, 0x38, 13},
    {0, 0, 0x39, 13},
    {0, 0, 0x3A, 13},
    {0, 0, 0x3B, 13},
    {0, 0, 0x3C, 13},
    {0, 0, 0x3D, 13},
    {0, 0, 0x3E, 13},
    {0, 0, 0x3F, 13},
    {0, 0, 0x40, 12},
    {0, 0, 0x41, 12},
    {0, 0, 0x42, 12},
    {0, 0, 0x43, 12},
    {0, 0, 0x44, 12},
    {0, 0, 0x45, 12},
    {0, 0, 0x46, 12},
    {0, 0, 0x47, 12},
    {0, 0, 0x48, 12},
    {0, 0, 0x49, 12},
    {0, 0, 0x4A, 12},
    {0, 0, 0x4B, 12},
    {0, 0, 0x4C, 12},
    {0, 0, 0x4D, 12},
    {0, 0, 0x4E, 12},
    {0, 0, 0x4F, 12},
    {0, 0, 0x50, 12},
    {0, 0, 0x51, 12},
    {0, 0, 0x52, 12},
    {0, 0, 0x53, 12},
    {0, 0, 0x54, 12},
    {0, 0, 0x55, 12},
    {0, 0, 0x56, 12},
    {0, 0, 0x57, 12},
    {0, 0, 0x58, 12},
    {0, 0, 0x59, 12},
    {0, 0, 0x5A, 12},
    {0, 0, 0x5B, 12},
    {0, 0, 0x5C, 12},
    {0, 0, 0x5D, 12},
    {0, 0, 0x5E, 12},
    {0, 0, 0x5F, 12},
    {0, 0, 0x60, 12},
    {0, 0, 0x61, 12},
    {0, 0, 0x62, 12},
    {0, 0, 0x63, 12},
    {0, 0, 0x64, 12},
    {0, 0, 0x65, 12},
    {0, 0, 0x66, 12},
    {0, 0, 0x67, 12},
    {0, 0, 0x68, 12},
    {0, 0, 0x69, 12},
    {0, 0, 0x6A, 12},
    {0, 0, 0x6B, 12},
    {0, 0, 0x6C, 12},
    {0, 0, 0x6D, 12},
    {0, 0, 0x6E, 12},
    {0, 0, 0x6F, 12},
    {0, 0, 0x70, 12},
    {0, 0, 0x71, 12},
    {0, 0, 0x72, 12},
    {0, 0, 0x73, 12},
    {0, 0, 0x74, 12},
    {0, 0, 0x75, 12},
    {0, 0, 0x76, 12},
    {0, 0, 0x77, 12},
    {0, 0, 0x78, 12},
    {0, 0, 0x79, 12},
    {0, 0, 0x7A, 12},
    {0, 0, 0x7B, 12},
    {0, 0, 0x7C, 12},
    {0, 0, 0x7D, 12},
    {0, 0, 0x7E, 12},
    {0, 0, 0x7F, 12},
    {0, 0, 0x4, -1},
    {0, 0, 0x5, -1},
    {0, 0, 0x6, -1},
    {0, 0, 0x7, -1},
    {0, 0, 0x4, 17},
    {0, 0, 0x5, 17},
    {0, 0, 0x6, 17},
    {0, 0, 0x7, 17},
    {0, 0, 0x8, 16},
    {0, 0, 0x9, 16},
    {0, 0, 0xA, 16},
    {0, 0, 0xB, 16},
    {0, 0, 0xC, 16},
    {0, 0, 0xD, 16},
    {0, 0, 0xE, 16},
    {0, 0, 0xF, 16},
    {0, 0, 0x10, 15},
    {0, 0, 0x11, 15},
    {0, 0, 0x12, 15},
    {0, 0, 0x13, 15},
    {0, 0, 0x14, 15},
    {0, 0, 0x15, 15},
    {0, 0, 0x16, 15},
    {0, 0, 0x17, 15},
    {0, 0, 0x18, 15},
    {0, 0, 0x19, 15},
    {0, 0, 0x1A, 15},
    {0, 0, 0x1B, 15},
    {0, 0, 0x1C, 15},
    {0, 0, 0x1D, 15},
    {0, 0, 0x1E, 15},
    {0, 0, 0x1F, 15},
    {0, 0, 0x20, 14},
    {0, 0, 0x21, 14},
    {0, 0, 0x22, 14},
    {0, 0, 0x23, 14},
    {0, 0, 0x24, 14},
    {0, 0, 0x25, 14},
    {0, 0, 0x26, 14},
    {0, 0, 0x27, 14},
    {0, 0, 0x28, 14},
    {0, 0, 0x29, 14},
    {0, 0, 0x2A, 14},
    {0, 0, 0x2B, 14},
    {0, 0, 0x2C, 14},
    {0, 0, 0x2D, 14},
    {0, 0, 0x2E, 14},
    {0, 0, 0x2F, 14},
    {0, 0, 0x30, 14},
    {0, 0, 0x31, 14},
    {0, 0, 0x32, 14},
    {0, 0, 0x33, 14},
    {0, 0, 0x34, 14},
    {0, 0, 0x35, 14},
    {0, 0, 0x36, 14},
    {0, 0, 0x37, 14},
    {0, 0, 0x38, 14},
    {0, 0, 0x39, 14},
    {0, 0, 0x3A, 14},
    {0, 0, 0x3B, 14},
    {0, 0, 0x3C, 14},
    {0, 0, 0x3D, 14},
    {0, 0, 0x3E, 14},
    {0, 0, 0x3F, 14},
    {0, 0, 0x40, 13},
    {0, 0, 0x41, 13},
    {0, 0, 0x42, 13},
    {0, 0, 0x43, 13},
    {0, 0, 0x44, 13},
    {0, 0, 0x45, 13},
    {0, 0, 0x46, 13},
    {0, 0, 0x47, 13},
    {0, 0, 0x48, 13},
    {0, 0, 0x49, 13},
    {0, 0, 0x4A, 13},
    {0, 0, 0x4B, 13},
    {0, 0, 0x4C, 13},
    {0, 0, 0x4D, 13},
    {0, 0, 0x4E, 13},
    {0, 0, 0x4F, 13},
    {0, 0, 0x50, 13},
    {0, 0, 0x51, 13},
    {0, 0, 0x52, 13},
    {0, 0, 0x53, 13},
    {0, 0, 0x54, 13},
    {0, 0, 0x55, 13},
    {0, 0, 0x56, 13},
    {0, 0, 0x57, 13},
    {0, 0, 0x58, 13},
    {0, 0, 0x59, 13},
    {0, 0, 0x5A, 13},
    {0, 0, 0x5B, 13},
    {0, 0, 0x5C, 13},
    {0, 0, 0x5D, 13},
    {0, 0, 0x5E, 13},
    {0, 0, 0x5F, 13},
    {0, 0, 0x60, 13},
    {0, 0, 0x61, 13},
    {0, 0, 0x62, 13},
    {0, 0, 0x63, 13},
    {0, 0, 0x64, 13},
    {0, 0, 0x65, 13},
    {0, 0, 0x66, 13},
    {0, 0, 0x67, 13},
    {0, 0, 0x68, 13},
    {0, 0, 0x69, 13},
    {0, 0, 0x6A, 13},
    {0, 0, 0x6B, 13},
    {0, 0, 0x6C, 13},
    {0, 0, 0x6D, 13},
    {0, 0, 0x6E, 13},
    {0, 0, 0x6F, 13},
    {0, 0, 0x70, 13},
    {0, 0, 0x71, 13},
    {0, 0, 0x72, 13},
    {0, 0, 0x73, 13},
    {0, 0, 0x74, 13},
    {0, 0, 0x75, 13},
    {0, 0, 0x76, 13},
    {0, 0, 0x77, 13},
    {0, 0, 0x78, 13},
    {0, 0, 0x79, 13},
    {0, 0, 0x7A, 13},
    {0, 0, 0x7B, 13},
    {0, 0, 0x7C, 13},
    {0, 0, 0x7D, 13},
    {0, 0, 0x7E, 13},
    {0, 0, 0x7F, 13},
    {0, 0, 0x80, 12},
    {0, 0, 0x81, 12},
    {0, 0, 0x82, 12},
    {0, 0, 0x83, 12},
    {0, 0, 0x84, 12},
    {0, 0, 0x85, 12},
    {0, 0, 0x86, 12},
    {0, 0, 0x87, 12},
    {0, 0, 0x88, 12},
    {0, 0, 0x89, 12},
    {0, 0, 0x8A, 12},
    {0, 0, 0x8B, 12},
    {0, 0, 0x8C, 12},
    {0, 0, 0x8D, 12},
    {0, 0, 0x8E, 12},
    {0, 0, 0x8F, 12},
    {0, 0, 0x90, 12},
    {0, 0, 0x91, 12},
    {0, 0, 0x92, 12},
    {0, 0, 0x93, 12},
    {0, 0, 0x94, 12},
    {0, 0, 0x95, 12},
    {0, 0, 0x96, 12},
    {0, 0, 0x97, 12},
    {0, 0, 0x98, 12},
    {0, 0, 0x99, 12},
    {0, 0, 0x9A, 12},
    {0, 0, 0x9B, 12},
    {0, 0, 0x9C, 12},
    {0, 0, 0x9D, 12},
    {0, 0, 0x9E, 12},
    {0, 0, 0x9F, 12},
    {0, 0, 0xA0, 12},
    {0, 0, 0xA1, 12},
    {0, 0, 0xA2, 12},
    {0, 0, 0xA3, 12},
    {0, 0, 0xA4, 12},
    {0, 0, 0xA5, 12},
    {0, 0, 0xA6, 12},
    {0, 0, 0xA7, 12},
    {0, 0, 0xA8, 12},
    {0, 0, 0xA9, 12},
    {0, 0, 0xAA, 12},
    {0, 0, 0xAB, 12},
    {0, 0, 0xAC, 12},
    {0, 0, 0xAD, 12},
    {0, 0, 0xAE, 12},
    {0, 0, 0xAF, 12},
    {0, 0, 0xB0, 12},
    {0, 0, 0xB1, 12},
    {0, 0, 0xB2, 12},
    {0, 0, 0xB3, 12},
    {0, 0, 0xB4, 12},
    {0, 0, 0xB5, 12},
    {0, 0, 0xB6, 12},
    {0, 0, 0xB7, 12},
    {0, 0, 0xB8, 12},
    {0, 0, 0xB9, 12},
    {0, 0, 0xBA, 12},
    {0, 0, 0xBB, 12},
    {0, 0, 0xBC, 12},
    {0, 0, 0xBD, 12},
    {0, 0, 0xBE, 12},
    {0, 0, 0xBF, 12},
    {0, 0, 0xC0, 12},
    {0, 0, 0xC1, 12},
    {0, 0, 0xC2, 12},
    {0, 0, 0xC3, 12},
    {0, 0, 0xC4, 12},
    {0, 0, 0xC5, 12},
    {0, 0, 0xC6, 12},
    {0, 0, 0xC7, 12},
    {0, 0, 0xC8, 12},
    {0, 0, 0xC9, 12},
    {0, 0, 0xCA, 12},
    {0, 0, 0xCB, 12},
    {0, 0, 0xCC, 12},
    {0, 0, 0xCD, 12},
    {0, 0, 0xCE, 12},
    {0, 0, 0xCF, 12},
    {0, 0, 0xD0, 12},
    {0, 0, 0xD1, 12},
    {0, 0, 0xD2, 12},
    {0, 0, 0xD3, 12},
    {0, 0, 0xD4, 12},
    {0, 0, 0xD5, 12},
    {0, 0, 0xD6, 12},
    {0, 0, 0xD7, 12},
    {0, 0, 0xD8, 12},
    {0, 0, 0xD9, 12},
    {0, 0, 0xDA, 12},
    {0, 0, 0xDB, 12},
    {0, 0, 0xDC, 12},
    {0, 0, 0xDD, 12},
    {0, 0, 0xDE, 12},
    {0, 0, 0xDF, 12},
    {0, 0, 0xE0, 12},
    {0, 0, 0xE1, 12},
    {0, 0, 0xE2, 12},
    {0, 0, 0xE3, 12},
    {0, 0, 0xE4, 12},
    {0, 0, 0xE5, 12},
    {0, 0, 0xE6, 12},
    {0, 0, 0xE7, 12},
    {0, 0, 0xE8, 12},
    {0, 0, 0xE9, 12},
    {0, 0, 0xEA, 12},
    {0, 0, 0xEB, 12},
    {0, 0, 0xEC, 12},
    {0, 0, 0xED, 12},
    {0, 0, 0xEE, 12},
    {0, 0, 0xEF, 12},
    {0, 0, 0xF0, 12},
    {0, 0, 0xF1, 12},
    {0, 0, 0xF2, 12},
    {0, 0, 0xF3, 12},
    {0, 0, 0xF4, 12},
    {0, 0, 0xF5, 12},
    {0, 0, 0xF6, 12},
    {0, 0, 0xF7, 12},
    {0, 0, 0xF8, 12},
    {0, 0, 0xF9, 12},
    {0, 0, 0xFA, 12},
    {0, 0, 0xFB, 12},
    {0, 0, 0xFC, 12},
    {0, 0, 0xFD, 12},
    {0, 0, 0xFE, 12},
    {0, 0, 0xFF, 12}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {1, 12, 0x0, 0},
    {0, 0, 0x0, 13},
    {1, 13, 0x0, 0},
    {0, 0, 0x0, 14},
    {0, 0, 0x2, 13},
    {0, 0, 0x3, 13},
    {1, 14, 0x0, 0},
    {0, 0, 0x0, 15},
    {0, 0, 0x2, 14},
    {0, 0, 0x3, 14},
    {0, 0, 0x4, 13},
    {0, 0, 0x5, 13},
    {0, 0, 0x6, 13},
    {0, 0, 0x7, 13},
    {1, 15, 0x0, 0},
    {0, 0, 0x0, 16},
    {0, 0, 0x2, 15},
    {0, 0, 0x3, 15},
    {0, 0, 0x4, 14},
    {0, 0, 0x5, 14},
    {0, 0, 0x6, 14},
    {0, 0, 0x7, 14},
    {0, 0, 0x8, 13},
    {0, 0, 0x9, 13},
    {0, 0, 0xA, 13},
    {0, 0, 0xB, 13},
    {0, 0, 0xC, 13},
    {0, 0, 0xD, 13},
    {0, 0, 0xE, 13},
    {0, 0, 0xF, 13},
    {0, 0, 0x0, -1},
    {0, 0, 0x0, 17},
    {0, 0, 0x2, 16},
    {0, 0, 0x3, 16},
    {0, 0, 0x4, 15},
    {0, 0, 0x5, 15},
    {0, 0, 0x6, 15},
    {0, 0, 0x7, 15},
    {0, 0, 0x8, 14},
    {0, 0, 0x9, 14},
    {0, 0, 0xA, 14},
    {0, 0, 0xB, 14},
    {0, 0, 0xC, 14},
    {0, 0, 0xD, 14},
    {0, 0, 0xE, 14},
    {0, 0, 0xF, 14},
    {0, 0, 0x10, 13},
    {0, 0, 0x11, 13},
    {0, 0, 0x12, 13},
    {0, 0, 0x13, 13},
    {0, 0, 0x14, 13},
    {0, 0, 0x15, 13},
    {0, 0, 0x16, 13},
    {0, 0, 0x17, 13},
    {0, 0, 0x18, 13},
    {0, 0, 0x19, 13},
    {0, 0, 0x1A, 13},
    {0, 0, 0x1B, 13},
    {0, 0, 0x1C, 13},
    {0, 0, 0x1D, 13},
    {0, 0, 0x1E, 13},
    {0, 0, 0x1F, 13},
    {0, 0, 0x2, -1},
    {0, 0, 0x3, -1},
    {0, 0, 0x2, 17},
    {0, 0, 0x3, 17},
    {0, 0, 0x4, 16},
    {0, 0, 0x5, 16},
    {0, 0, 0x6, 16},
    {0, 0, 0x7, 16},
    {0, 0, 0x8, 15},
    {0, 0, 0x9, 15},
    {0, 0, 0xA, 15},
    {0, 0, 0xB, 15},
    {0, 0, 0xC, 15},
    {0, 0, 0xD, 15},
    {0, 0, 0xE, 15},
    {0, 0, 0xF, 15},
    {0, 0, 0x10, 14},
    {0, 0, 0x11, 14},
    {0, 0, 0x12, 14},
    {0, 0, 0x13, 14},
    {0, 0, 0x14, 14},
    {0, 0, 0x15, 14},
    {0, 0, 0x16, 14},
    {0, 0, 0x17, 14},
    {0, 0, 0x18, 14},
    {0, 0, 0x19, 14},
    {0, 0, 0x1A, 14},
    {0, 0, 0x1B, 14},
    {0, 0, 0x1C, 14},
    {0, 0, 0x1D, 14},
    {0, 0, 0x1E, 14},
    {0, 0, 0x1F, 14},
    {0, 0, 0x20, 13},
    {0, 0, 0x21, 13},
    {0, 0, 0x22, 13},
    {0, 0, 0x23, 13},
    {0, 0, 0x24, 13},
    {0, 0, 0x25, 13},
    {0, 0, 0x26, 13},
    {0, 0, 0x27, 13},
    {0, 0, 0x28, 13},
    {0, 0, 0x29, 13},
    {0, 0, 0x2A, 13},
    {0, 0, 0x2B, 13},
    {0, 0, 0x2C, 13},
    {0, 0, 0x2D, 13},
    {0, 0, 0x2E, 13},
    {0, 0, 0x2F, 13},
    {0, 0, 0x30, 13},
    {0, 0, 0x31, 13},
    {0, 0, 0x32, 13},
    {0, 0, 0x33, 13},
    {0, 0, 0x34, 13},
    {0, 0, 0x35, 13},
    {0, 0, 0x36, 13},
    {0, 0, 0x37, 13},
    {0, 0, 0x38, 13},
    {0, 0, 0x39, 13},
    {0, 0, 0x3A, 13},
    {0, 0, 0x3B, 13},
    {0, 0, 0x3C, 13},
    {0, 0, 0x3D, 13},
    {0, 0, 0x3E, 13},
    {0, 0, 0x3F, 13},
    {0, 0, 0x4, -1},
    {0, 0, 0x5, -1},
    {0, 0, 0x6, -1},
    {0, 0, 0x7, -1},
    {0, 0, 0x4, 17},
    {0, 0, 0x5, 17},
    {0, 0, 0x6, 17},
    {0, 0, 0x7, 17},
    {0, 0, 0x8, 16},
    {0, 0, 0x9, 16},
    {0, 0, 0xA, 16},
    {0, 0, 0xB, 16},
    {0, 0, 0xC, 16},
    {0, 0, 0xD, 16},
    {0, 0, 0xE, 16},
    {0, 0, 0xF, 16},
    {0, 0, 0x10, 15},
    {0, 0, 0x11, 15},
    {0, 0, 0x12, 15},
    {0, 0, 0x13, 15},
    {0, 0, 0x14, 15},
    {0, 0, 0x15, 15},
    {0, 0, 0x16, 15},
    {0, 0, 0x17, 15},
    {0, 0, 0x18, 15},
    {0, 0, 0x19, 15},
    {0, 0, 0x1A, 15},
    {0, 0, 0x1B, 15},
    {0, 0, 0x1C, 15},
    {0, 0, 0x1D, 15},
    {0, 0, 0x1E, 15},
    {0, 0, 0x1F, 15},
    {0, 0, 0x20, 14},
    {0, 0, 0x21, 14},
    {0, 0, 0x22, 14},
    {0, 0, 0x23, 14},
    {0, 0, 0x24, 14},
    {0, 0, 0x25, 14},
    {0, 0, 0x26, 14},
    {0, 0, 0x27, 14},
    {0, 0, 0x28, 14},
    {0, 0, 0x29, 14},
    {0, 0, 0x2A, 14},
    {0, 0, 0x2B, 14},
    {0, 0, 0x2C, 14},
    {0, 0, 0x2D, 14},
    {0, 0, 0x2E, 14},
    {0, 0, 0x2F, 14},
    {0, 0, 0x30, 14},
    {0, 0, 0x31, 14},
    {0, 0, 0x32, 14},
    {0, 0, 0x33, 14},
    {0, 0, 0x34, 14},
    {0, 0, 0x35, 14},
    {0, 0, 0x36, 14},
    {0, 0, 0x37, 14},
    {0, 0, 0x38, 14},
    {0, 0, 0x39, 14},
    {0, 0, 0x3A, 14},
    {0, 0, 0x3B, 14},
    {0, 0, 0x3C, 14},
    {0, 0, 0x3D, 14},
    {0, 0, 0x3E, 14},
    {0, 0, 0x3F, 14},
    {0, 0, 0x40, 13},
    {0, 0, 0x41, 13},
    {0, 0, 0x42, 13},
    {0, 0, 0x43, 13},
    {0, 0, 0x44, 13},
    {0, 0, 0x45, 13},
    {0, 0, 0x46, 13},
    {0, 0, 0x47, 13},
    {0, 0, 0x48, 13},
    {0, 0, 0x49, 13},
    {0, 0, 0x4A, 13},
    {0, 0, 0x4B, 13},
    {0, 0, 0x4C, 13},
    {0, 0, 0x4D, 13},
    {0, 0, 0x4E, 13},
    {0, 0, 0x4F, 13},
    {0, 0, 0x50, 13},
    {0, 0, 0x51, 13},
    {0, 0, 0x52, 13},
    {0, 0, 0x53, 13},
    {0, 0, 0x54, 13},
    {0, 0, 0x55, 13},
    {0, 0, 0x56, 13},
    {0, 0, 0x57, 13},
    {0, 0, 0x58, 13},
    {0, 0, 0x59, 13},
    {0, 0, 0x5A, 13},
    {0, 0, 0x5B, 13},
    {0, 0, 0x5C, 13},
    {0, 0, 0x5D, 13},
    {0, 0, 0x5E, 13},
    {0, 0, 0x5F, 13},
    {0, 0, 0x60, 13},
    {0, 0, 0x61, 13},
    {0, 0, 0x62, 13},
    {0, 0, 0x63, 13},
    {0, 0, 0x64, 13},
    {0, 0, 0x65, 13},
    {0, 0, 0x66, 13},
    {0, 0, 0x67, 13},
    {0, 0, 0x68, 13},
    {0, 0, 0x69, 13},
    {0, 0, 0x6A, 13},
    {0, 0, 0x6B, 13},
    {0, 0, 0x6C, 13},
    {0, 0, 0x6D, 13},
    {0, 0, 0x6E, 13},
    {0, 0, 0x6F, 13},
    {0, 0, 0x70, 13},
    {0, 0, 0x71, 13},
    {0, 0, 0x72, 13},
    {0, 0, 0x73, 13},
    {0, 0, 0x74, 13},
    {0, 0, 0x75, 13},
    {0, 0, 0x76, 13},
    {0, 0, 0x77, 13},
    {0, 0, 0x78, 13},
    {0, 0, 0x79, 13},
    {0, 0, 0x7A, 13},
    {0, 0, 0x7B, 13},
    {0, 0, 0x7C, 13},
    {0, 0, 0x7D, 13},
    {0, 0, 0x7E, 13},
    {0, 0, 0x7F, 13},
    {0, 0, 0x8, -1},
    {0, 0, 0x9, -1},
    {0, 0, 0xA, -1},
    {0, 0, 0xB, -1},
    {0, 0, 0xC, -1},
    {0, 0, 0xD, -1},
    {0, 0, 0xE, -1},
    {0, 0, 0xF, -1},
    {0, 0, 0x8, 17},
    {0, 0, 0x9, 17},
    {0, 0, 0xA, 17},
    {0, 0, 0xB, 17},
    {0, 0, 0xC, 17},
    {0, 0, 0xD, 17},
    {0, 0, 0xE, 17},
    {0, 0, 0xF, 17},
    {0, 0, 0x10, 16},
    {0, 0, 0x11, 16},
    {0, 0, 0x12, 16},
    {0, 0, 0x13, 16},
    {0, 0, 0x14, 16},
    {0, 0, 0x15, 16},
    {0, 0, 0x16, 16},
    {0, 0, 0x17, 16},
    {0, 0, 0x18, 16},
    {0, 0, 0x19, 16},
    {0, 0, 0x1A, 16},
    {0, 0, 0x1B, 16},
    {0, 0, 0x1C, 16},
    {0, 0, 0x1D, 16},
    {0, 0, 0x1E, 16},
    {0, 0, 0x1F, 16},
    {0, 0, 0x20, 15},
    {0, 0, 0x21, 15},
    {0, 0, 0x22, 15},
    {0, 0, 0x23, 15},
    {0, 0, 0x24, 15},
    {0, 0, 0x25, 15},
    {0, 0, 0x26, 15},
    {0, 0, 0x27, 15},
    {0, 0, 0x28, 15},
    {0, 0, 0x29, 15},
    {0, 0, 0x2A, 15},
    {0, 0, 0x2B, 15},
    {0, 0, 0x2C, 15},
    {0, 0, 0x2D, 15},
    {0, 0, 0x2E, 15},
    {0, 0, 0x2F, 15},
    {0, 0, 0x30, 15},
    {0, 0, 0x31, 15},
    {0, 0, 0x32, 15},
    {0, 0, 0x33, 15},
    {0, 0, 0x34, 15},
    {0, 0, 0x35, 15},
    {0, 0, 0x36, 15},
    {0, 0, 0x37, 15},
    {0, 0, 0x38, 15},
    {0, 0, 0x39, 15},
    {0, 0, 0x3A, 15},
    {0, 0, 0x3B, 15},
    {0, 0, 0x3C, 15},
    {0, 0, 0x3D, 15},
    {0, 0, 0x3E, 15},
    {0, 0, 0x3F, 15},
    {0, 0, 0x40, 14},
    {0, 0, 0x41, 14},
    {0, 0, 0x42, 14},
    {0, 0, 0x43, 14},
    {0, 0, 0x44, 14},
    {0, 0, 0x45, 14},
    {0, 0, 0x46, 14},
    {0, 0, 0x47, 14},
    {0, 0, 0x48, 14},
    {0, 0, 0x49, 14},
    {0, 0, 0x4A, 14},
    {0, 0, 0x4B, 14},
    {0, 0, 0x4C, 14},
    {0, 0, 0x4D, 14},
    {0, 0, 0x4E, 14},
    {0, 0, 0x4F, 14},
    {0, 0, 0x50, 14},
    {0, 0, 0x51, 14},
    {0, 0, 0x52, 14},
    {0, 0, 0x53, 14},
    {0, 0, 0x54, 14},
    {0, 0, 0x55, 14},
    {0, 0, 0x56, 14},
    {0, 0, 0x57, 14},
    {0, 0, 0x58, 14},
    {0, 0, 0x59, 14},
    {0, 0, 0x5A, 14},
    {0, 0, 0x5B, 14},
    {0, 0, 0x5C, 14},
    {0, 0, 0x5D, 14},
    {0, 0, 0x5E, 14},
    {0, 0, 0x5F, 14},
    {0, 0, 0x60, 14},
    {0, 0, 0x61, 14},
    {0, 0, 0x62, 14},
    {0, 0, 0x63, 14},
    {0, 0, 0x64, 14},
    {0, 0, 0x65, 14},
    {0, 0, 0x66, 14},
    {0, 0, 0x67, 14},
    {0, 0, 0x68, 14},
    {0, 0, 0x69, 14},
    {0, 0, 0x6A, 14},
    {0, 0, 0x6B, 14},
    {0, 0, 0x6C, 14},
    {0, 0, 0x6D, 14},
    {0, 0, 0x6E, 14},
    {0, 0, 0x6F, 14},
    {0, 0, 0x70, 14},
    {0, 0, 0x71, 14},
    {0, 0, 0x72, 14},
    {0, 0, 0x73, 14},
    {0, 0, 0x74, 14},
    {0, 0, 0x75, 14},
    {0, 0, 0x76, 14},
    {0, 0, 0x77, 14},
    {0, 0, 0x78, 14},
    {0, 0, 0x79, 14},
    {0, 0, 0x7A, 14},
    {0, 0, 0x7B, 14},
    {0, 0, 0x7C, 14},
    {0, 0, 0x7D, 14},
    {0, 0, 0x7E, 14},
    {0, 0, 0x7F, 14},
    {0, 0, 0x80, 13},
    {0, 0, 0x81, 13},
    {0, 0, 0x82, 13},
    {0, 0, 0x83, 13},
    {0, 0, 0x84, 13},
    {0, 0, 0x85, 13},
    {0, 0, 0x86, 13},
    {0, 0, 0x87, 13},
    {0, 0, 0x88, 13},
    {0, 0, 0x89, 13},
    {0, 0, 0x8A, 13},
    {0, 0, 0x8B, 13},
    {0, 0, 0x8C, 13},
    {0, 0, 0x8D, 13},
    {0, 0, 0x8E, 13},
    {0, 0, 0x8F, 13},
    {0, 0, 0x90, 13},
    {0, 0, 0x91, 13},
    {0, 0, 0x92, 13},
    {0, 0, 0x93, 13},
    {0, 0, 0x94, 13},
    {0, 0, 0x95, 13},
    {0, 0, 0x96, 13},
    {0, 0, 0x97, 13},
    {0, 0, 0x98, 13},
    {0, 0, 0x99, 13},
    {0, 0, 0x9A, 13},
    {0, 0, 0x9B, 13},
    {0, 0, 0x9C, 13},
    {0, 0, 0x9D, 13},
    {0, 0, 0x9E, 13},
    {0, 0, 0x9F, 13},
    {0, 0, 0xA0, 13},
    {0, 0, 0xA1, 13},
    {0, 0, 0xA2, 13},
    {0, 0, 0xA3, 13},
    {0, 0, 0xA4, 13},
    {0, 0, 0xA5, 13},
    {0, 0, 0xA6, 13},
    {0, 0, 0xA7, 13},
    {0, 0, 0xA8, 13},
    {0, 0, 0xA9, 13},
    {0, 0, 0xAA, 13},
    {0, 0, 0xAB, 13},
    {0, 0, 0xAC, 13},
    {0, 0, 0xAD, 13},
    {0, 0, 0xAE, 13},
    {0, 0, 0xAF, 13},
    {0, 0, 0xB0, 13},
    {0, 0, 0xB1, 13},
    {0, 0, 0xB2, 13},
    {0, 0, 0xB3, 13},
    {0, 0, 0xB4, 13},
    {0, 0, 0xB5, 13},
    {0, 0, 0xB6, 13},
    {0, 0, 0xB7, 13},
    {0, 0, 0xB8, 13},
    {0, 0, 0xB9, 13},
    {0, 0, 0xBA, 13},
    {0, 0, 0xBB, 13},
    {0, 0, 0xBC, 13},
    {0, 0, 0xBD, 13},
    {0, 0, 0xBE, 13},
    {0, 0, 0xBF, 13},
    {0, 0, 0xC0, 13},
    {0, 0, 0xC1, 13},
    {0, 0, 0xC2, 13},
    {0, 0, 0xC3, 13},
    {0, 0, 0xC4, 13},
    {0, 0, 0xC5, 13},
    {0, 0, 0xC6, 13},
    {0, 0, 0xC7, 13},
    {0, 0, 0xC8, 13},
    {0, 0, 0xC9, 13},
    {0, 0, 0xCA, 13},
    {0, 0, 0xCB, 13},
    {0, 0, 0xCC, 13},
    {0, 0, 0xCD, 13},
    {0, 0, 0xCE, 13},
    {0, 0, 0xCF, 13},
    {0, 0, 0xD0, 13},
    {0, 0, 0xD1, 13},
    {0, 0, 0xD2, 13},
    {0, 0, 0xD3, 13},
    {0, 0, 0xD4, 13},
    {0, 0, 0xD5, 13},
    {0, 0, 0xD6, 13},
    {0, 0, 0xD7, 13},
    {0, 0, 0xD8, 13},
    {0, 0, 0xD9, 13},
    {0, 0, 0xDA, 13},
    {0, 0, 0xDB, 13},
    {0, 0, 0xDC, 13},
    {0, 0, 0xDD, 13},
    {0, 0, 0xDE, 13},
    {0, 0, 0xDF, 13},
    {0, 0, 0xE0, 13},
    {0, 0, 0xE1, 13},
    {0, 0, 0xE2, 13},
    {0, 0, 0xE3, 13},
    {0, 0, 0xE4, 13},
    {0, 0, 0xE5, 13},
    {0, 0, 0xE6, 13},
    {0, 0, 0xE7, 13},
    {0, 0, 0xE8, 13},
    {0, 0, 0xE9, 13},
    {0, 0, 0xEA, 13},
    {0, 0, 0xEB, 13},
    {0, 0, 0xEC, 13},
    {0, 0, 0xED, 13},
    {0, 0, 0xEE, 13},
    {0, 0, 0xEF, 13},
    {0, 0, 0xF0, 13},
    {0, 0, 0xF1, 13},
    {0, 0, 0xF2, 13},
    {0, 0, 0xF3, 13},
    {0, 0, 0xF4, 13},
    {0, 0, 0xF5, 13},
    {0, 0, 0xF6, 13},
    {0, 0, 0xF7, 13},
    {0, 0, 0xF8, 13},
    {0, 0, 0xF9, 13},
    {0, 0, 0xFA, 13},
    {0, 0, 0xFB, 13},
    {0, 0, 0xFC, 13},
    {0, 0, 0xFD, 13},
    {0, 0, 0xFE, 13},
    {0, 0, 0xFF, 13}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {1, 13, 0x0, 0},
    {0, 0, 0x0, 14},
    {1, 14, 0x0, 0},
    {0, 0, 0x0, 15},
    {0, 0, 0x2, 14},
    {0, 0, 0x3, 14},
    {1, 15, 0x0, 0},
    {0, 0, 0x0, 16},
    {0, 0, 0x2, 15},
    {0, 0, 0x3, 15},
    {0, 0, 0x4, 14},
    {0, 0, 0x5, 14},
    {0, 0, 0x6, 14},
    {0, 0, 0x7, 14},
    {0, 0, 0x0, -1},
    {0, 0, 0x0, 17},
    {0, 0, 0x2, 16},
    {0, 0, 0x3, 16},
    {0, 0, 0x4, 15},
    {0, 0, 0x5, 15},
    {0, 0, 0x6, 15},
    {0, 0, 0x7, 15},
    {0, 0, 0x8, 14},
    {0, 0, 0x9, 14},
    {0, 0, 0xA, 14},
    {0, 0, 0xB, 14},
    {0, 0, 0xC, 14},
    {0, 0, 0xD, 14},
    {0, 0, 0xE, 14},
    {0, 0, 0xF, 14},
    {0, 0, 0x2, -1},
    {0, 0, 0x3, -1},
    {0, 0, 0x2, 17},
    {0, 0, 0x3, 17},
    {0, 0, 0x4, 16},
    {0, 0, 0x5, 16},
    {0, 0, 0x6, 16},
    {0, 0, 0x7, 16},
    {0, 0, 0x8, 15},
    {0, 0, 0x9, 15},
    {0, 0, 0xA, 15},
    {0, 0, 0xB, 15},
    {0, 0, 0xC, 15},
    {0, 0, 0xD, 15},
    {0, 0, 0xE, 15},
    {0, 0, 0xF, 15},
    {0, 0, 0x10, 14},
    {0, 0, 0x11, 14},
    {0, 0, 0x12, 14},
    {0, 0, 0x13, 14},
    {0, 0, 0x14, 14},
    {0, 0, 0x15, 14},
    {0, 0, 0x16, 14},
    {0, 0, 0x17, 14},
    {0, 0, 0x18, 14},
    {0, 0, 0x19, 14},
    {0, 0, 0x1A, 14},
    {0, 0, 0x1B, 14},
    {0, 0, 0x1C, 14},
    {0, 0, 0x1D, 14},
    {0, 0, 0x1E, 14},
    {0, 0, 0x1F, 14},
    {0, 0, 0x4, -1},
    {0, 0, 0x5, -1},
    {0, 0, 0x6, -1},
    {0, 0, 0x7, -1},
    {0, 0, 0x4, 17},
    {0, 0, 0x5, 17},
    {0, 0, 0x6, 17},
    {0, 0, 0x7, 17},
    {0, 0, 0x8, 16},
    {0, 0, 0x9, 16},
    {0, 0, 0xA, 16},
    {0, 0, 0xB, 16},
    {0, 0, 0xC, 16},
    {0, 0, 0xD, 16},
    {0, 0, 0xE, 16},
    {0, 0, 0xF, 16},
    {0, 0, 0x10, 15},
    {0, 0, 0x11, 15},
    {0, 0, 0x12, 15},
    {0, 0, 0x13, 15},
    {0, 0, 0x14, 15},
    {0, 0, 0x15, 15},
    {0, 0, 0x16, 15},
    {0, 0, 0x17, 15},
    {0, 0, 0x18, 15},
    {0, 0, 0x19, 15},
    {0, 0, 0x1A, 15},
    {0, 0, 0x1B, 15},
    {0, 0, 0x1C, 15},
    {0, 0, 0x1D, 15},
    {0, 0, 0x1E, 15},
    {0, 0, 0x1F, 15},
    {0, 0, 0x20, 14},
    {0, 0, 0x21, 14},
    {0, 0, 0x22, 14},
    {0, 0, 0x23, 14},
    {0, 0, 0x24, 14},
    {0, 0, 0x25, 14},
    {0, 0, 0x26, 14},
    {0, 0, 0x27, 14},
    {0, 0, 0x28, 14},
    {0, 0, 0x29, 14},
    {0, 0, 0x2A, 14},
    {0, 0, 0x2B, 14},
    {0, 0, 0x2C, 14},
    {0, 0, 0x2D, 14},
    {0, 0, 0x2E, 14},
    {0, 0, 0x2F, 14},
    {0, 0, 0x30, 14},
    {0, 0, 0x31, 14},
    {0, 0, 0x32, 14},
    {0, 0, 0x33, 14},
    {0, 0, 0x34, 14},
    {0, 0, 0x35, 14},
    {0, 0, 0x36, 14},
    {0, 0, 0x37, 14},
    {0, 0, 0x38, 14},
    {0, 0, 0x39, 14},
    {0, 0, 0x3A, 14},
    {0, 0, 0x3B, 14},
    {0, 0, 0x3C, 14},
    {0, 0, 0x3D, 14},
    {0, 0, 0x3E, 14},
    {0, 0, 0x3F, 14},
    {0, 0, 0x8, -1},
    {0, 0, 0x9, -1},
    {0, 0, 0xA, -1},
    {0, 0, 0xB, -1},
    {0, 0, 0xC, -1},
    {0, 0, 0xD, -1},
    {0, 0, 0xE, -1},
    {0, 0, 0xF, -1},
    {0, 0, 0x8, 17},
    {0, 0, 0x9, 17},
    {0, 0, 0xA, 17},
    {0, 0, 0xB, 17},
    {0, 0, 0xC, 17},
    {0, 0, 0xD, 17},
    {0, 0, 0xE, 17},
    {0, 0, 0xF, 17},
    {0, 0, 0x10, 16},
    {0, 0, 0x11, 16},
    {0, 0, 0x12, 16},
    {0, 0, 0x13, 16},
    {0, 0, 0x14, 16},
    {0, 0, 0x15, 16},
    {0, 0, 0x16, 16},
    {0, 0, 0x17, 16},
    {0, 0, 0x18, 16},
    {0, 0, 0x19, 16},
    {0, 0, 0x1A, 16},
    {0, 0, 0x1B, 16},
    {0, 0, 0x1C, 16},
    {0, 0, 0x1D, 16},
    {0, 0, 0x1E, 16},
    {0, 0, 0x1F, 16},
    {0, 0, 0x20, 15},
    {0, 0, 0x21, 15},
    {0, 0, 0x22, 15},
    {0, 0, 0x23, 15},
    {0, 0, 0x24, 15},
    {0, 0, 0x25, 15},
    {0, 0, 0x26, 15},
    {0, 0, 0x27, 15},
    {0, 0, 0x28, 15},
    {0, 0, 0x29, 15},
    {0, 0, 0x2A, 15},
    {0, 0, 0x2B, 15},
    {0, 0, 0x2C, 15},
    {0, 0, 0x2D, 15},
    {0, 0, 0x2E, 15},
    {0, 0, 0x2F, 15},
    {0, 0, 0x30, 15},
    {0, 0, 0x31, 15},
    {0, 0, 0x32, 15},
    {0, 0, 0x33, 15},
    {0, 0, 0x34, 15},
    {0, 0, 0x35, 15},
    {0, 0, 0x36, 15},
    {0, 0, 0x37, 15},
    {0, 0, 0x38, 15},
    {0, 0, 0x39, 15},
    {0, 0, 0x3A, 15},
    {0, 0, 0x3B, 15},
    {0, 0, 0x3C, 15},
    {0, 0, 0x3D, 15},
    {0, 0, 0x3E, 15},
    {0, 0, 0x3F, 15},
    {0, 0, 0x40, 14},
    {0, 0, 0x41, 14},
    {0, 0, 0x42, 14},
    {0, 0, 0x43, 14},
    {0, 0, 0x44, 14},
    {0, 0, 0x45, 14},
    {0, 0, 0x46, 14},
    {0, 0, 0x47, 14},
    {0, 0, 0x48, 14},
    {0, 0, 0x49, 14},
    {0, 0, 0x4A, 14},
    {0, 0, 0x4B, 14},
    {0, 0, 0x4C, 14},
    {0, 0, 0x4D, 14},
    {0, 0, 0x4E, 14},
    {0, 0, 0x4F, 14},
    {0, 0, 0x50, 14},
    {0, 0, 0x51, 14},
    {0, 0, 0x52, 14},
    {0, 0, 0x53, 14},
    {0, 0, 0x54, 14},
    {0, 0, 0x55, 14},
    {0, 0, 0x56, 14},
    {0, 0, 0x57, 14},
    {0, 0, 0x58, 14},
    {0, 0, 0x59, 14},
    {0, 0, 0x5A, 14},
    {0, 0, 0x5B, 14},
    {0, 0, 0x5C, 14},
    {0, 0, 0x5D, 14},
    {0, 0, 0x5E, 14},
    {0, 0, 0x5F, 14},
    {0, 0, 0x60, 14},
    {0, 0, 0x61, 14},
    {0, 0, 0x62, 14},
    {0, 0, 0x63, 14},
    {0, 0, 0x64, 14},
    {0, 0, 0x65, 14},
    {0, 0, 0x66, 14},
    {0, 0, 0x67, 14},
    {0, 0, 0x68, 14},
    {0, 0, 0x69, 14},
    {0, 0, 0x6A, 14},
    {0, 0, 0x6B, 14},
    {0, 0, 0x6C, 14},
    {0, 0, 0x6D, 14},
    {0, 0, 0x6E, 14},
    {0, 0, 0x6F, 14},
    {0, 0, 0x70, 14},
    {0, 0, 0x71, 14},
    {0, 0, 0x72, 14},
    {0, 0, 0x73, 14},
    {0, 0, 0x74, 14},
    {0, 0, 0x75, 14},
    {0, 0, 0x76, 14},
    {0, 0, 0x77, 14},
    {0, 0, 0x78, 14},
    {0, 0, 0x79, 14},
    {0, 0, 0x7A, 14},
    {0, 0, 0x7B, 14},
    {0, 0, 0x7C, 14},
    {0, 0, 0x7D, 14},
    {0, 0, 0x7E, 14},
    {0, 0, 0x7F, 14},
    {0, 0, 0x10, -1},
    {0, 0, 0x11, -1},
    {0, 0, 0x12, -1},
    {0, 0, 0x13, -1},
    {0, 0, 0x14, -1},
    {0, 0, 0x15, -1},
    {0, 0, 0x16, -1},
    {0, 0, 0x17, -1},
    {0, 0, 0x18, -1},
    {0, 0, 0x19, -1},
    {0, 0, 0x1A, -1},
    {0, 0, 0x1B, -1},
    {0, 0, 0x1C, -1},
    {0, 0, 0x1D, -1},
    {0, 0, 0x1E, -1},
    {0, 0, 0x1F, -1},
    {0, 0, 0x10, 17},
    {0, 0, 0x11, 17},
    {0, 0, 0x12, 17},
    {0, 0, 0x13, 17},
    {0, 0, 0x14, 17},
    {0, 0, 0x15, 17},
    {0, 0, 0x16, 17},
    {0, 0, 0x17, 17},
    {0, 0, 0x18, 17},
    {0, 0, 0x19, 17},
    {0, 0, 0x1A, 17},
    {0, 0, 0x1B, 17},
    {0, 0, 0x1C, 17},
    {0, 0, 0x1D, 17},
    {0, 0, 0x1E, 17},
    {0, 0, 0x1F, 17},
    {0, 0, 0x20, 16},
    {0, 0, 0x21, 16},
    {0, 0, 0x22, 16},
    {0, 0, 0x23, 16},
    {0, 0, 0x24, 16},
    {0, 0, 0x25, 16},
    {0, 0, 0x26, 16},
    {0, 0, 0x27, 16},
    {0, 0, 0x28, 16},
    {0, 0, 0x29, 16},
    {0, 0, 0x2A, 16},
    {0, 0, 0x2B, 16},
    {0, 0, 0x2C, 16},
    {0, 0, 0x2D, 16},
    {0, 0, 0x2E, 16},
    {0, 0, 0x2F, 16},
    {0, 0, 0x30, 16},
    {0, 0, 0x31, 16},
    {0, 0, 0x32, 16},
    {0, 0, 0x33, 16},
    {0, 0, 0x34, 16},
    {0, 0, 0x35, 16},
    {0, 0, 0x36, 16},
    {0, 0, 0x37, 16},
    {0, 0, 0x38, 16},
    {0, 0, 0x39, 16},
    {0, 0, 0x3A, 16},
    {0, 0, 0x3B, 16},
    {0, 0, 0x3C, 16},
    {0, 0, 0x3D, 16},
    {0, 0, 0x3E, 16},
    {0, 0, 0x3F, 16},
    {0, 0, 0x40, 15},
    {0, 0, 0x41, 15},
    {0, 0, 0x42, 15},
    {0, 0, 0x43, 15},
    {0, 0, 0x44, 15},
    {0, 0, 0x45, 15},
    {0, 0, 0x46, 15},
    {0, 0, 0x47, 15},
    {0, 0, 0x48, 15},
    {0, 0, 0x49, 15},
    {0, 0, 0x4A, 15},
    {0, 0, 0x4B, 15},
    {0, 0, 0x4C, 15},
    {0, 0, 0x4D, 15},
    {0, 0, 0x4E, 15},
    {0, 0, 0x4F, 15},
    {0, 0, 0x50, 15},
    {0, 0, 0x51, 15},
    {0, 0, 0x52, 15},
    {0, 0, 0x53, 15},
    {0, 0, 0x54, 15},
    {0, 0, 0x55, 15},
    {0, 0, 0x56, 15},
    {0, 0, 0x57, 15},
    {0, 0, 0x58, 15},
    {0, 0, 0x59, 15},
    {0, 0, 0x5A, 15},
    {0, 0, 0x5B, 15},
    {0, 0, 0x5C, 15},
    {0, 0, 0x5D, 15},
    {0, 0, 0x5E, 15},
    {0, 0, 0x5F, 15},
    {0, 0, 0x60, 15},
    {0, 0, 0x61, 15},
    {0, 0, 0x62, 15},
    {0, 0, 0x63, 15},
    {0, 0, 0x64, 15},
    {0, 0, 0x65, 15},
    {0, 0, 0x66, 15},
    {0, 0, 0x67, 15},
    {0, 0, 0x68, 15},
    {0, 0, 0x69, 15},
    {0, 0, 0x6A, 15},
    {0, 0, 0x6B, 15},
    {0, 0, 0x6C, 15},
    {0, 0, 0x6D, 15},
    {0, 0, 0x6E, 15},
    {0, 0, 0x6F, 15},
    {0, 0, 0x70, 15},
    {0, 0, 0x71, 15},
    {0, 0, 0x72, 15},
    {0, 0, 0x73, 15},
    {0, 0, 0x74, 15},
    {0, 0, 0x75, 15},
    {0, 0, 0x76, 15},
    {0, 0, 0x77, 15},
    {0, 0, 0x78, 15},
    {0, 0, 0x79, 15},
    {0, 0, 0x7A, 15},
    {0, 0, 0x7B, 15},
    {0, 0, 0x7C, 15},
    {0, 0, 0x7D, 15},
    {0, 0, 0x7E, 15},
    {0, 0, 0x7F, 15},
    {0, 0, 0x80, 14},
    {0, 0, 0x81, 14},
    {0, 0, 0x82, 14},
    {0, 0, 0x83, 14},
    {0, 0, 0x84, 14},
    {0, 0, 0x85, 14},
    {0, 0, 0x86, 14},
    {0, 0, 0x87, 14},
    {0, 0, 0x88, 14},
    {0, 0, 0x89, 14},
    {0, 0, 0x8A, 14},
    {0, 0, 0x8B, 14},
    {0, 0, 0x8C, 14},
    {0, 0, 0x8D, 14},
    {0, 0, 0x8E, 14},
    {0, 0, 0x8F, 14},
    {0, 0, 0x90, 14},
    {0, 0, 0x91, 14},
    {0, 0, 0x92, 14},
    {0, 0, 0x93, 14},
    {0, 0, 0x94, 14},
    {0, 0, 0x95, 14},
    {0, 0, 0x96, 14},
    {0, 0, 0x97, 14},
    {0, 0, 0x98, 14},
    {0, 0, 0x99, 14},
    {0, 0, 0x9A, 14},
    {0, 0, 0x9B, 14},
    {0, 0, 0x9C, 14},
    {0, 0, 0x9D, 14},
    {0, 0, 0x9E, 14},
    {0, 0, 0x9F, 14},
    {0, 0, 0xA0, 14},
    {0, 0, 0xA1, 14},
    {0, 0, 0xA2, 14},
    {0, 0, 0xA3, 14},
    {0, 0, 0xA4, 14},
    {0, 0, 0xA5, 14},
    {0, 0, 0xA6, 14},
    {0, 0, 0xA7, 14},
    {0, 0, 0xA8, 14},
    {0, 0, 0xA9, 14},
    {0, 0, 0xAA, 14},
    {0, 0, 0xAB, 14},
    {0, 0, 0xAC, 14},
    {0, 0, 0xAD, 14},
    {0, 0, 0xAE, 14},
    {0, 0, 0xAF, 14},
    {0, 0, 0xB0, 14},
    {0, 0, 0xB1, 14},
    {0, 0, 0xB2, 14},
    {0, 0, 0xB3, 14},
    {0, 0, 0xB4, 14},
    {0, 0, 0xB5, 14},
    {0, 0, 0xB6, 14},
    {0, 0, 0xB7, 14},
    {0, 0, 0xB8, 14},
    {0, 0, 0xB9, 14},
    {0, 0, 0xBA, 14},
    {0, 0, 0xBB, 14},
    {0, 0, 0xBC, 14},
    {0, 0, 0xBD, 14},
    {0, 0, 0xBE, 14},
    {0, 0, 0xBF, 14},
    {0, 0, 0xC0, 14},
    {0, 0, 0xC1, 14},
    {0, 0, 0xC2, 14},
    {0, 0, 0xC3, 14},
    {0, 0, 0xC4, 14},
    {0, 0, 0xC5, 14},
    {0, 0, 0xC6, 14},
    {0, 0, 0xC7, 14},
    {0, 0, 0xC8, 14},
    {0, 0, 0xC9, 14},
    {0, 0, 0xCA, 14},
    {0, 0, 0xCB, 14},
    {0, 0, 0xCC, 14},
    {0, 0, 0xCD, 14},
    {0, 0, 0xCE, 14},
    {0, 0, 0xCF, 14},
    {0, 0, 0xD0, 14},
    {0, 0, 0xD1, 14},
    {0, 0, 0xD2, 14},
    {0, 0, 0xD3, 14},
    {0, 0, 0xD4, 14},
    {0, 0, 0xD5, 14},
    {0, 0, 0xD6, 14},
    {0, 0, 0xD7, 14},
    {0, 0, 0xD8, 14},
    {0, 0, 0xD9, 14},
    {0, 0, 0xDA, 14},
    {0, 0, 0xDB, 14},
    {0, 0, 0xDC, 14},
    {0, 0, 0xDD, 14},
    {0, 0, 0xDE, 14},
    {0, 0, 0xDF, 14},
    {0, 0, 0xE0, 14},
    {0, 0, 0xE1, 14},
    {0, 0, 0xE2, 14},
    {0, 0, 0xE3, 14},
    {0, 0, 0xE4, 14},
    {0, 0, 0xE5, 14},
    {0, 0, 0xE6, 14},
    {0, 0, 0xE7, 14},
    {0, 0, 0xE8, 14},
    {0, 0, 0xE9, 14},
    {0, 0, 0xEA, 14},
    {0, 0, 0xEB, 14},
    {0, 0, 0xEC, 14},
    {0, 0, 0xED, 14},
    {0, 0, 0xEE, 14},
    {0, 0, 0xEF, 14},
    {0, 0, 0xF0, 14},
    {0, 0, 0xF1, 14},
    {0, 0, 0xF2, 14},
    {0, 0, 0xF3, 14},
    {0, 0, 0xF4, 14},
    {0, 0, 0xF5, 14},
    {0, 0, 0xF6, 14},
    {0, 0, 0xF7, 14},
    {0, 0, 0xF8, 14},
    {0, 0, 0xF9, 14},
    {0, 0, 0xFA, 14},
    {0, 0, 0xFB, 14},
    {0, 0, 0xFC, 14},
    {0, 0, 0xFD, 14},
    {0, 0, 0xFE, 14},
    {0, 0, 0xFF, 14}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {1, 14, 0x0, 0},
    {0, 0, 0x0, 15},
    {1, 15, 0x0, 0},
    {0, 0, 0x0, 16},
    {0, 0, 0x2, 15},
    {0, 0, 0x3, 15},
    {0, 0, 0x0, -1},
    {0, 0, 0x0, 17},
    {0, 0, 0x2, 16},
    {0, 0, 0x3, 16},
    {0, 0, 0x4, 15},
    {0, 0, 0x5, 15},
    {0, 0, 0x6, 15},
    {0, 0, 0x7, 15},
    {0, 0, 0x2, -1},
    {0, 0, 0x3, -1},
    {0, 0, 0x2, 17},
    {0, 0, 0x3, 17},
    {0, 0, 0x4, 16},
    {0, 0, 0x5, 16},
    {0, 0, 0x6, 16},
    {0, 0, 0x7, 16},
    {0, 0, 0x8, 15},
    {0, 0, 0x9, 15},
    {0, 0, 0xA, 15},
    {0, 0, 0xB, 15},
    {0, 0, 0xC, 15},
    {0, 0, 0xD, 15},
    {0, 0, 0xE, 15},
    {0, 0, 0xF, 15},
    {0, 0, 0x4, -1},
    {0, 0, 0x5, -1},
    {0, 0, 0x6, -1},
    {0, 0, 0x7, -1},
    {0, 0, 0x4, 17},
    {0, 0, 0x5, 17},
    {0, 0, 0x6, 17},
    {0, 0, 0x7, 17},
    {0, 0, 0x8, 16},
    {0, 0, 0x9, 16},
    {0, 0, 0xA, 16},
    {0, 0, 0xB, 16},
    {0, 0, 0xC, 16},
    {0, 0, 0xD, 16},
    {0, 0, 0xE, 16},
    {0, 0, 0xF, 16},
    {0, 0, 0x10, 15},
    {0, 0, 0x11, 15},
    {0, 0, 0x12, 15},
    {0, 0, 0x13, 15},
    {0, 0, 0x14, 15},
    {0, 0, 0x15, 15},
    {0, 0, 0x16, 15},
    {0, 0, 0x17, 15},
    {0, 0, 0x18, 15},
    {0, 0, 0x19, 15},
    {0, 0, 0x1A, 15},
    {0, 0, 0x1B, 15},
    {0, 0, 0x1C, 15},
    {0, 0, 0x1D, 15},
    {0, 0, 0x1E, 15},
    {0, 0, 0x1F, 15},
    {0, 0, 0x8, -1},
    {0, 0, 0x9, -1},
    {0, 0, 0xA, -1},
    {0, 0, 0xB, -1},
    {0, 0, 0xC, -1},
    {0, 0, 0xD, -1},
    {0, 0, 0xE, -1},
    {0, 0, 0xF, -1},
    {0, 0, 0x8, 17},
    {0, 0, 0x9, 17},
    {0, 0, 0xA, 17},
    {0, 0, 0xB, 17},
    {0, 0, 0xC, 17},
    {0, 0, 0xD, 17},
    {0, 0, 0xE, 17},
    {0, 0, 0xF, 17},
    {0, 0, 0x10, 16},
    {0, 0, 0x11, 16},
    {0, 0, 0x12, 16},
    {0, 0, 0x13, 16},
    {0, 0, 0x14, 16},
    {0, 0, 0x15, 16},
    {0, 0, 0x16, 16},
    {0, 0, 0x17, 16},
    {0, 0, 0x18, 16},
    {0, 0, 0x19, 16},
    {0, 0, 0x1A, 16},
    {0, 0, 0x1B, 16},
    {0, 0, 0x1C, 16},
    {0, 0, 0x1D, 16},
    {0, 0, 0x1E, 16},
    {0, 0, 0x1F, 16},
    {0, 0, 0x20, 15},
    {0, 0, 0x21, 15},
    {0, 0, 0x22, 15},
    {0, 0, 0x23, 15},
    {0, 0, 0x24, 15},
    {0, 0, 0x25, 15},
    {0, 0, 0x26, 15},
    {0, 0, 0x27, 15},
    {0, 0, 0x28, 15},
    {0, 0, 0x29, 15},
    {0, 0, 0x2A, 15},
    {0, 0, 0x2B, 15},
    {0, 0, 0x2C, 15},
    {0, 0, 0x2D, 15},
    {0, 0, 0x2E, 15},
    {0, 0, 0x2F, 15},
    {0, 0, 0x30, 15},
    {0, 0, 0x31, 15},
    {0, 0, 0x32, 15},
    {0, 0, 0x33, 15},
    {0, 0, 0x34, 15},
    {0, 0, 0x35, 15},
    {0, 0, 0x36, 15},
    {0, 0, 0x37, 15},
    {0, 0, 0x38, 15},
    {0, 0, 0x39, 15},
    {0, 0, 0x3A, 15},
    {0, 0, 0x3B, 15},
    {0, 0, 0x3C, 15},
    {0, 0, 0x3D, 15},
    {0, 0, 0x3E, 15},
    {0, 0, 0x3F, 15},
    {0, 0, 0x10, -1},
    {0, 0, 0x11, -1},
    {0, 0, 0x12, -1},
    {0, 0, 0x13, -1},
    {0, 0, 0x14, -1},
    {0, 0, 0x15, -1},
    {0, 0, 0x16, -1},
    {0, 0, 0x17, -1},
    {0, 0, 0x18, -1},
    {0, 0, 0x19, -1},
    {0, 0, 0x1A, -1},
    {0, 0, 0x1B, -1},
    {0, 0, 0x1C, -1},
    {0, 0, 0x1D, -1},
    {0, 0, 0x1E, -1},
    {0, 0, 0x1F, -1},
    {0, 0, 0x10, 17},
    {0, 0, 0x11, 17},
    {0, 0, 0x12, 17},
    {0, 0, 0x13, 17},
    {0, 0, 0x14, 17},
    {0, 0, 0x15, 17},
    {0, 0, 0x16, 17},
    {0, 0, 0x17, 17},
    {0, 0, 0x18, 17},
    {0, 0, 0x19, 17},
    {0, 0, 0x1A, 17},
    {0, 0, 0x1B, 17},
    {0, 0, 0x1C, 17},
    {0, 0, 0x1D, 17},
    {0, 0, 0x1E, 17},
    {0, 0, 0x1F, 17},
    {0, 0, 0x20, 16},
    {0, 0, 0x21, 16},
    {0, 0, 0x22, 16},
    {0, 0, 0x23, 16},
    {0, 0, 0x24, 16},
    {0, 0, 0x25, 16},
    {0, 0, 0x26, 16},
    {0, 0, 0x27, 16},
    {0, 0, 0x28, 16},
    {0, 0, 0x29, 16},
    {0, 0, 0x2A, 16},
    {0, 0, 0x2B, 16},
    {0, 0, 0x2C, 16},
    {0, 0, 0x2D, 16},
    {0, 0, 0x2E, 16},
    {0, 0, 0x2F, 16},
    {0, 0, 0x30, 16},
    {0, 0, 0x31, 16},
    {0, 0, 0x32, 16},
    {0, 0, 0x33, 16},
    {0, 0, 0x34, 16},
    {0, 0, 0x35, 16},
    {0, 0, 0x36, 16},
    {0, 0, 0x37, 16},
    {0, 0, 0x38, 16},
    {0, 0, 0x39, 16},
    {0, 0, 0x3A, 16},
    {0, 0, 0x3B, 16},
    {0, 0, 0x3C, 16},
    {0, 0, 0x3D, 16},
    {0, 0, 0x3E, 16},
    {0, 0, 0x3F, 16},
    {0, 0, 0x40, 15},
    {0, 0, 0x41, 15},
    {0, 0, 0x42, 15},
    {0, 0, 0x43, 15},
    {0, 0, 0x44, 15},
    {0, 0, 0x45, 15},
    {0, 0, 0x46, 15},
    {0, 0, 0x47, 15},
    {0, 0, 0x48, 15},
    {0, 0, 0x49, 15},
    {0, 0, 0x4A, 15},
    {0, 0, 0x4B, 15},
    {0, 0, 0x4C, 15},
    {0, 0, 0x4D, 15},
    {0, 0, 0x4E, 15},
    {0, 0, 0x4F, 15},
    {0, 0, 0x50, 15},
    {0, 0, 0x51, 15},
    {0, 0, 0x52, 15},
    {0, 0, 0x53, 15},
    {0, 0, 0x54, 15},
    {0, 0, 0x55, 15},
    {0, 0, 0x56, 15},
    {0, 0, 0x57, 15},
    {0, 0, 0x58, 15},
    {0, 0, 0x59, 15},
    {0, 0, 0x5A, 15},
    {0, 0, 0x5B, 15},
    {0, 0, 0x5C, 15},
    {0, 0, 0x5D, 15},
    {0, 0, 0x5E, 15},
    {0, 0, 0x5F, 15},
    {0, 0, 0x60, 15},
    {0, 0, 0x61, 15},
    {0, 0, 0x62, 15},
    {0, 0, 0x63, 15},
    {0, 0, 0x64, 15},
    {0, 0, 0x65, 15},
    {0, 0, 0x66, 15},
    {0, 0, 0x67, 15},
    {0, 0, 0x68, 15},
    {0, 0, 0x69, 15},
    {0, 0, 0x6A, 15},
    {0, 0, 0x6B, 15},
    {0, 0, 0x6C, 15},
    {0, 0, 0x6D, 15},
    {0, 0, 0x6E, 15},
    {0, 0, 0x6F, 15},
    {0, 0, 0x70, 15},
    {0, 0, 0x71, 15},
    {0, 0, 0x72, 15},
    {0, 0, 0x73, 15},
    {0, 0, 0x74, 15},
    {0, 0, 0x75, 15},
    {0, 0, 0x76, 15},
    {0, 0, 0x77, 15},
    {0, 0, 0x78, 15},
    {0, 0, 0x79, 15},
    {0, 0, 0x7A, 15},
    {0, 0, 0x7B, 15},
    {0, 0, 0x7C, 15},
    {0, 0, 0x7D, 15},
    {0, 0, 0x7E, 15},
    {0, 0, 0x7F, 15},
    {0, 0, 0x20, -1},
    {0, 0, 0x21, -1},
    {0, 0, 0x22, -1},
    {0, 0, 0x23, -1},
    {0, 0, 0x24, -1},
    {0, 0, 0x25, -1},
    {0, 0, 0x26, -1},
    {0, 0, 0x27, -1},
    {0, 0, 0x28, -1},
    {0, 0, 0x29, -1},
    {0, 0, 0x2A, -1},
    {0, 0, 0x2B, -1},
    {0, 0, 0x2C, -1},
    {0, 0, 0x2D, -1},
    {0, 0, 0x2E, -1},
    {0, 0, 0x2F, -1},
    {0, 0, 0x30, -1},
    {0, 0, 0x31, -1},
    {0, 0, 0x32, -1},
    {0, 0, 0x33, -1},
    {0, 0, 0x34, -1},
    {0, 0, 0x35, -1},
    {0, 0, 0x36, -1},
    {0, 0, 0x37, -1},
    {0, 0, 0x38, -1},
    {0, 0, 0x39, -1},
    {0, 0, 0x3A, -1},
    {0, 0, 0x3B, -1},
    {0, 0, 0x3C, -1},
    {0, 0, 0x3D, -1},
    {0, 0, 0x3E, -1},
    {0, 0, 0x3F, -1},
    {0, 0, 0x20, 17},
    {0, 0, 0x21, 17},
    {0, 0, 0x22, 17},
    {0, 0, 0x23, 17},
    {0, 0, 0x24, 17},
    {0, 0, 0x25, 17},
    {0, 0, 0x26, 17},
    {0, 0, 0x27, 17},
    {0, 0, 0x28, 17},
    {0, 0, 0x29, 17},
    {0, 0, 0x2A, 17},
    {0, 0, 0x2B, 17},
    {0, 0, 0x2C, 17},
    {0, 0, 0x2D, 17},
    {0, 0, 0x2E, 17},
    {0, 0, 0x2F, 17},
    {0, 0, 0x30, 17},
    {0, 0, 0x31, 17},
    {0, 0, 0x32, 17},
    {0, 0, 0x33, 17},
    {0, 0, 0x34, 17},
    {0, 0, 0x35, 17},
    {0, 0, 0x36, 17},
    {0, 0, 0x37, 17},
    {0, 0, 0x38, 17},
    {0, 0, 0x39, 17},
    {0, 0, 0x3A, 17},
    {0, 0, 0x3B, 17},
    {0, 0, 0x3C, 17},
    {0, 0, 0x3D, 17},
    {0, 0, 0x3E, 17},
    {0, 0, 0x3F, 17},
    {0, 0, 0x40, 16},
    {0, 0, 0x41, 16},
    {0, 0, 0x42, 16},
    {0, 0, 0x43, 16},
    {0, 0, 0x44, 16},
    {0, 0, 0x45, 16},
    {0, 0, 0x46, 16},
    {0, 0, 0x47, 16},
    {0, 0, 0x48, 16},
    {0, 0, 0x49, 16},
    {0, 0, 0x4A, 16},
    {0, 0, 0x4B, 16},
    {0, 0, 0x4C, 16},
    {0, 0, 0x4D, 16},
    {0, 0, 0x4E, 16},
    {0, 0, 0x4F, 16},
    {0, 0, 0x50, 16},
    {0, 0, 0x51, 16},
    {0, 0, 0x52, 16},
    {0, 0, 0x53, 16},
    {0, 0, 0x54, 16},
    {0, 0, 0x55, 16},
    {0, 0, 0x56, 16},
    {0, 0, 0x57, 16},
    {0, 0, 0x58, 16},
    {0, 0, 0x59, 16},
    {0, 0, 0x5A, 16},
    {0, 0, 0x5B, 16},
    {0, 0, 0x5C, 16},
    {0, 0, 0x5D, 16},
    {0, 0, 0x5E, 16},
    {0, 0, 0x5F, 16},
    {0, 0, 0x60, 16},
    {0, 0, 0x61, 16},
    {0, 0, 0x62, 16},
    {0, 0, 0x63, 16},
    {0, 0, 0x64, 16},
    {0, 0, 0x65, 16},
    {0, 0, 0x66, 16},
    {0, 0, 0x67, 16},
    {0, 0, 0x68, 16},
    {0, 0, 0x69, 16},
    {0, 0, 0x6A, 16},
    {0, 0, 0x6B, 16},
    {0, 0, 0x6C, 16},
    {0, 0, 0x6D, 16},
    {0, 0, 0x6E, 16},
    {0, 0, 0x6F, 16},
    {0, 0, 0x70, 16},
    {0, 0, 0x71, 16},
    {0, 0, 0x72, 16},
    {0, 0, 0x73, 16},
    {0, 0, 0x74, 16},
    {0, 0, 0x75, 16},
    {0, 0, 0x76, 16},
    {0, 0, 0x77, 16},
    {0, 0, 0x78, 16},
    {0, 0, 0x79, 16},
    {0, 0, 0x7A, 16},
    {0, 0, 0x7B, 16},
    {0, 0, 0x7C, 16},
    {0, 0, 0x7D, 16},
    {0, 0, 0x7E, 16},
    {0, 0, 0x7F, 16},
    {0, 0, 0x80, 15},
    {0, 0, 0x81, 15},
    {0, 0, 0x82, 15},
    {0, 0, 0x83, 15},
    {0, 0, 0x84, 15},
    {0, 0, 0x85, 15},
    {0, 0, 0x86, 15},
    {0, 0, 0x87, 15},
    {0, 0, 0x88, 15},
    {0, 0, 0x89, 15},
    {0, 0, 0x8A, 15},
    {0, 0, 0x8B, 15},
    {0, 0, 0x8C, 15},
    {0, 0, 0x8D, 15},
    {0, 0, 0x8E, 15},
    {0, 0, 0x8F, 15},
    {0, 0, 0x90, 15},
    {0, 0, 0x91, 15},
    {0, 0, 0x92, 15},
    {0, 0, 0x93, 15},
    {0, 0, 0x94, 15},
    {0, 0, 0x95, 15},
    {0, 0, 0x96, 15},
    {0, 0, 0x97, 15},
    {0, 0, 0x98, 15},
    {0, 0, 0x99, 15},
    {0, 0, 0x9A, 15},
    {0, 0, 0x9B, 15},
    {0, 0, 0x9C, 15},
    {0, 0, 0x9D, 15},
    {0, 0, 0x9E, 15},
    {0, 0, 0x9F, 15},
    {0, 0, 0xA0, 15},
    {0, 0, 0xA1, 15},
    {0, 0, 0xA2, 15},
    {0, 0, 0xA3, 15},
    {0, 0, 0xA4, 15},
    {0, 0, 0xA5, 15},
    {0, 0, 0xA6, 15},
    {0, 0, 0xA7, 15},
    {0, 0, 0xA8, 15},
    {0, 0, 0xA9, 15},
    {0, 0, 0xAA, 15},
    {0, 0, 0xAB, 15},
    {0, 0, 0xAC, 15},
    {0, 0, 0xAD, 15},
    {0, 0, 0xAE, 15},
    {0, 0, 0xAF, 15},
    {0, 0, 0xB0, 15},
    {0, 0, 0xB1, 15},
    {0, 0, 0xB2, 15},
    {0, 0, 0xB3, 15},
    {0, 0, 0xB4, 15},
    {0, 0, 0xB5, 15},
    {0, 0, 0xB6, 15},
    {0, 0, 0xB7, 15},
    {0, 0, 0xB8, 15},
    {0, 0, 0xB9, 15},
    {0, 0, 0xBA, 15},
    {0, 0, 0xBB, 15},
    {0, 0, 0xBC, 15},
    {0, 0, 0xBD, 15},
    {0, 0, 0xBE, 15},
    {0, 0, 0xBF, 15},
    {0, 0, 0xC0, 15},
    {0, 0, 0xC1, 15},
    {0, 0, 0xC2, 15},
    {0, 0, 0xC3, 15},
    {0, 0, 0xC4, 15},
    {0, 0, 0xC5, 15},
    {0, 0, 0xC6, 15},
    {0, 0, 0xC7, 15},
    {0, 0, 0xC8, 15},
    {0, 0, 0xC9, 15},
    {0, 0, 0xCA, 15},
    {0, 0, 0xCB, 15},
    {0, 0, 0xCC, 15},
    {0, 0, 0xCD, 15},
    {0, 0, 0xCE, 15},
    {0, 0, 0xCF, 15},
    {0, 0, 0xD0, 15},
    {0, 0, 0xD1, 15},
    {0, 0, 0xD2, 15},
    {0, 0, 0xD3, 15},
    {0, 0, 0xD4, 15},
    {0, 0, 0xD5, 15},
    {0, 0, 0xD6, 15},
    {0, 0, 0xD7, 15},
    {0, 0, 0xD8, 15},
    {0, 0, 0xD9, 15},
    {0, 0, 0xDA, 15},
    {0, 0, 0xDB, 15},
    {0, 0, 0xDC, 15},
    {0, 0, 0xDD, 15},
    {0, 0, 0xDE, 15},
    {0, 0, 0xDF, 15},
    {0, 0, 0xE0, 15},
    {0, 0, 0xE1, 15},
    {0, 0, 0xE2, 15},
    {0, 0, 0xE3, 15},
    {0, 0, 0xE4, 15},
    {0, 0, 0xE5, 15},
    {0, 0, 0xE6, 15},
    {0, 0, 0xE7, 15},
    {0, 0, 0xE8, 15},
    {0, 0, 0xE9, 15},
    {0, 0, 0xEA, 15},
    {0, 0, 0xEB, 15},
    {0, 0, 0xEC, 15},
    {0, 0, 0xED, 15},
    {0, 0, 0xEE, 15},
    {0, 0, 0xEF, 15},
    {0, 0, 0xF0, 15},
    {0, 0, 0xF1, 15},
    {0, 0, 0xF2, 15},
    {0, 0, 0xF3, 15},
    {0, 0, 0xF4, 15},
    {0, 0, 0xF5, 15},
    {0, 0, 0xF6, 15},
    {0, 0, 0xF7, 15},
    {0, 0, 0xF8, 15},
    {0, 0, 0xF9, 15},
    {0, 0, 0xFA, 15},
    {0, 0, 0xFB, 15},
    {0, 0, 0xFC, 15},
    {0, 0, 0xFD, 15},
    {0, 0, 0xFE, 15},
    {0, 0, 0xFF, 15}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {1, 15, 0x0, 0},
    {0, 0, 0x0, 16},
    {0, 0, 0x0, -1},
    {0, 0, 0x0, 17},
    {0, 0, 0x2, 16},
    {0, 0, 0x3, 16},
    {0, 0, 0x2, -1},
    {0, 0, 0x3, -1},
    {0, 0, 0x2, 17},
    {0, 0, 0x3, 17},
    {0, 0, 0x4, 16},
    {0, 0, 0x5, 16},
    {0, 0, 0x6, 16},
    {0, 0, 0x7, 16},
    {0, 0, 0x4, -1},
    {0, 0, 0x5, -1},
    {0, 0, 0x6, -1},
    {0, 0, 0x7, -1},
    {0, 0, 0x4, 17},
    {0, 0, 0x5, 17},
    {0, 0, 0x6, 17},
    {0, 0, 0x7, 17},
    {0, 0, 0x8, 16},
    {0, 0, 0x9, 16},
    {0, 0, 0xA, 16},
    {0, 0, 0xB, 16},
    {0, 0, 0xC, 16},
    {0, 0, 0xD, 16},
    {0, 0, 0xE, 16},
    {0, 0, 0xF, 16},
    {0, 0, 0x8, -1},
    {0, 0, 0x9, -1},
    {0, 0, 0xA, -1},
    {0, 0, 0xB, -1},
    {0, 0, 0xC, -1},
    {0, 0, 0xD, -1},
    {0, 0, 0xE, -1},
    {0, 0, 0xF, -1},
    {0, 0, 0x8, 17},
    {0, 0, 0x9, 17},
    {0, 0, 0xA, 17},
    {0, 0, 0xB, 17},
    {0, 0, 0xC, 17},
    {0, 0, 0xD, 17},
    {0, 0, 0xE, 17},
    {0, 0, 0xF, 17},
    {0, 0, 0x10, 16},
    {0, 0, 0x11, 16},
    {0, 0, 0x12, 16},
    {0, 0, 0x13, 16},
    {0, 0, 0x14, 16},
    {0, 0, 0x15, 16},
    {0, 0, 0x16, 16},
    {0, 0, 0x17, 16},
    {0, 0, 0x18, 16},
    {0, 0, 0x19, 16},
    {0, 0, 0x1A, 16},
    {0, 0, 0x1B, 16},
    {0, 0, 0x1C, 16},
    {0, 0, 0x1D, 16},
    {0, 0, 0x1E, 16},
    {0, 0, 0x1F, 16},
    {0, 0, 0x10, -1},
    {0, 0, 0x11, -1},
    {0, 0, 0x12, -1},
    {0, 0, 0x13, -1},
    {0, 0, 0x14, -1},
    {0, 0, 0x15, -1},
    {0, 0, 0x16, -1},
    {0, 0, 0x17, -1},
    {0, 0, 0x18, -1},
    {0, 0, 0x19, -1},
    {0, 0, 0x1A, -1},
    {0, 0, 0x1B, -1},
    {0, 0, 0x1C, -1},
    {0, 0, 0x1D, -1},
    {0, 0, 0x1E, -1},
    {0, 0, 0x1F, -1},
    {0, 0, 0x10, 17},
    {0, 0, 0x11, 17},
    {0, 0, 0x12, 17},
    {0, 0, 0x13, 17},
    {0, 0, 0x14, 17},
    {0, 0, 0x15, 17},
    {0, 0, 0x16, 17},
    {0, 0, 0x17, 17},
    {0, 0, 0x18, 17},
    {0, 0, 0x19, 17},
    {0, 0, 0x1A, 17},
    {0, 0, 0x1B, 17},
    {0, 0, 0x1C, 17},
    {0, 0, 0x1D, 17},
    {0, 0, 0x1E, 17},
    {0, 0, 0x1F, 17},
    {0, 0, 0x20, 16},
    {0, 0, 0x21, 16},
    {0, 0, 0x22, 16},
    {0, 0, 0x23, 16},
    {0, 0, 0x24, 16},
    {0, 0, 0x25, 16},
    {0, 0, 0x26, 16},
    {0, 0, 0x27, 16},
    {0, 0, 0x28, 16},
    {0, 0, 0x29, 16},
    {0, 0, 0x2A, 16},
    {0, 0, 0x2B, 16},
    {0, 0, 0x2C, 16},
    {0, 0, 0x2D, 16},
    {0, 0, 0x2E, 16},
    {0, 0, 0x2F, 16},
    {0, 0, 0x30, 16},
    {0, 0, 0x31, 16},
    {0, 0, 0x32, 16},
    {0, 0, 0x33, 16},
    {0, 0, 0x34, 16},
    {0, 0, 0x35, 16},
    {0, 0, 0x36, 16},
    {0, 0, 0x37, 16},
    {0, 0, 0x38, 16},
    {0, 0, 0x39, 16},
    {0, 0, 0x3A, 16},
    {0, 0, 0x3B, 16},
    {0, 0, 0x3C, 16},
    {0, 0, 0x3D, 16},
    {0, 0, 0x3E, 16},
    {0, 0, 0x3F, 16},
    {0, 0, 0x20, -1},
    {0, 0, 0x21, -1},
    {0, 0, 0x22, -1},
    {0, 0, 0x23, -1},
    {0, 0, 0x24, -1},
    {0, 0, 0x25, -1},
    {0, 0, 0x26, -1},
    {0, 0, 0x27, -1},
    {0, 0, 0x28, -1},
    {0, 0, 0x29, -1},
    {0, 0, 0x2A, -1},
    {0, 0, 0x2B, -1},
    {0, 0, 0x2C, -1},
    {0, 0, 0x2D, -1},
    {0, 0, 0x2E, -1},
    {0, 0, 0x2F, -1},
    {0, 0, 0x30, -1},
    {0, 0, 0x31, -1},
    {0, 0, 0x32, -1},
    {0, 0, 0x33, -1},
    {0, 0, 0x34, -1},
    {0, 0, 0x35, -1},
    {0, 0, 0x36, -1},
    {0, 0, 0x37, -1},
    {0, 0, 0x38, -1},
    {0, 0, 0x39, -1},
    {0, 0, 0x3A, -1},
    {0, 0, 0x3B, -1},
    {0, 0, 0x3C, -1},
    {0, 0, 0x3D, -1},
    {0, 0, 0x3E, -1},
    {0, 0, 0x3F, -1},
    {0, 0, 0x20, 17},
    {0, 0, 0x21, 17},
    {0, 0, 0x22, 17},
    {0, 0, 0x23, 17},
    {0, 0, 0x24, 17},
    {0, 0, 0x25, 17},
    {0, 0, 0x26, 17},
    {0, 0, 0x27, 17},
    {0, 0, 0x28, 17},
    {0, 0, 0x29, 17},
    {0, 0, 0x2A, 17},
    {0, 0, 0x2B, 17},
    {0, 0, 0x2C, 17},
    {0, 0, 0x2D, 17},
    {0, 0, 0x2E, 17},
    {0, 0, 0x2F, 17},
    {0, 0, 0x30, 17},
    {0, 0, 0x31, 17},
    {0, 0, 0x32, 17},
    {0, 0, 0x33, 17},
    {0, 0, 0x34, 17},
    {0, 0, 0x35, 17},
    {0, 0, 0x36, 17},
    {0, 0, 0x37, 17},
    {0, 0, 0x38, 17},
    {0, 0, 0x39, 17},
    {0, 0, 0x3A, 17},
    {0, 0, 0x3B, 17},
    {0, 0, 0x3C, 17},
    {0, 0, 0x3D, 17},
    {0, 0, 0x3E, 17},
    {0, 0, 0x3F, 17},
    {0, 0, 0x40, 16},
    {0, 0, 0x41, 16},
    {0, 0, 0x42, 16},
    {0, 0, 0x43, 16},
    {0, 0, 0x44, 16},
    {0, 0, 0x45, 16},
    {0, 0, 0x46, 16},
    {0, 0, 0x47, 16},
    {0, 0, 0x48, 16},
    {0, 0, 0x49, 16},
    {0, 0, 0x4A, 16},
    {0, 0, 0x4B, 16},
    {0, 0, 0x4C, 16},
    {0, 0, 0x4D, 16},
    {0, 0, 0x4E, 16},
    {0, 0, 0x4F, 16},
    {0, 0, 0x50, 16},
    {0, 0, 0x51, 16},
    {0, 0, 0x52, 16},
    {0, 0, 0x53, 16},
    {0, 0, 0x54, 16},
    {0, 0, 0x55, 16},
    {0, 0, 0x56, 16},
    {0, 0, 0x57, 16},
    {0, 0, 0x58, 16},
    {0, 0, 0x59, 16},
    {0, 0, 0x5A, 16},
    {0, 0, 0x5B, 16},
    {0, 0, 0x5C, 16},
    {0, 0, 0x5D, 16},
    {0, 0, 0x5E, 16},
    {0, 0, 0x5F, 16},
    {0, 0, 0x60, 16},
    {0, 0, 0x61, 16},
    {0, 0, 0x62, 16},
    {0, 0, 0x63, 16},
    {0, 0, 0x64, 16},
    {0, 0, 0x65, 16},
    {0, 0, 0x66, 16},
    {0, 0, 0x67, 16},
    {0, 0, 0x68, 16},
    {0, 0, 0x69, 16},
    {0, 0, 0x6A, 16},
    {0, 0, 0x6B, 16},
    {0, 0, 0x6C, 16},
    {0, 0, 0x6D, 16},
    {0, 0, 0x6E, 16},
    {0, 0, 0x6F, 16},
    {0, 0, 0x70, 16},
    {0, 0, 0x71, 16},
    {0, 0, 0x72, 16},
    {0, 0, 0x73, 16},
    {0, 0, 0x74, 16},
    {0, 0, 0x75, 16},
    {0, 0, 0x76, 16},
    {0, 0, 0x77, 16},
    {0, 0, 0x78, 16},
    {0, 0, 0x79, 16},
    {0, 0, 0x7A, 16},
    {0, 0, 0x7B, 16},
    {0, 0, 0x7C, 16},
    {0, 0, 0x7D, 16},
    {0, 0, 0x7E, 16},
    {0, 0, 0x7F, 16},
    {0, 0, 0x40, -1},
    {0, 0, 0x41, -1},
    {0, 0, 0x42, -1},
    {0, 0, 0x43, -1},
    {0, 0, 0x44, -1},
    {0, 0, 0x45, -1},
    {0, 0, 0x46, -1},
    {0, 0, 0x47, -1},
    {0, 0, 0x48, -1},
    {0, 0, 0x49, -1},
    {0, 0, 0x4A, -1},
    {0, 0, 0x4B, -1},
    {0, 0, 0x4C, -1},
    {0, 0, 0x4D, -1},
    {0, 0, 0x4E, -1},
    {0, 0, 0x4F, -1},
    {0, 0, 0x50, -1},
    {0, 0, 0x51, -1},
    {0, 0, 0x52, -1},
    {0, 0, 0x53, -1},
    {0, 0, 0x54, -1},
    {0, 0, 0x55, -1},
    {0, 0, 0x56, -1},
    {0, 0, 0x57, -1},
    {0, 0, 0x58, -1},
    {0, 0, 0x59, -1},
    {0, 0, 0x5A, -1},
    {0, 0, 0x5B, -1},
    {0, 0, 0x5C, -1},
    {0, 0, 0x5D, -1},
    {0, 0, 0x5E, -1},
    {0, 0, 0x5F, -1},
    {0, 0, 0x60, -1},
    {0, 0, 0x61, -1},
    {0, 0, 0x62, -1},
    {0, 0, 0x63, -1},
    {0, 0, 0x64, -1},
    {0, 0, 0x65, -1},
    {0, 0, 0x66, -1},
    {0, 0, 0x67, -1},
    {0, 0, 0x68, -1},
    {0, 0, 0x69, -1},
    {0, 0, 0x6A, -1},
    {0, 0, 0x6B, -1},
    {0, 0, 0x6C, -1},
    {0, 0, 0x6D, -1},
    {0, 0, 0x6E, -1},
    {0, 0, 0x6F, -1},
    {0, 0, 0x70, -1},
    {0, 0, 0x71, -1},
    {0, 0, 0x72, -1},
    {0, 0, 0x73, -1},
    {0, 0, 0x74, -1},
    {0, 0, 0x75, -1},
    {0, 0, 0x76, -1},
    {0, 0, 0x77, -1},
    {0, 0, 0x78, -1},
    {0, 0, 0x79, -1},
    {0, 0, 0x7A, -1},
    {0, 0, 0x7B, -1},
    {0, 0, 0x7C, -1},
    {0, 0, 0x7D, -1},
    {0, 0, 0x7E, -1},
    {0, 0, 0x7F, -1},
    {0, 0, 0x40, 17},
    {0, 0, 0x41, 17},
    {0, 0, 0x42, 17},
    {0, 0, 0x43, 17},
    {0, 0, 0x44, 17},
    {0, 0, 0x45, 17},
    {0, 0, 0x46, 17},
    {0, 0, 0x47, 17},
    {0, 0, 0x48, 17},
    {0, 0, 0x49, 17},
    {0, 0, 0x4A, 17},
    {0, 0, 0x4B, 17},
    {0, 0, 0x4C, 17},
    {0, 0, 0x4D, 17},
    {0, 0, 0x4E, 17},
    {0, 0, 0x4F, 17},
    {0, 0, 0x50, 17},
    {0, 0, 0x51, 17},
    {0, 0, 0x52, 17},
    {0, 0, 0x53, 17},
    {0, 0, 0x54, 17},
    {0, 0, 0x55, 17},
    {0, 0, 0x56, 17},
    {0, 0, 0x57, 17},
    {0, 0, 0x58, 17},
    {0, 0, 0x59, 17},
    {0, 0, 0x5A, 17},
    {0, 0, 0x5B, 17},
    {0, 0, 0x5C, 17},
    {0, 0, 0x5D, 17},
    {0, 0, 0x5E, 17},
    {0, 0, 0x5F, 17},
    {0, 0, 0x60, 17},
    {0, 0, 0x61, 17},
    {0, 0, 0x62, 17},
    {0, 0, 0x63, 17},
    {0, 0, 0x64, 17},
    {0, 0, 0x65, 17},
    {0, 0, 0x66, 17},
    {0, 0, 0x67, 17},
    {0, 0, 0x68, 17},
    {0, 0, 0x69, 17},
    {0, 0, 0x6A, 17},
    {0, 0, 0x6B, 17},
    {0, 0, 0x6C, 17},
    {0, 0, 0x6D, 17},
    {0, 0, 0x6E, 17},
    {0, 0, 0x6F, 17},
    {0, 0, 0x70, 17},
    {0, 0, 0x71, 17},
    {0, 0, 0x72, 17},
    {0, 0, 0x73, 17},
    {0, 0, 0x74, 17},
    {0, 0, 0x75, 17},
    {0, 0, 0x76, 17},
    {0, 0, 0x77, 17},
    {0, 0, 0x78, 17},
    {0, 0, 0x79, 17},
    {0, 0, 0x7A, 17},
    {0, 0, 0x7B, 17},
    {0, 0, 0x7C, 17},
    {0, 0, 0x7D, 17},
    {0, 0, 0x7E, 17},
    {0, 0, 0x7F, 17},
    {0, 0, 0x80, 16},
    {0, 0, 0x81, 16},
    {0, 0, 0x82, 16},
    {0, 0, 0x83, 16},
    {0, 0, 0x84, 16},
    {0, 0, 0x85, 16},
    {0, 0, 0x86, 16},
    {0, 0, 0x87, 16},
    {0, 0, 0x88, 16},
    {0, 0, 0x89, 16},
    {0, 0, 0x8A, 16},
    {0, 0, 0x8B, 16},
    {0, 0, 0x8C, 16},
    {0, 0, 0x8D, 16},
    {0, 0, 0x8E, 16},
    {0, 0, 0x8F, 16},
    {0, 0, 0x90, 16},
    {0, 0, 0x91, 16},
    {0, 0, 0x92, 16},
    {0, 0, 0x93, 16},
    {0, 0, 0x94, 16},
    {0, 0, 0x95, 16},
    {0, 0, 0x96, 16},
    {0, 0, 0x97, 16},
    {0, 0, 0x98, 16},
    {0, 0, 0x99, 16},
    {0, 0, 0x9A, 16},
    {0, 0, 0x9B, 16},
    {0, 0, 0x9C, 16},
    {0, 0, 0x9D, 16},
    {0, 0, 0x9E, 16},
    {0, 0, 0x9F, 16},
    {0, 0, 0xA0, 16},
    {0, 0, 0xA1, 16},
    {0, 0, 0xA2, 16},
    {0, 0, 0xA3, 16},
    {0, 0, 0xA4, 16},
    {0, 0, 0xA5, 16},
    {0, 0, 0xA6, 16},
    {0, 0, 0xA7, 16},
    {0, 0, 0xA8, 16},
    {0, 0, 0xA9, 16},
    {0, 0, 0xAA, 16},
    {0, 0, 0xAB, 16},
    {0, 0, 0xAC, 16},
    {0, 0, 0xAD, 16},
    {0, 0, 0xAE, 16},
    {0, 0, 0xAF, 16},
    {0, 0, 0xB0, 16},
    {0, 0, 0xB1, 16},
    {0, 0, 0xB2, 16},
    {0, 0, 0xB3, 16},
    {0, 0, 0xB4, 16},
    {0, 0, 0xB5, 16},
    {0, 0, 0xB6, 16},
    {0, 0, 0xB7, 16},
    {0, 0, 0xB8, 16},
    {0, 0, 0xB9, 16},
    {0, 0, 0xBA, 16},
    {0, 0, 0xBB, 16},
    {0, 0, 0xBC, 16},
    {0, 0, 0xBD, 16},
    {0, 0, 0xBE, 16},
    {0, 0, 0xBF, 16},
    {0, 0, 0xC0, 16},
    {0, 0, 0xC1, 16},
    {0, 0, 0xC2, 16},
    {0, 0, 0xC3, 16},
    {0, 0, 0xC4, 16},
    {0, 0, 0xC5, 16},
    {0, 0, 0xC6, 16},
    {0, 0, 0xC7, 16},
    {0, 0, 0xC8, 16},
    {0, 0, 0xC9, 16},
    {0, 0, 0xCA, 16},
    {0, 0, 0xCB, 16},
    {0, 0, 0xCC, 16},
    {0, 0, 0xCD, 16},
    {0, 0, 0xCE, 16},
    {0, 0, 0xCF, 16},
    {0, 0, 0xD0, 16},
    {0, 0, 0xD1, 16},
    {0, 0, 0xD2, 16},
    {0, 0, 0xD3, 16},
    {0, 0, 0xD4, 16},
    {0, 0, 0xD5, 16},
    {0, 0, 0xD6, 16},
    {0, 0, 0xD7, 16},
    {0, 0, 0xD8, 16},
    {0, 0, 0xD9, 16},
    {0, 0, 0xDA, 16},
    {0, 0, 0xDB, 16},
    {0, 0, 0xDC, 16},
    {0, 0, 0xDD, 16},
    {0, 0, 0xDE, 16},
    {0, 0, 0xDF, 16},
    {0, 0, 0xE0, 16},
    {0, 0, 0xE1, 16},
    {0, 0, 0xE2, 16},
    {0, 0, 0xE3, 16},
    {0, 0, 0xE4, 16},
    {0, 0, 0xE5, 16},
    {0, 0, 0xE6, 16},
    {0, 0, 0xE7, 16},
    {0, 0, 0xE8, 16},
    {0, 0, 0xE9, 16},
    {0, 0, 0xEA, 16},
    {0, 0, 0xEB, 16},
    {0, 0, 0xEC, 16},
    {0, 0, 0xED, 16},
    {0, 0, 0xEE, 16},
    {0, 0, 0xEF, 16},
    {0, 0, 0xF0, 16},
    {0, 0, 0xF1, 16},
    {0, 0, 0xF2, 16},
    {0, 0, 0xF3, 16},
    {0, 0, 0xF4, 16},
    {0, 0, 0xF5, 16},
    {0, 0, 0xF6, 16},
    {0, 0, 0xF7, 16},
    {0, 0, 0xF8, 16},
    {0, 0, 0xF9, 16},
    {0, 0, 0xFA, 16},
    {0, 0, 0xFB, 16},
    {0, 0, 0xFC, 16},
    {0, 0, 0xFD, 16},
    {0, 0, 0xFE, 16},
    {0, 0, 0xFF, 16}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {0, 0, 0x0, -1},
    {0, 0, 0x0, 17},
    {0, 0, 0x2, -1},
    {0, 0, 0x3, -1},
    {0, 0, 0x2, 17},
    {0, 0, 0x3, 17},
    {0, 0, 0x4, -1},
    {0, 0, 0x5, -1},
    {0, 0, 0x6, -1},
    {0, 0, 0x7, -1},
    {0, 0, 0x4, 17},
    {0, 0, 0x5, 17},
    {0, 0, 0x6, 17},
    {0, 0, 0x7, 17},
    {0, 0, 0x8, -1},
    {0, 0, 0x9, -1},
    {0, 0, 0xA, -1},
    {0, 0, 0xB, -1},
    {0, 0, 0xC, -1},
    {0, 0, 0xD, -1},
    {0, 0, 0xE, -1},
    {0, 0, 0xF, -1},
    {0, 0, 0x8, 17},
    {0, 0, 0x9, 17},
    {0, 0, 0xA, 17},
    {0, 0, 0xB, 17},
    {0, 0, 0xC, 17},
    {0, 0, 0xD, 17},
    {0, 0, 0xE, 17},
    {0, 0, 0xF, 17},
    {0, 0, 0x10, -1},
    {0, 0, 0x11, -1},
    {0, 0, 0x12, -1},
    {0, 0, 0x13, -1},
    {0, 0, 0x14, -1},
    {0, 0, 0x15, -1},
    {0, 0, 0x16, -1},
    {0, 0, 0x17, -1},
    {0, 0, 0x18, -1},
    {0, 0, 0x19, -1},
    {0, 0, 0x1A, -1},
    {0, 0, 0x1B, -1},
    {0, 0, 0x1C, -1},
    {0, 0, 0x1D, -1},
    {0, 0, 0x1E, -1},
    {0, 0, 0x1F, -1},
    {0, 0, 0x10, 17},
    {0, 0, 0x11, 17},
    {0, 0, 0x12, 17},
    {0, 0, 0x13, 17},
    {0, 0, 0x14, 17},
    {0, 0, 0x15, 17},
    {0, 0, 0x16, 17},
    {0, 0, 0x17, 17},
    {0, 0, 0x18, 17},
    {0, 0, 0x19, 17},
    {0, 0, 0x1A, 17},
    {0, 0, 0x1B, 17},
    {0, 0, 0x1C, 17},
    {0, 0, 0x1D, 17},
    {0, 0, 0x1E, 17},
    {0, 0, 0x1F, 17},
    {0, 0, 0x20, -1},
    {0, 0, 0x21, -1},
    {0, 0, 0x22, -1},
    {0, 0, 0x23, -1},
    {0, 0, 0x24, -1},
    {0, 0, 0x25, -1},
    {0, 0, 0x26, -1},
    {0, 0, 0x27, -1},
    {0, 0, 0x28, -1},
    {0, 0, 0x29, -1},
    {0, 0, 0x2A, -1},
    {0, 0, 0x2B, -1},
    {0, 0, 0x2C, -1},
    {0, 0, 0x2D, -1},
    {0, 0, 0x2E, -1},
    {0, 0, 0x2F, -1},
    {0, 0, 0x30, -1},
    {0, 0, 0x31, -1},
    {0, 0, 0x32, -1},
    {0, 0, 0x33, -1},
    {0, 0, 0x34, -1},
    {0, 0, 0x35, -1},
    {0, 0, 0x36, -1},
    {0, 0, 0x37, -1},
    {0, 0, 0x38, -1},
    {0, 0, 0x39, -1},
    {0, 0, 0x3A, -1},
    {0, 0, 0x3B, -1},
    {0, 0, 0x3C, -1},
    {0, 0, 0x3D, -1},
    {0, 0, 0x3E, -1},
    {0, 0, 0x3F, -1},
    {0, 0, 0x20, 17},
    {0, 0, 0x21, 17},
    {0, 0, 0x22, 17},
    {0, 0, 0x23, 17},
    {0, 0, 0x24, 17},
    {0, 0, 0x25, 17},
    {0, 0, 0x26, 17},
    {0, 0, 0x27, 17},
    {0, 0, 0x28, 17},
    {0, 0, 0x29, 17},
    {0, 0, 0x2A, 17},
    {0, 0, 0x2B, 17},
    {0, 0, 0x2C, 17},
    {0, 0, 0x2D, 17},
    {0, 0, 0x2E, 17},
    {0, 0, 0x2F, 17},
    {0, 0, 0x30, 17},
    {0, 0, 0x31, 17},
    {0, 0, 0x32, 17},
    {0, 0, 0x33, 17},
    {0, 0, 0x34, 17},
    {0, 0, 0x35, 17},
    {0, 0, 0x36, 17},
    {0, 0, 0x37, 17},
    {0, 0, 0x38, 17},
    {0, 0, 0x39, 17},
    {0, 0, 0x3A, 17},
    {0, 0, 0x3B, 17},
    {0, 0, 0x3C, 17},
    {0, 0, 0x3D, 17},
    {0, 0, 0x3E, 17},
    {0, 0, 0x3F, 17},
    {0, 0, 0x40, -1},
    {0, 0, 0x41, -1},
    {0, 0, 0x42, -1},
    {0, 0, 0x43, -1},
    {0, 0, 0x44, -1},
    {0, 0, 0x45, -1},
    {0, 0, 0x46, -1},
    {0, 0, 0x47, -1},
    {0, 0, 0x48, -1},
    {0, 0, 0x49, -1},
    {0, 0, 0x4A, -1},
    {0, 0, 0x4B, -1},
    {0, 0, 0x4C, -1},
    {0, 0, 0x4D, -1},
    {0, 0, 0x4E, -1},
    {0, 0, 0x4F, -1},
    {0, 0, 0x50, -1},
    {0, 0, 0x51, -1},
    {0, 0, 0x52, -1},
    {0, 0, 0x53, -1},
    {0, 0, 0x54, -1},
    {0, 0, 0x55, -1},
    {0, 0, 0x56, -1},
    {0, 0, 0x57, -1},
    {0, 0, 0x58, -1},
    {0, 0, 0x59, -1},
    {0, 0, 0x5A, -1},
    {0, 0, 0x5B, -1},
    {0, 0, 0x5C, -1},
    {0, 0, 0x5D, -1},
    {0, 0, 0x5E, -1},
    {0, 0, 0x5F, -1},
    {0, 0, 0x60, -1},
    {0, 0, 0x61, -1},
    {0, 0, 0x62, -1},
    {0, 0, 0x63, -1},
    {0, 0, 0x64, -1},
    {0, 0, 0x65, -1},
    {0, 0, 0x66, -1},
    {0, 0, 0x67, -1},
    {0, 0, 0x68, -1},
    {0, 0, 0x69, -1},
    {0, 0, 0x6A, -1},
    {0, 0, 0x6B, -1},
    {0, 0, 0x6C, -1},
    {0, 0, 0x6D, -1},
    {0, 0, 0x6E, -1},
    {0, 0, 0x6F, -1},
    {0, 0, 0x70, -1},
    {0, 0, 0x71, -1},
    {0, 0, 0x72, -1},
    {0, 0, 0x73, -1},
    {0, 0, 0x74, -1},
    {0, 0, 0x75, -1},
    {0, 0, 0x76, -1},
    {0, 0, 0x77, -1},
    {0, 0, 0x78, -1},
    {0, 0, 0x79, -1},
    {0, 0, 0x7A, -1},
    {0, 0, 0x7B, -1},
    {0, 0, 0x7C, -1},
    {0, 0, 0x7D, -1},
    {0, 0, 0x7E, -1},
    {0, 0, 0x7F, -1},
    {0, 0, 0x40, 17},
    {0, 0, 0x41, 17},
    {0, 0, 0x42, 17},
    {0, 0, 0x43, 17},
    {0, 0, 0x44, 17},
    {0, 0, 0x45, 17},
    {0, 0, 0x46, 17},
    {0, 0, 0x47, 17},
    {0, 0, 0x48, 17},
    {0, 0, 0x49, 17},
    {0, 0, 0x4A, 17},
    {0, 0, 0x4B, 17},
    {0, 0, 0x4C, 17},
    {0, 0, 0x4D, 17},
    {0, 0, 0x4E, 17},
    {0, 0, 0x4F, 17},
    {0, 0, 0x50, 17},
    {0, 0, 0x51, 17},
    {0, 0, 0x52, 17},
    {0, 0, 0x53, 17},
    {0, 0, 0x54, 17},
    {0, 0, 0x55, 17},
    {0, 0, 0x56, 17},
    {0, 0, 0x57, 17},
    {0, 0, 0x58, 17},
    {0, 0, 0x59, 17},
    {0, 0, 0x5A, 17},
    {0, 0, 0x5B, 17},
    {0, 0, 0x5C, 17},
    {0, 0, 0x5D, 17},
    {0, 0, 0x5E, 17},
    {0, 0, 0x5F, 17},
    {0, 0, 0x60, 17},
    {0, 0, 0x61, 17},
    {0, 0, 0x62, 17},
    {0, 0, 0x63, 17},
    {0, 0, 0x64, 17},
    {0, 0, 0x65, 17},
    {0, 0, 0x66, 17},
    {0, 0, 0x67, 17},
    {0, 0, 0x68, 17},
    {0, 0, 0x69, 17},
    {0, 0, 0x6A, 17},
    {0, 0, 0x6B, 17},
    {0, 0, 0x6C, 17},
    {0, 0, 0x6D, 17},
    {0, 0, 0x6E, 17},
    {0, 0, 0x6F, 17},
    {0, 0, 0x70, 17},
    {0, 0, 0x71, 17},
    {0, 0, 0x72, 17},
    {0, 0, 0x73, 17},
    {0, 0, 0x74, 17},
    {0, 0, 0x75, 17},
    {0, 0, 0x76, 17},
    {0, 0, 0x77, 17},
    {0, 0, 0x78, 17},
    {0, 0, 0x79, 17},
    {0, 0, 0x7A, 17},
    {0, 0, 0x7B, 17},
    {0, 0, 0x7C, 17},
    {0, 0, 0x7D, 17},
    {0, 0, 0x7E, 17},
    {0, 0, 0x7F, 17},
    {0, 0, 0x80, -1},
    {0, 0, 0x81, -1},
    {0, 0, 0x82, -1},
    {0, 0, 0x83, -1},
    {0, 0, 0x84, -1},
    {0, 0, 0x85, -1},
    {0, 0, 0x86, -1},
    {0, 0, 0x87, -1},
    {0, 0, 0x88, -1},
    {0, 0, 0x89, -1},
    {0, 0, 0x8A, -1},
    {0, 0, 0x8B, -1},
    {0, 0, 0x8C, -1},
    {0, 0, 0x8D, -1},
    {0, 0, 0x8E, -1},
    {0, 0, 0x8F, -1},
    {0, 0, 0x90, -1},
    {0, 0, 0x91, -1},
    {0, 0, 0x92, -1},
    {0, 0, 0x93, -1},
    {0, 0, 0x94, -1},
    {0, 0, 0x95, -1},
    {0, 0, 0x96, -1},
    {0, 0, 0x97, -1},
    {0, 0, 0x98, -1},
    {0, 0, 0x99, -1},
    {0, 0, 0x9A, -1},
    {0, 0, 0x9B, -1},
    {0, 0, 0x9C, -1},
    {0, 0, 0x9D, -1},
    {0, 0, 0x9E, -1},
    {0, 0, 0x9F, -1},
    {0, 0, 0xA0, -1},
    {0, 0, 0xA1, -1},
    {0, 0, 0xA2, -1},
    {0, 0, 0xA3, -1},
    {0, 0, 0xA4, -1},
    {0, 0, 0xA5, -1},
    {0, 0, 0xA6, -1},
    {0, 0, 0xA7, -1},
    {0, 0, 0xA8, -1},
    {0, 0, 0xA9, -1},
    {0, 0, 0xAA, -1},
    {0, 0, 0xAB, -1},
    {0, 0, 0xAC, -1},
    {0, 0, 0xAD, -1},
    {0, 0, 0xAE, -1},
    {0, 0, 0xAF, -1},
    {0, 0, 0xB0, -1},
    {0, 0, 0xB1, -1},
    {0, 0, 0xB2, -1},
    {0, 0, 0xB3, -1},
    {0, 0, 0xB4, -1},
    {0, 0, 0xB5, -1},
    {0, 0, 0xB6, -1},
    {0, 0, 0xB7, -1},
    {0, 0, 0xB8, -1},
    {0, 0, 0xB9, -1},
    {0, 0, 0xBA, -1},
    {0, 0, 0xBB, -1},
    {0, 0, 0xBC, -1},
    {0, 0, 0xBD, -1},
    {0, 0, 0xBE, -1},
    {0, 0, 0xBF, -1},
    {0, 0, 0xC0, -1},
    {0, 0, 0xC1, -1},
    {0, 0, 0xC2, -1},
    {0, 0, 0xC3, -1},
    {0, 0, 0xC4, -1},
    {0, 0, 0xC5, -1},
    {0, 0, 0xC6, -1},
    {0, 0, 0xC7, -1},
    {0, 0, 0xC8, -1},
    {0, 0, 0xC9, -1},
    {0, 0, 0xCA, -1},
    {0, 0, 0xCB, -1},
    {0, 0, 0xCC, -1},
    {0, 0, 0xCD, -1},
    {0, 0, 0xCE, -1},
    {0, 0, 0xCF, -1},
    {0, 0, 0xD0, -1},
    {0, 0, 0xD1, -1},
    {0, 0, 0xD2, -1},
    {0, 0, 0xD3, -1},
    {0, 0, 0xD4, -1},
    {0, 0, 0xD5, -1},
    {0, 0, 0xD6, -1},
    {0, 0, 0xD7, -1},
    {0, 0, 0xD8, -1},
    {0, 0, 0xD9, -1},
    {0, 0, 0xDA, -1},
    {0, 0, 0xDB, -1},
    {0, 0, 0xDC, -1},
    {0, 0, 0xDD, -1},
    {0, 0, 0xDE, -1},
    {0, 0, 0xDF, -1},
    {0, 0, 0xE0, -1},
    {0, 0, 0xE1, -1},
    {0, 0, 0xE2, -1},
    {0, 0, 0xE3, -1},
    {0, 0, 0xE4, -1},
    {0, 0, 0xE5, -1},
    {0, 0, 0xE6, -1},
    {0, 0, 0xE7, -1},
    {0, 0, 0xE8, -1},
    {0, 0, 0xE9, -1},
    {0, 0, 0xEA, -1},
    {0, 0, 0xEB, -1},
    {0, 0, 0xEC, -1},
    {0, 0, 0xED, -1},
    {0, 0, 0xEE, -1},
    {0, 0, 0xEF, -1},
    {0, 0, 0xF0, -1},
    {0, 0, 0xF1, -1},
    {0, 0, 0xF2, -1},
    {0, 0, 0xF3, -1},
    {0, 0, 0xF4, -1},
    {0, 0, 0xF5, -1},
    {0, 0, 0xF6, -1},
    {0, 0, 0xF7, -1},
    {0, 0, 0xF8, -1},
    {0, 0, 0xF9, -1},
    {0, 0, 0xFA, -1},
    {0, 0, 0xFB, -1},
    {0, 0, 0xFC, -1},
    {0, 0, 0xFD, -1},
    {0, 0, 0xFE, -1},
    {0, 0, 0xFF, -1},
    {0, 0, 0x80, 17},
    {0, 0, 0x81, 17},
    {0, 0, 0x82, 17},
    {0, 0, 0x83, 17},
    {0, 0, 0x84, 17},
    {0, 0, 0x85, 17},
    {0, 0, 0x86, 17},
    {0, 0, 0x87, 17},
    {0, 0, 0x88, 17},
    {0, 0, 0x89, 17},
    {0, 0, 0x8A, 17},
    {0, 0, 0x8B, 17},
    {0, 0, 0x8C, 17},
    {0, 0, 0x8D, 17},
    {0, 0, 0x8E, 17},
    {0, 0, 0x8F, 17},
    {0, 0, 0x90, 17},
    {0, 0, 0x91, 17},
    {0, 0, 0x92, 17},
    {0, 0, 0x93, 17},
    {0, 0, 0x94, 17},
    {0, 0, 0x95, 17},
    {0, 0, 0x96, 17},
    {0, 0, 0x97, 17},
    {0, 0, 0x98, 17},
    {0, 0, 0x99, 17},
    {0, 0, 0x9A, 17},
    {0, 0, 0x9B, 17},
    {0, 0, 0x9C, 17},
    {0, 0, 0x9D, 17},
    {0, 0, 0x9E, 17},
    {0, 0, 0x9F, 17},
    {0, 0, 0xA0, 17},
    {0, 0, 0xA1, 17},
    {0, 0, 0xA2, 17},
    {0, 0, 0xA3, 17},
    {0, 0, 0xA4, 17},
    {0, 0, 0xA5, 17},
    {0, 0, 0xA6, 17},
    {0, 0, 0xA7, 17},
    {0, 0, 0xA8, 17},
    {0, 0, 0xA9, 17},
    {0, 0, 0xAA, 17},
    {0, 0, 0xAB, 17},
    {0, 0, 0xAC, 17},
    {0, 0, 0xAD, 17},
    {0, 0, 0xAE, 17},
    {0, 0, 0xAF, 17},
    {0, 0, 0xB0, 17},
    {0, 0, 0xB1, 17},
    {0, 0, 0xB2, 17},
    {0, 0, 0xB3, 17},
    {0, 0, 0xB4, 17},
    {0, 0, 0xB5, 17},
    {0, 0, 0xB6, 17},
    {0, 0, 0xB7, 17},
    {0, 0, 0xB8, 17},
    {0, 0, 0xB9, 17},
    {0, 0, 0xBA, 17},
    {0, 0, 0xBB, 17},
    {0, 0, 0xBC, 17},
    {0, 0, 0xBD, 17},
    {0, 0, 0xBE, 17},
    {0, 0, 0xBF, 17},
    {0, 0, 0xC0, 17},
    {0, 0, 0xC1, 17},
    {0, 0, 0xC2, 17},
    {0, 0, 0xC3, 17},
    {0, 0, 0xC4, 17},
    {0, 0, 0xC5, 17},
    {0, 0, 0xC6, 17},
    {0, 0, 0xC7, 17},
    {0, 0, 0xC8, 17},
    {0, 0, 0xC9, 17},
    {0, 0, 0xCA, 17},
    {0, 0, 0xCB, 17},
    {0, 0, 0xCC, 17},
    {0, 0, 0xCD, 17},
    {0, 0, 0xCE, 17},
    {0, 0, 0xCF, 17},
    {0, 0, 0xD0, 17},
    {0, 0, 0xD1, 17},
    {0, 0, 0xD2, 17},
    {0, 0, 0xD3, 17},
    {0, 0, 0xD4, 17},
    {0, 0, 0xD5, 17},
    {0, 0, 0xD6, 17},
    {0, 0, 0xD7, 17},
    {0, 0, 0xD8, 17},
    {0, 0, 0xD9, 17},
    {0, 0, 0xDA, 17},
    {0, 0, 0xDB, 17},
    {0, 0, 0xDC, 17},
    {0, 0, 0xDD, 17},
    {0, 0, 0xDE, 17},
    {0, 0, 0xDF, 17},
    {0, 0, 0xE0, 17},
    {0, 0, 0xE1, 17},
    {0, 0, 0xE2, 17},
    {0, 0, 0xE3, 17},
    {0, 0, 0xE4, 17},
    {0, 0, 0xE5, 17},
    {0, 0, 0xE6, 17},
    {0, 0, 0xE7, 17},
    {0, 0, 0xE8, 17},
    {0, 0, 0xE9, 17},
    {0, 0, 0xEA, 17},
    {0, 0, 0xEB, 17},
    {0, 0, 0xEC, 17},
    {0, 0, 0xED, 17},
    {0, 0, 0xEE, 17},
    {0, 0, 0xEF, 17},
    {0, 0, 0xF0, 17},
    {0, 0, 0xF1, 17},
    {0, 0, 0xF2, 17},
    {0, 0, 0xF3, 17},
    {0, 0, 0xF4, 17},
    {0, 0, 0xF5, 17},
    {0, 0, 0xF6, 17},
    {0, 0, 0xF7, 17},
    {0, 0, 0xF8, 17},
    {0, 0, 0xF9, 17},
    {0, 0, 0xFA, 17},
    {0, 0, 0xFB, 17},
    {0, 0, 0xFC, 17},
    {0, 0, 0xFD, 17},
    {0, 0, 0xFE, 17},
    {0, 0, 0xFF, 17}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {1, 17, 0x0, 0},
    {1, 18, 0x0, 0},
    {0, 0, 0x0, 7},
    {0, 0, 0x0, 8},
    {0, 0, 0x0, 9},
    {0, 0, 0x0, 10},
    {0, 0, 0x2, 7},
    {0, 0, 0x3, 7},
    {0, 0, 0x2, 8},
    {0, 0, 0x3, 8},
    {0, 0, 0x2, 9},
    {0, 0, 0x3, 9},
    {0, 0, 0x2, 10},
    {0, 0, 0x3, 10},
    {0, 0, 0x4, 7},
    {0, 0, 0x5, 7},
    {0, 0, 0x6, 7},
    {0, 0, 0x7, 7},
    {0, 0, 0x4, 8},
    {0, 0, 0x5, 8},
    {0, 0, 0x6, 8},
    {0, 0, 0x7, 8},
    {0, 0, 0x4, 9},
    {0, 0, 0x5, 9},
    {0, 0, 0x6, 9},
    {0, 0, 0x7, 9},
    {0, 0, 0x4, 10},
    {0, 0, 0x5, 10},
    {0, 0, 0x6, 10},
    {0, 0, 0x7, 10},
    {0, 0, 0x8, 7},
    {0, 0, 0x9, 7},
    {0, 0, 0xA, 7},
    {0, 0, 0xB, 7},
    {0, 0, 0xC, 7},
    {0, 0, 0xD, 7},
    {0, 0, 0xE, 7},
    {0, 0, 0xF, 7},
    {0, 0, 0x8, 8},
    {0, 0, 0x9, 8},
    {0, 0, 0xA, 8},
    {0, 0, 0xB, 8},
    {0, 0, 0xC, 8},
    {0, 0, 0xD, 8},
    {0, 0, 0xE, 8},
    {0, 0, 0xF, 8},
    {0, 0, 0x8, 9},
    {0, 0, 0x9, 9},
    {0, 0, 0xA, 9},
    {0, 0, 0xB, 9},
    {0, 0, 0xC, 9},
    {0, 0, 0xD, 9},
    {0, 0, 0xE, 9},
    {0, 0, 0xF, 9},
    {0, 0, 0x8, 10},
    {0, 0, 0x9, 10},
    {0, 0, 0xA, 10},
    {0, 0, 0xB, 10},
    {0, 0, 0xC, 10},
    {0, 0, 0xD, 10},
    {0, 0, 0xE, 10},
    {0, 0, 0xF, 10},
    {0, 0, 0x10, 7},
    {0, 0, 0x11, 7},
    {0, 0, 0x12, 7},
    {0, 0, 0x13, 7},
    {0, 0, 0x14, 7},
    {0, 0, 0x15, 7},
    {0, 0, 0x16, 7},
    {0, 0, 0x17, 7},
    {0, 0, 0x18, 7},
    {0, 0, 0x19, 7},
    {0, 0, 0x1A, 7},
    {0, 0, 0x1B, 7},
    {0, 0, 0x1C, 7},
    {0, 0, 0x1D, 7},
    {0, 0, 0x1E, 7},
    {0, 0, 0x1F, 7},
    {0, 0, 0x10, 8},
    {0, 0, 0x11, 8},
    {0, 0, 0x12, 8},
    {0, 0, 0x13, 8},
    {0, 0, 0x14, 8},
    {0, 0, 0x15, 8},
    {0, 0, 0x16, 8},
    {0, 0, 0x17, 8},
    {0, 0, 0x18, 8},
    {0, 0, 0x19, 8},
    {0, 0, 0x1A, 8},
    {0, 0, 0x1B, 8},
    {0, 0, 0x1C, 8},
    {0, 0, 0x1D, 8},
    {0, 0, 0x1E, 8},
    {0, 0, 0x1F, 8},
    {0, 0, 0x10, 9},
    {0, 0, 0x11, 9},
    {0, 0, 0x12, 9},
    {0, 0, 0x13, 9},
    {0, 0, 0x14, 9},
    {0, 0, 0x15, 9},
    {0, 0, 0x16, 9},
    {0, 0, 0x17, 9},
    {0, 0, 0x18, 9},
    {0, 0, 0x19, 9},
    {0, 0, 0x1A, 9},
    {0, 0, 0x1B, 9},
    {0, 0, 0x1C, 9},
    {0, 0, 0x1D, 9},
    {0, 0, 0x1E, 9},
    {0, 0, 0x1F, 9},
    {0, 0, 0x10, 10},
    {0, 0, 0x11, 10},
    {0, 0, 0x12, 10},
    {0, 0, 0x13, 10},
    {0, 0, 0x14, 10},
    {0, 0, 0x15, 10},
    {0, 0, 0x16, 10},
    {0, 0, 0x17, 10},
    {0, 0, 0x18, 10},
    {0, 0, 0x19, 10},
    {0, 0, 0x1A, 10},
    {0, 0, 0x1B, 10},
    {0, 0, 0x1C, 10},
    {0, 0, 0x1D, 10},
    {0, 0, 0x1E, 10},
    {0, 0, 0x1F, 10},
    {0, 0, 0x20, 7},
    {0, 0, 0x21, 7},
    {0, 0, 0x22, 7},
    {0, 0, 0x23, 7},
    {0, 0, 0x24, 7},
    {0, 0, 0x25, 7},
    {0, 0, 0x26, 7},
    {0, 0, 0x27, 7},
    {0, 0, 0x28, 7},
    {0, 0, 0x29, 7},
    {0, 0, 0x2A, 7},
    {0, 0, 0x2B, 7},
    {0, 0, 0x2C, 7},
    {0, 0, 0x2D, 7},
    {0, 0, 0x2E, 7},
    {0, 0, 0x2F, 7},
    {0, 0, 0x30, 7},
    {0, 0, 0x31, 7},
    {0, 0, 0x32, 7},
    {0, 0, 0x33, 7},
    {0, 0, 0x34, 7},
    {0, 0, 0x35, 7},
    {0, 0, 0x36, 7},
    {0, 0, 0x37, 7},
    {0, 0, 0x38, 7},
    {0, 0, 0x39, 7},
    {0, 0, 0x3A, 7},
    {0, 0, 0x3B, 7},
    {0, 0, 0x3C, 7},
    {0, 0, 0x3D, 7},
    {0, 0, 0x3E, 7},
    {0, 0, 0x3F, 7},
    {0, 0, 0x20, 8},
    {0, 0, 0x21, 8},
    {0, 0, 0x22, 8},
    {0, 0, 0x23, 8},
    {0, 0, 0x24, 8},
    {0, 0, 0x25, 8},
    {0, 0, 0x26, 8},
    {0, 0, 0x27, 8},
    {0, 0, 0x28, 8},
    {0, 0, 0x29, 8},
    {0, 0, 0x2A, 8},
    {0, 0, 0x2B, 8},
    {0, 0, 0x2C, 8},
    {0, 0, 0x2D, 8},
    {0, 0, 0x2E, 8},
    {0, 0, 0x2F, 8},
    {0, 0, 0x30, 8},
    {0, 0, 0x31, 8},
    {0, 0, 0x32, 8},
    {0, 0, 0x33, 8},
    {0, 0, 0x34, 8},
    {0, 0, 0x35, 8},
    {0, 0, 0x36, 8},
    {0, 0, 0x37, 8},
    {0, 0, 0x38, 8},
    {0, 0, 0x39, 8},
    {0, 0, 0x3A, 8},
    {0, 0, 0x3B, 8},
    {0, 0, 0x3C, 8},
    {0, 0, 0x3D, 8},
    {0, 0, 0x3E, 8},
    {0, 0, 0x3F, 8},
    {0, 0, 0x20, 9},
    {0, 0, 0x21, 9},
    {0, 0, 0x22, 9},
    {0, 0, 0x23, 9},
    {0, 0, 0x24, 9},
    {0, 0, 0x25, 9},
    {0, 0, 0x26, 9},
    {0, 0, 0x27, 9},
    {0, 0, 0x28, 9},
    {0, 0, 0x29, 9},
    {0, 0, 0x2A, 9},
    {0, 0, 0x2B, 9},
    {0, 0, 0x2C, 9},
    {0, 0, 0x2D, 9},
    {0, 0, 0x2E, 9},
    {0, 0, 0x2F, 9},
    {0, 0, 0x30, 9},
    {0, 0, 0x31, 9},
    {0, 0, 0x32, 9},
    {0, 0, 0x33, 9},
    {0, 0, 0x34, 9},
    {0, 0, 0x35, 9},
    {0, 0, 0x36, 9},
    {0, 0, 0x37, 9},
    {0, 0, 0x38, 9},
    {0, 0, 0x39, 9},
    {0, 0, 0x3A, 9},
    {0, 0, 0x3B, 9},
    {0, 0, 0x3C, 9},
    {0, 0, 0x3D, 9},
    {0, 0, 0x3E, 9},
    {0, 0, 0x3F, 9},
    {0, 0, 0x20, 10},
    {0, 0, 0x21, 10},
    {0, 0, 0x22, 10},
    {0, 0, 0x23, 10},
    {0, 0, 0x24, 10},
    {0, 0, 0x25, 10},
    {0, 0, 0x26, 10},
    {0, 0, 0x27, 10},
    {0, 0, 0x28, 10},
    {0, 0, 0x29, 10},
    {0, 0, 0x2A, 10},
    {0, 0, 0x2B, 10},
    {0, 0, 0x2C, 10},
    {0, 0, 0x2D, 10},
    {0, 0, 0x2E, 10},
    {0, 0, 0x2F, 10},
    {0, 0, 0x30, 10},
    {0, 0, 0x31, 10},
    {0, 0, 0x32, 10},
    {0, 0, 0x33, 10},
    {0, 0, 0x34, 10},
    {0, 0, 0x35, 10},
    {0, 0, 0x36, 10},
    {0, 0, 0x37, 10},
    {0, 0, 0x38, 10},
    {0, 0, 0x39, 10},
    {0, 0, 0x3A, 10},
    {0, 0, 0x3B, 10},
    {0, 0, 0x3C, 10},
    {0, 0, 0x3D, 10},
    {0, 0, 0x3E, 10},
    {0, 0, 0x3F, 10},
    {0, 0, 0x40, 7},
    {0, 0, 0x41, 7},
    {0, 0, 0x42, 7},
    {0, 0, 0x43, 7},
    {0, 0, 0x44, 7},
    {0, 0, 0x45, 7},
    {0, 0, 0x46, 7},
    {0, 0, 0x47, 7},
    {0, 0, 0x48, 7},
    {0, 0, 0x49, 7},
    {0, 0, 0x4A, 7},
    {0, 0, 0x4B, 7},
    {0, 0, 0x4C, 7},
    {0, 0, 0x4D, 7},
    {0, 0, 0x4E, 7},
    {0, 0, 0x4F, 7},
    {0, 0, 0x50, 7},
    {0, 0, 0x51, 7},
    {0, 0, 0x52, 7},
    {0, 0, 0x53, 7},
    {0, 0, 0x54, 7},
    {0, 0, 0x55, 7},
    {0, 0, 0x56, 7},
    {0, 0, 0x57, 7},
    {0, 0, 0x58, 7},
    {0, 0, 0x59, 7},
    {0, 0, 0x5A, 7},
    {0, 0, 0x5B, 7},
    {0, 0, 0x5C, 7},
    {0, 0, 0x5D, 7},
    {0, 0, 0x5E, 7},
    {0, 0, 0x5F, 7},
    {0, 0, 0x60, 7},
    {0, 0, 0x61, 7},
    {0, 0, 0x62, 7},
    {0, 0, 0x63, 7},
    {0, 0, 0x64, 7},
    {0, 0, 0x65, 7},
    {0, 0, 0x66, 7},
    {0, 0, 0x67, 7},
    {0, 0, 0x68, 7},
    {0, 0, 0x69, 7},
    {0, 0, 0x6A, 7},
    {0, 0, 0x6B, 7},
    {0, 0, 0x6C, 7},
    {0, 0, 0x6D, 7},
    {0, 0, 0x6E, 7},
    {0, 0, 0x6F, 7},
    {0, 0, 0x70, 7},
    {0, 0, 0x71, 7},
    {0, 0, 0x72, 7},
    {0, 0, 0x73, 7},
    {0, 0, 0x74, 7},
    {0, 0, 0x75, 7},
    {0, 0, 0x76, 7},
    {0, 0, 0x77, 7},
    {0, 0, 0x78, 7},
    {0, 0, 0x79, 7},
    {0, 0, 0x7A, 7},
    {0, 0, 0x7B, 7},
    {0, 0, 0x7C, 7},
    {0, 0, 0x7D, 7},
    {0, 0, 0x7E, 7},
    {0, 0, 0x7F, 7},
    {0, 0, 0x40, 8},
    {0, 0, 0x41, 8},
    {0, 0, 0x42, 8},
    {0, 0, 0x43, 8},
    {0, 0, 0x44, 8},
    {0, 0, 0x45, 8},
    {0, 0, 0x46, 8},
    {0, 0, 0x47, 8},
    {0, 0, 0x48, 8},
    {0, 0, 0x49, 8},
    {0, 0, 0x4A, 8},
    {0, 0, 0x4B, 8},
    {0, 0, 0x4C, 8},
    {0, 0, 0x4D, 8},
    {0, 0, 0x4E, 8},
    {0, 0, 0x4F, 8},
    {0, 0, 0x50, 8},
    {0, 0, 0x51, 8},
    {0, 0, 0x52, 8},
    {0, 0, 0x53, 8},
    {0, 0, 0x54, 8},
    {0, 0, 0x55, 8},
    {0, 0, 0x56, 8},
    {0, 0, 0x57, 8},
    {0, 0, 0x58, 8},
    {0, 0, 0x59, 8},
    {0, 0, 0x5A, 8},
    {0, 0, 0x5B, 8},
    {0, 0, 0x5C, 8},
    {0, 0, 0x5D, 8},
    {0, 0, 0x5E, 8},
    {0, 0, 0x5F, 8},
    {0, 0, 0x60, 8},
    {0, 0, 0x61, 8},
    {0, 0, 0x62, 8},
    {0, 0, 0x63, 8},
    {0, 0, 0x64, 8},
    {0, 0, 0x65, 8},
    {0, 0, 0x66, 8},
    {0, 0, 0x67, 8},
    {0, 0, 0x68, 8},
    {0, 0, 0x69, 8},
    {0, 0, 0x6A, 8},
    {0, 0, 0x6B, 8},
    {0, 0, 0x6C, 8},
    {0, 0, 0x6D, 8},
    {0, 0, 0x6E, 8},
    {0, 0, 0x6F, 8},
    {0, 0, 0x70, 8},
    {0, 0, 0x71, 8},
    {0, 0, 0x72, 8},
    {0, 0, 0x73, 8},
    {0, 0, 0x74, 8},
    {0, 0, 0x75, 8},
    {0, 0, 0x76, 8},
    {0, 0, 0x77, 8},
    {0, 0, 0x78, 8},
    {0, 0, 0x79, 8},
    {0, 0, 0x7A, 8},
    {0, 0, 0x7B, 8},
    {0, 0, 0x7C, 8},
    {0, 0, 0x7D, 8},
    {0, 0, 0x7E, 8},
    {0, 0, 0x7F, 8},
    {0, 0, 0x40, 9},
    {0, 0, 0x41, 9},
    {0, 0, 0x42, 9},
    {0, 0, 0x43, 9},
    {0, 0, 0x44, 9},
    {0, 0, 0x45, 9},
    {0, 0, 0x46, 9},
    {0, 0, 0x47, 9},
    {0, 0, 0x48, 9},
    {0, 0, 0x49, 9},
    {0, 0, 0x4A, 9},
    {0, 0, 0x4B, 9},
    {0, 0, 0x4C, 9},
    {0, 0, 0x4D, 9},
    {0, 0, 0x4E, 9},
    {0, 0, 0x4F, 9},
    {0, 0, 0x50, 9},
    {0, 0, 0x51, 9},
    {0, 0, 0x52, 9},
    {0, 0, 0x53, 9},
    {0, 0, 0x54, 9},
    {0, 0, 0x55, 9},
    {0, 0, 0x56, 9},
    {0, 0, 0x57, 9},
    {0, 0, 0x58, 9},
    {0, 0, 0x59, 9},
    {0, 0, 0x5A, 9},
    {0, 0, 0x5B, 9},
    {0, 0, 0x5C, 9},
    {0, 0, 0x5D, 9},
    {0, 0, 0x5E, 9},
    {0, 0, 0x5F, 9},
    {0, 0, 0x60, 9},
    {0, 0, 0x61, 9},
    {0, 0, 0x62, 9},
    {0, 0, 0x63, 9},
    {0, 0, 0x64, 9},
    {0, 0, 0x65, 9},
    {0, 0, 0x66, 9},
    {0, 0, 0x67, 9},
    {0, 0, 0x68, 9},
    {0, 0, 0x69, 9},
    {0, 0, 0x6A, 9},
    {0, 0, 0x6B, 9},
    {0, 0, 0x6C, 9},
    {0, 0, 0x6D, 9},
    {0, 0, 0x6E, 9},
    {0, 0, 0x6F, 9},
    {0, 0, 0x70, 9},
    {0, 0, 0x71, 9},
    {0, 0, 0x72, 9},
    {0, 0, 0x73, 9},
    {0, 0, 0x74, 9},
    {0, 0, 0x75, 9},
    {0, 0, 0x76, 9},
    {0, 0, 0x77, 9},
    {0, 0, 0x78, 9},
    {0, 0, 0x79, 9},
    {0, 0, 0x7A, 9},
    {0, 0, 0x7B, 9},
    {0, 0, 0x7C, 9},
    {0, 0, 0x7D, 9},
    {0, 0, 0x7E, 9},
    {0, 0, 0x7F, 9},
    {0, 0, 0x40, 10},
    {0, 0, 0x41, 10},
    {0, 0, 0x42, 10},
    {0, 0, 0x43, 10},
    {0, 0, 0x44, 10},
    {0, 0, 0x45, 10},
    {0, 0, 0x46, 10},
    {0, 0, 0x47, 10},
    {0, 0, 0x48, 10},
    {0, 0, 0x49, 10},
    {0, 0, 0x4A, 10},
    {0, 0, 0x4B, 10},
    {0, 0, 0x4C, 10},
    {0, 0, 0x4D, 10},
    {0, 0, 0x4E, 10},
    {0, 0, 0x4F, 10},
    {0, 0, 0x50, 10},
    {0, 0, 0x51, 10},
    {0, 0, 0x52, 10},
    {0, 0, 0x53, 10},
    {0, 0, 0x54, 10},
    {0, 0, 0x55, 10},
    {0, 0, 0x56, 10},
    {0, 0, 0x57, 10},
    {0, 0, 0x58, 10},
    {0, 0, 0x59, 10},
    {0, 0, 0x5A, 10},
    {0, 0, 0x5B, 10},
    {0, 0, 0x5C, 10},
    {0, 0, 0x5D, 10},
    {0, 0, 0x5E, 10},
    {0, 0, 0x5F, 10},
    {0, 0, 0x60, 10},
    {0, 0, 0x61, 10},
    {0, 0, 0x62, 10},
    {0, 0, 0x63, 10},
    {0, 0, 0x64, 10},
    {0, 0, 0x65, 10},
    {0, 0, 0x66, 10},
    {0, 0, 0x67, 10},
    {0, 0, 0x68, 10},
    {0, 0, 0x69, 10},
    {0, 0, 0x6A, 10},
    {0, 0, 0x6B, 10},
    {0, 0, 0x6C, 10},
    {0, 0, 0x6D, 10},
    {0, 0, 0x6E, 10},
    {0, 0, 0x6F, 10},
    {0, 0, 0x70, 10},
    {0, 0, 0x71, 10},
    {0, 0, 0x72, 10},
    {0, 0, 0x73, 10},
    {0, 0, 0x74, 10},
    {0, 0, 0x75, 10},
    {0, 0, 0x76, 10},
    {0, 0, 0x77, 10},
    {0, 0, 0x78, 10},
    {0, 0, 0x79, 10},
    {0, 0, 0x7A, 10},
    {0, 0, 0x7B, 10},
    {0, 0, 0x7C, 10},
    {0, 0, 0x7D, 10},
    {0, 0, 0x7E, 10},
    {0, 0, 0x7F, 10}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {0, 0, 0x0, 7},
    {0, 0, 0x0, 8},
    {0, 0, 0x2, 7},
    {0, 0, 0x3, 7},
    {0, 0, 0x2, 8},
    {0, 0, 0x3, 8},
    {0, 0, 0x4, 7},
    {0, 0, 0x5, 7},
    {0, 0, 0x6, 7},
    {0, 0, 0x7, 7},
    {0, 0, 0x4, 8},
    {0, 0, 0x5, 8},
    {0, 0, 0x6, 8},
    {0, 0, 0x7, 8},
    {0, 0, 0x8, 7},
    {0, 0, 0x9, 7},
    {0, 0, 0xA, 7},
    {0, 0, 0xB, 7},
    {0, 0, 0xC, 7},
    {0, 0, 0xD, 7},
    {0, 0, 0xE, 7},
    {0, 0, 0xF, 7},
    {0, 0, 0x8, 8},
    {0, 0, 0x9, 8},
    {0, 0, 0xA, 8},
    {0, 0, 0xB, 8},
    {0, 0, 0xC, 8},
    {0, 0, 0xD, 8},
    {0, 0, 0xE, 8},
    {0, 0, 0xF, 8},
    {0, 0, 0x10, 7},
    {0, 0, 0x11, 7},
    {0, 0, 0x12, 7},
    {0, 0, 0x13, 7},
    {0, 0, 0x14, 7},
    {0, 0, 0x15, 7},
    {0, 0, 0x16, 7},
    {0, 0, 0x17, 7},
    {0, 0, 0x18, 7},
    {0, 0, 0x19, 7},
    {0, 0, 0x1A, 7},
    {0, 0, 0x1B, 7},
    {0, 0, 0x1C, 7},
    {0, 0, 0x1D, 7},
    {0, 0, 0x1E, 7},
    {0, 0, 0x1F, 7},
    {0, 0, 0x10, 8},
    {0, 0, 0x11, 8},
    {0, 0, 0x12, 8},
    {0, 0, 0x13, 8},
    {0, 0, 0x14, 8},
    {0, 0, 0x15, 8},
    {0, 0, 0x16, 8},
    {0, 0, 0x17, 8},
    {0, 0, 0x18, 8},
    {0, 0, 0x19, 8},
    {0, 0, 0x1A, 8},
    {0, 0, 0x1B, 8},
    {0, 0, 0x1C, 8},
    {0, 0, 0x1D, 8},
    {0, 0, 0x1E, 8},
    {0, 0, 0x1F, 8},
    {0, 0, 0x20, 7},
    {0, 0, 0x21, 7},
    {0, 0, 0x22, 7},
    {0, 0, 0x23, 7},
    {0, 0, 0x24, 7},
    {0, 0, 0x25, 7},
    {0, 0, 0x26, 7},
    {0, 0, 0x27, 7},
    {0, 0, 0x28, 7},
    {0, 0, 0x29, 7},
    {0, 0, 0x2A, 7},
    {0, 0, 0x2B, 7},
    {0, 0, 0x2C, 7},
    {0, 0, 0x2D, 7},
    {0, 0, 0x2E, 7},
    {0, 0, 0x2F, 7},
    {0, 0, 0x30, 7},
    {0, 0, 0x31, 7},
    {0, 0, 0x32, 7},
    {0, 0, 0x33, 7},
    {0, 0, 0x34, 7},
    {0, 0, 0x35, 7},
    {0, 0, 0x36, 7},
    {0, 0, 0x37, 7},
    {0, 0, 0x38, 7},
    {0, 0, 0x39, 7},
    {0, 0, 0x3A, 7},
    {0, 0, 0x3B, 7},
    {0, 0, 0x3C, 7},
    {0, 0, 0x3D, 7},
    {0, 0, 0x3E, 7},
    {0, 0, 0x3F, 7},
    {0, 0, 0x20, 8},
    {0, 0, 0x21, 8},
    {0, 0, 0x22, 8},
    {0, 0, 0x23, 8},
    {0, 0, 0x24, 8},
    {0, 0, 0x25, 8},
    {0, 0, 0x26, 8},
    {0, 0, 0x27, 8},
    {0, 0, 0x28, 8},
    {0, 0, 0x29, 8},
    {0, 0, 0x2A, 8},
    {0, 0, 0x2B, 8},
    {0, 0, 0x2C, 8},
    {0, 0, 0x2D, 8},
    {0, 0, 0x2E, 8},
    {0, 0, 0x2F, 8},
    {0, 0, 0x30, 8},
    {0, 0, 0x31, 8},
    {0, 0, 0x32, 8},
    {0, 0, 0x33, 8},
    {0, 0, 0x34, 8},
    {0, 0, 0x35, 8},
    {0, 0, 0x36, 8},
    {0, 0, 0x37, 8},
    {0, 0, 0x38, 8},
    {0, 0, 0x39, 8},
    {0, 0, 0x3A, 8},
    {0, 0, 0x3B, 8},
    {0, 0, 0x3C, 8},
    {0, 0, 0x3D, 8},
    {0, 0, 0x3E, 8},
    {0, 0, 0x3F, 8},
    {0, 0, 0x40, 7},
    {0, 0, 0x41, 7},
    {0, 0, 0x42, 7},
    {0, 0, 0x43, 7},
    {0, 0, 0x44, 7},
    {0, 0, 0x45, 7},
    {0, 0, 0x46, 7},
    {0, 0, 0x47, 7},
    {0, 0, 0x48, 7},
    {0, 0, 0x49, 7},
    {0, 0, 0x4A, 7},
    {0, 0, 0x4B, 7},
    {0, 0, 0x4C, 7},
    {0, 0, 0x4D, 7},
    {0, 0, 0x4E, 7},
    {0, 0, 0x4F, 7},
    {0, 0, 0x50, 7},
    {0, 0, 0x51, 7},
    {0, 0, 0x52, 7},
    {0, 0, 0x53, 7},
    {0, 0, 0x54, 7},
    {0, 0, 0x55, 7},
    {0, 0, 0x56, 7},
    {0, 0, 0x57, 7},
    {0, 0, 0x58, 7},
    {0, 0, 0x59, 7},
    {0, 0, 0x5A, 7},
    {0, 0, 0x5B, 7},
    {0, 0, 0x5C, 7},
    {0, 0, 0x5D, 7},
    {0, 0, 0x5E, 7},
    {0, 0, 0x5F, 7},
    {0, 0, 0x60, 7},
    {0, 0, 0x61, 7},
    {0, 0, 0x62, 7},
    {0, 0, 0x63, 7},
    {0, 0, 0x64, 7},
    {0, 0, 0x65, 7},
    {0, 0, 0x66, 7},
    {0, 0, 0x67, 7},
    {0, 0, 0x68, 7},
    {0, 0, 0x69, 7},
    {0, 0, 0x6A, 7},
    {0, 0, 0x6B, 7},
    {0, 0, 0x6C, 7},
    {0, 0, 0x6D, 7},
    {0, 0, 0x6E, 7},
    {0, 0, 0x6F, 7},
    {0, 0, 0x70, 7},
    {0, 0, 0x71, 7},
    {0, 0, 0x72, 7},
    {0, 0, 0x73, 7},
    {0, 0, 0x74, 7},
    {0, 0, 0x75, 7},
    {0, 0, 0x76, 7},
    {0, 0, 0x77, 7},
    {0, 0, 0x78, 7},
    {0, 0, 0x79, 7},
    {0, 0, 0x7A, 7},
    {0, 0, 0x7B, 7},
    {0, 0, 0x7C, 7},
    {0, 0, 0x7D, 7},
    {0, 0, 0x7E, 7},
    {0, 0, 0x7F, 7},
    {0, 0, 0x40, 8},
    {0, 0, 0x41, 8},
    {0, 0, 0x42, 8},
    {0, 0, 0x43, 8},
    {0, 0, 0x44, 8},
    {0, 0, 0x45, 8},
    {0, 0, 0x46, 8},
    {0, 0, 0x47, 8},
    {0, 0, 0x48, 8},
    {0, 0, 0x49, 8},
    {0, 0, 0x4A, 8},
    {0, 0, 0x4B, 8},
    {0, 0, 0x4C, 8},
    {0, 0, 0x4D, 8},
    {0, 0, 0x4E, 8},
    {0, 0, 0x4F, 8},
    {0, 0, 0x50, 8},
    {0, 0, 0x51, 8},
    {0, 0, 0x52, 8},
    {0, 0, 0x53, 8},
    {0, 0, 0x54, 8},
    {0, 0, 0x55, 8},
    {0, 0, 0x56, 8},
    {0, 0, 0x57, 8},
    {0, 0, 0x58, 8},
    {0, 0, 0x59, 8},
    {0, 0, 0x5A, 8},
    {0, 0, 0x5B, 8},
    {0, 0, 0x5C, 8},
    {0, 0, 0x5D, 8},
    {0, 0, 0x5E, 8},
    {0, 0, 0x5F, 8},
    {0, 0, 0x60, 8},
    {0, 0, 0x61, 8},
    {0, 0, 0x62, 8},
    {0, 0, 0x63, 8},
    {0, 0, 0x64, 8},
    {0, 0, 0x65, 8},
    {0, 0, 0x66, 8},
    {0, 0, 0x67, 8},
    {0, 0, 0x68, 8},
    {0, 0, 0x69, 8},
    {0, 0, 0x6A, 8},
    {0, 0, 0x6B, 8},
    {0, 0, 0x6C, 8},
    {0, 0, 0x6D, 8},
    {0, 0, 0x6E, 8},
    {0, 0, 0x6F, 8},
    {0, 0, 0x70, 8},
    {0, 0, 0x71, 8},
    {0, 0, 0x72, 8},
    {0, 0, 0x73, 8},
    {0, 0, 0x74, 8},
    {0, 0, 0x75, 8},
    {0, 0, 0x76, 8},
    {0, 0, 0x77, 8},
    {0, 0, 0x78, 8},
    {0, 0, 0x79, 8},
    {0, 0, 0x7A, 8},
    {0, 0, 0x7B, 8},
    {0, 0, 0x7C, 8},
    {0, 0, 0x7D, 8},
    {0, 0, 0x7E, 8},
    {0, 0, 0x7F, 8},
    {0, 0, 0x80, 7},
    {0, 0, 0x81, 7},
    {0, 0, 0x82, 7},
    {0, 0, 0x83, 7},
    {0, 0, 0x84, 7},
    {0, 0, 0x85, 7},
    {0, 0, 0x86, 7},
    {0, 0, 0x87, 7},
    {0, 0, 0x88, 7},
    {0, 0, 0x89, 7},
    {0, 0, 0x8A, 7},
    {0, 0, 0x8B, 7},
    {0, 0, 0x8C, 7},
    {0, 0, 0x8D, 7},
    {0, 0, 0x8E, 7},
    {0, 0, 0x8F, 7},
    {0, 0, 0x90, 7},
    {0, 0, 0x91, 7},
    {0, 0, 0x92, 7},
    {0, 0, 0x93, 7},
    {0, 0, 0x94, 7},
    {0, 0, 0x95, 7},
    {0, 0, 0x96, 7},
    {0, 0, 0x97, 7},
    {0, 0, 0x98, 7},
    {0, 0, 0x99, 7},
    {0, 0, 0x9A, 7},
    {0, 0, 0x9B, 7},
    {0, 0, 0x9C, 7},
    {0, 0, 0x9D, 7},
    {0, 0, 0x9E, 7},
    {0, 0, 0x9F, 7},
    {0, 0, 0xA0, 7},
    {0, 0, 0xA1, 7},
    {0, 0, 0xA2, 7},
    {0, 0, 0xA3, 7},
    {0, 0, 0xA4, 7},
    {0, 0, 0xA5, 7},
    {0, 0, 0xA6, 7},
    {0, 0, 0xA7, 7},
    {0, 0, 0xA8, 7},
    {0, 0, 0xA9, 7},
    {0, 0, 0xAA, 7},
    {0, 0, 0xAB, 7},
    {0, 0, 0xAC, 7},
    {0, 0, 0xAD, 7},
    {0, 0, 0xAE, 7},
    {0, 0, 0xAF, 7},
    {0, 0, 0xB0, 7},
    {0, 0, 0xB1, 7},
    {0, 0, 0xB2, 7},
    {0, 0, 0xB3, 7},
    {0, 0, 0xB4, 7},
    {0, 0, 0xB5, 7},
    {0, 0, 0xB6, 7},
    {0, 0, 0xB7, 7},
    {0, 0, 0xB8, 7},
    {0, 0, 0xB9, 7},
    {0, 0, 0xBA, 7},
    {0, 0, 0xBB, 7},
    {0, 0, 0xBC, 7},
    {0, 0, 0xBD, 7},
    {0, 0, 0xBE, 7},
    {0, 0, 0xBF, 7},
    {0, 0, 0xC0, 7},
    {0, 0, 0xC1, 7},
    {0, 0, 0xC2, 7},
    {0, 0, 0xC3, 7},
    {0, 0, 0xC4, 7},
    {0, 0, 0xC5, 7},
    {0, 0, 0xC6, 7},
    {0, 0, 0xC7, 7},
    {0, 0, 0xC8, 7},
    {0, 0, 0xC9, 7},
    {0, 0, 0xCA, 7},
    {0, 0, 0xCB, 7},
    {0, 0, 0xCC, 7},
    {0, 0, 0xCD, 7},
    {0, 0, 0xCE, 7},
    {0, 0, 0xCF, 7},
    {0, 0, 0xD0, 7},
    {0, 0, 0xD1, 7},
    {0, 0, 0xD2, 7},
    {0, 0, 0xD3, 7},
    {0, 0, 0xD4, 7},
    {0, 0, 0xD5, 7},
    {0, 0, 0xD6, 7},
    {0, 0, 0xD7, 7},
    {0, 0, 0xD8, 7},
    {0, 0, 0xD9, 7},
    {0, 0, 0xDA, 7},
    {0, 0, 0xDB, 7},
    {0, 0, 0xDC, 7},
    {0, 0, 0xDD, 7},
    {0, 0, 0xDE, 7},
    {0, 0, 0xDF, 7},
    {0, 0, 0xE0, 7},
    {0, 0, 0xE1, 7},
    {0, 0, 0xE2, 7},
    {0, 0, 0xE3, 7},
    {0, 0, 0xE4, 7},
    {0, 0, 0xE5, 7},
    {0, 0, 0xE6, 7},
    {0, 0, 0xE7, 7},
    {0, 0, 0xE8, 7},
    {0, 0, 0xE9, 7},
    {0, 0, 0xEA, 7},
    {0, 0, 0xEB, 7},
    {0, 0, 0xEC, 7},
    {0, 0, 0xED, 7},
    {0, 0, 0xEE, 7},
    {0, 0, 0xEF, 7},
    {0, 0, 0xF0, 7},
    {0, 0, 0xF1, 7},
    {0, 0, 0xF2, 7},
    {0, 0, 0xF3, 7},
    {0, 0, 0xF4, 7},
    {0, 0, 0xF5, 7},
    {0, 0, 0xF6, 7},
    {0, 0, 0xF7, 7},
    {0, 0, 0xF8, 7},
    {0, 0, 0xF9, 7},
    {0, 0, 0xFA, 7},
    {0, 0, 0xFB, 7},
    {0, 0, 0xFC, 7},
    {0, 0, 0xFD, 7},
    {0, 0, 0xFE, 7},
    {0, 0, 0xFF, 7},
    {0, 0, 0x80, 8},
    {0, 0, 0x81, 8},
    {0, 0, 0x82, 8},
    {0, 0, 0x83, 8},
    {0, 0, 0x84, 8},
    {0, 0, 0x85, 8},
    {0, 0, 0x86, 8},
    {0, 0, 0x87, 8},
    {0, 0, 0x88, 8},
    {0, 0, 0x89, 8},
    {0, 0, 0x8A, 8},
    {0, 0, 0x8B, 8},
    {0, 0, 0x8C, 8},
    {0, 0, 0x8D, 8},
    {0, 0, 0x8E, 8},
    {0, 0, 0x8F, 8},
    {0, 0, 0x90, 8},
    {0, 0, 0x91, 8},
    {0, 0, 0x92, 8},
    {0, 0, 0x93, 8},
    {0, 0, 0x94, 8},
    {0, 0, 0x95, 8},
    {0, 0, 0x96, 8},
    {0, 0, 0x97, 8},
    {0, 0, 0x98, 8},
    {0, 0, 0x99, 8},
    {0, 0, 0x9A, 8},
    {0, 0, 0x9B, 8},
    {0, 0, 0x9C, 8},
    {0, 0, 0x9D, 8},
    {0, 0, 0x9E, 8},
    {0, 0, 0x9F, 8},
    {0, 0, 0xA0, 8},
    {0, 0, 0xA1, 8},
    {0, 0, 0xA2, 8},
    {0, 0, 0xA3, 8},
    {0, 0, 0xA4, 8},
    {0, 0, 0xA5, 8},
    {0, 0, 0xA6, 8},
    {0, 0, 0xA7, 8},
    {0, 0, 0xA8, 8},
    {0, 0, 0xA9, 8},
    {0, 0, 0xAA, 8},
    {0, 0, 0xAB, 8},
    {0, 0, 0xAC, 8},
    {0, 0, 0xAD, 8},
    {0, 0, 0xAE, 8},
    {0, 0, 0xAF, 8},
    {0, 0, 0xB0, 8},
    {0, 0, 0xB1, 8},
    {0, 0, 0xB2, 8},
    {0, 0, 0xB3, 8},
    {0, 0, 0xB4, 8},
    {0, 0, 0xB5, 8},
    {0, 0, 0xB6, 8},
    {0, 0, 0xB7, 8},
    {0, 0, 0xB8, 8},
    {0, 0, 0xB9, 8},
    {0, 0, 0xBA, 8},
    {0, 0, 0xBB, 8},
    {0, 0, 0xBC, 8},
    {0, 0, 0xBD, 8},
    {0, 0, 0xBE, 8},
    {0, 0, 0xBF, 8},
    {0, 0, 0xC0, 8},
    {0, 0, 0xC1, 8},
    {0, 0, 0xC2, 8},
    {0, 0, 0xC3, 8},
    {0, 0, 0xC4, 8},
    {0, 0, 0xC5, 8},
    {0, 0, 0xC6, 8},
    {0, 0, 0xC7, 8},
    {0, 0, 0xC8, 8},
    {0, 0, 0xC9, 8},
    {0, 0, 0xCA, 8},
    {0, 0, 0xCB, 8},
    {0, 0, 0xCC, 8},
    {0, 0, 0xCD, 8},
    {0, 0, 0xCE, 8},
    {0, 0, 0xCF, 8},
    {0, 0, 0xD0, 8},
    {0, 0, 0xD1, 8},
    {0, 0, 0xD2, 8},
    {0, 0, 0xD3, 8},
    {0, 0, 0xD4, 8},
    {0, 0, 0xD5, 8},
    {0, 0, 0xD6, 8},
    {0, 0, 0xD7, 8},
    {0, 0, 0xD8, 8},
    {0, 0, 0xD9, 8},
    {0, 0, 0xDA, 8},
    {0, 0, 0xDB, 8},
    {0, 0, 0xDC, 8},
    {0, 0, 0xDD, 8},
    {0, 0, 0xDE, 8},
    {0, 0, 0xDF, 8},
    {0, 0, 0xE0, 8},
    {0, 0, 0xE1, 8},
    {0, 0, 0xE2, 8},
    {0, 0, 0xE3, 8},
    {0, 0, 0xE4, 8},
    {0, 0, 0xE5, 8},
    {0, 0, 0xE6, 8},
    {0, 0, 0xE7, 8},
    {0, 0, 0xE8, 8},
    {0, 0, 0xE9, 8},
    {0, 0, 0xEA, 8},
    {0, 0, 0xEB, 8},
    {0, 0, 0xEC, 8},
    {0, 0, 0xED, 8},
    {0, 0, 0xEE, 8},
    {0, 0, 0xEF, 8},
    {0, 0, 0xF0, 8},
    {0, 0, 0xF1, 8},
    {0, 0, 0xF2, 8},
    {0, 0, 0xF3, 8},
    {0, 0, 0xF4, 8},
    {0, 0, 0xF5, 8},
    {0, 0, 0xF6, 8},
    {0, 0, 0xF7, 8},
    {0, 0, 0xF8, 8},
    {0, 0, 0xF9, 8},
    {0, 0, 0xFA, 8},
    {0, 0, 0xFB, 8},
    {0, 0, 0xFC, 8},
    {0, 0, 0xFD, 8},
    {0, 0, 0xFE, 8},
    {0, 0, 0xFF, 8}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {0, 0, 0x0, 9},
    {0, 0, 0x0, 10},
    {0, 0, 0x2, 9},
    {0, 0, 0x3, 9},
    {0, 0, 0x2, 10},
    {0, 0, 0x3, 10},
    {0, 0, 0x4, 9},
    {0, 0, 0x5, 9},
    {0, 0, 0x6, 9},
    {0, 0, 0x7, 9},
    {0, 0, 0x4, 10},
    {0, 0, 0x5, 10},
    {0, 0, 0x6, 10},
    {0, 0, 0x7, 10},
    {0, 0, 0x8, 9},
    {0, 0, 0x9, 9},
    {0, 0, 0xA, 9},
    {0, 0, 0xB, 9},
    {0, 0, 0xC, 9},
    {0, 0, 0xD, 9},
    {0, 0, 0xE, 9},
    {0, 0, 0xF, 9},
    {0, 0, 0x8, 10},
    {0, 0, 0x9, 10},
    {0, 0, 0xA, 10},
    {0, 0, 0xB, 10},
    {0, 0, 0xC, 10},
    {0, 0, 0xD, 10},
    {0, 0, 0xE, 10},
    {0, 0, 0xF, 10},
    {0, 0, 0x10, 9},
    {0, 0, 0x11, 9},
    {0, 0, 0x12, 9},
    {0, 0, 0x13, 9},
    {0, 0, 0x14, 9},
    {0, 0, 0x15, 9},
    {0, 0, 0x16, 9},
    {0, 0, 0x17, 9},
    {0, 0, 0x18, 9},
    {0, 0, 0x19, 9},
    {0, 0, 0x1A, 9},
    {0, 0, 0x1B, 9},
    {0, 0, 0x1C, 9},
    {0, 0, 0x1D, 9},
    {0, 0, 0x1E, 9},
    {0, 0, 0x1F, 9},
    {0, 0, 0x10, 10},
    {0, 0, 0x11, 10},
    {0, 0, 0x12, 10},
    {0, 0, 0x13, 10},
    {0, 0, 0x14, 10},
    {0, 0, 0x15, 10},
    {0, 0, 0x16, 10},
    {0, 0, 0x17, 10},
    {0, 0, 0x18, 10},
    {0, 0, 0x19, 10},
    {0, 0, 0x1A, 10},
    {0, 0, 0x1B, 10},
    {0, 0, 0x1C, 10},
    {0, 0, 0x1D, 10},
    {0, 0, 0x1E, 10},
    {0, 0, 0x1F, 10},
    {0, 0, 0x20, 9},
    {0, 0, 0x21, 9},
    {0, 0, 0x22, 9},
    {0, 0, 0x23, 9},
    {0, 0, 0x24, 9},
    {0, 0, 0x25, 9},
    {0, 0, 0x26, 9},
    {0, 0, 0x27, 9},
    {0, 0, 0x28, 9},
    {0, 0, 0x29, 9},
    {0, 0, 0x2A, 9},
    {0, 0, 0x2B, 9},
    {0, 0, 0x2C, 9},
    {0, 0, 0x2D, 9},
    {0, 0, 0x2E, 9},
    {0, 0, 0x2F, 9},
    {0, 0, 0x30, 9},
    {0, 0, 0x31, 9},
    {0, 0, 0x32, 9},
    {0, 0, 0x33, 9},
    {0, 0, 0x34, 9},
    {0, 0, 0x35, 9},
    {0, 0, 0x36, 9},
    {0, 0, 0x37, 9},
    {0, 0, 0x38, 9},
    {0, 0, 0x39, 9},
    {0, 0, 0x3A, 9},
    {0, 0, 0x3B, 9},
    {0, 0, 0x3C, 9},
    {0, 0, 0x3D, 9},
    {0, 0, 0x3E, 9},
    {0, 0, 0x3F, 9},
    {0, 0, 0x20, 10},
    {0, 0, 0x21, 10},
    {0, 0, 0x22, 10},
    {0, 0, 0x23, 10},
    {0, 0, 0x24, 10},
    {0, 0, 0x25, 10},
    {0, 0, 0x26, 10},
    {0, 0, 0x27, 10},
    {0, 0, 0x28, 10},
    {0, 0, 0x29, 10},
    {0, 0, 0x2A, 10},
    {0, 0, 0x2B, 10},
    {0, 0, 0x2C, 10},
    {0, 0, 0x2D, 10},
    {0, 0, 0x2E, 10},
    {0, 0, 0x2F, 10},
    {0, 0, 0x30, 10},
    {0, 0, 0x31, 10},
    {0, 0, 0x32, 10},
    {0, 0, 0x33, 10},
    {0, 0, 0x34, 10},
    {0, 0, 0x35, 10},
    {0, 0, 0x36, 10},
    {0, 0, 0x37, 10},
    {0, 0, 0x38, 10},
    {0, 0, 0x39, 10},
    {0, 0, 0x3A, 10},
    {0, 0, 0x3B, 10},
    {0, 0, 0x3C, 10},
    {0, 0, 0x3D, 10},
    {0, 0, 0x3E, 10},
    {0, 0, 0x3F, 10},
    {0, 0, 0x40, 9},
    {0, 0, 0x41, 9},
    {0, 0, 0x42, 9},
    {0, 0, 0x43, 9},
    {0, 0, 0x44, 9},
    {0, 0, 0x45, 9},
    {0, 0, 0x46, 9},
    {0, 0, 0x47, 9},
    {0, 0, 0x48, 9},
    {0, 0, 0x49, 9},
    {0, 0, 0x4A, 9},
    {0, 0, 0x4B, 9},
    {0, 0, 0x4C, 9},
    {0, 0, 0x4D, 9},
    {0, 0, 0x4E, 9},
    {0, 0, 0x4F, 9},
    {0, 0, 0x50, 9},
    {0, 0, 0x51, 9},
    {0, 0, 0x52, 9},
    {0, 0, 0x53, 9},
    {0, 0, 0x54, 9},
    {0, 0, 0x55, 9},
    {0, 0, 0x56, 9},
    {0, 0, 0x57, 9},
    {0, 0, 0x58, 9},
    {0, 0, 0x59, 9},
    {0, 0, 0x5A, 9},
    {0, 0, 0x5B, 9},
    {0, 0, 0x5C, 9},
    {0, 0, 0x5D, 9},
    {0, 0, 0x5E, 9},
    {0, 0, 0x5F, 9},
    {0, 0, 0x60, 9},
    {0, 0, 0x61, 9},
    {0, 0, 0x62, 9},
    {0, 0, 0x63, 9},
    {0, 0, 0x64, 9},
    {0, 0, 0x65, 9},
    {0, 0, 0x66, 9},
    {0, 0, 0x67, 9},
    {0, 0, 0x68, 9},
    {0, 0, 0x69, 9},
    {0, 0, 0x6A, 9},
    {0, 0, 0x6B, 9},
    {0, 0, 0x6C, 9},
    {0, 0, 0x6D, 9},
    {0, 0, 0x6E, 9},
    {0, 0, 0x6F, 9},
    {0, 0, 0x70, 9},
    {0, 0, 0x71, 9},
    {0, 0, 0x72, 9},
    {0, 0, 0x73, 9},
    {0, 0, 0x74, 9},
    {0, 0, 0x75, 9},
    {0, 0, 0x76, 9},
    {0, 0, 0x77, 9},
    {0, 0, 0x78, 9},
    {0, 0, 0x79, 9},
    {0, 0, 0x7A, 9},
    {0, 0, 0x7B, 9},
    {0, 0, 0x7C, 9},
    {0, 0, 0x7D, 9},
    {0, 0, 0x7E, 9},
    {0, 0, 0x7F, 9},
    {0, 0, 0x40, 10},
    {0, 0, 0x41, 10},
    {0, 0, 0x42, 10},
    {0, 0, 0x43, 10},
    {0, 0, 0x44, 10},
    {0, 0, 0x45, 10},
    {0, 0, 0x46, 10},
    {0, 0, 0x47, 10},
    {0, 0, 0x48, 10},
    {0, 0, 0x49, 10},
    {0, 0, 0x4A, 10},
    {0, 0, 0x4B, 10},
    {0, 0, 0x4C, 10},
    {0, 0, 0x4D, 10},
    {0, 0, 0x4E, 10},
    {0, 0, 0x4F, 10},
    {0, 0, 0x50, 10},
    {0, 0, 0x51, 10},
    {0, 0, 0x52, 10},
    {0, 0, 0x53, 10},
    {0, 0, 0x54, 10},
    {0, 0, 0x55, 10},
    {0, 0, 0x56, 10},
    {0, 0, 0x57, 10},
    {0, 0, 0x58, 10},
    {0, 0, 0x59, 10},
    {0, 0, 0x5A, 10},
    {0, 0, 0x5B, 10},
    {0, 0, 0x5C, 10},
    {0, 0, 0x5D, 10},
    {0, 0, 0x5E, 10},
    {0, 0, 0x5F, 10},
    {0, 0, 0x60, 10},
    {0, 0, 0x61, 10},
    {0, 0, 0x62, 10},
    {0, 0, 0x63, 10},
    {0, 0, 0x64, 10},
    {0, 0, 0x65, 10},
    {0, 0, 0x66, 10},
    {0, 0, 0x67, 10},
    {0, 0, 0x68, 10},
    {0, 0, 0x69, 10},
    {0, 0, 0x6A, 10},
    {0, 0, 0x6B, 10},
    {0, 0, 0x6C, 10},
    {0, 0, 0x6D, 10},
    {0, 0, 0x6E, 10},
    {0, 0, 0x6F, 10},
    {0, 0, 0x70, 10},
    {0, 0, 0x71, 10},
    {0, 0, 0x72, 10},
    {0, 0, 0x73, 10},
    {0, 0, 0x74, 10},
    {0, 0, 0x75, 10},
    {0, 0, 0x76, 10},
    {0, 0, 0x77, 10},
    {0, 0, 0x78, 10},
    {0, 0, 0x79, 10},
    {0, 0, 0x7A, 10},
    {0, 0, 0x7B, 10},
    {0, 0, 0x7C, 10},
    {0, 0, 0x7D, 10},
    {0, 0, 0x7E, 10},
    {0, 0, 0x7F, 10},
    {0, 0, 0x80, 9},
    {0, 0, 0x81, 9},
    {0, 0, 0x82, 9},
    {0, 0, 0x83, 9},
    {0, 0, 0x84, 9},
    {0, 0, 0x85, 9},
    {0, 0, 0x86, 9},
    {0, 0, 0x87, 9},
    {0, 0, 0x88, 9},
    {0, 0, 0x89, 9},
    {0, 0, 0x8A, 9},
    {0, 0, 0x8B, 9},
    {0, 0, 0x8C, 9},
    {0, 0, 0x8D, 9},
    {0, 0, 0x8E, 9},
    {0, 0, 0x8F, 9},
    {0, 0, 0x90, 9},
    {0, 0, 0x91, 9},
    {0, 0, 0x92, 9},
    {0, 0, 0x93, 9},
    {0, 0, 0x94, 9},
    {0, 0, 0x95, 9},
    {0, 0, 0x96, 9},
    {0, 0, 0x97, 9},
    {0, 0, 0x98, 9},
    {0, 0, 0x99, 9},
    {0, 0, 0x9A, 9},
    {0, 0, 0x9B, 9},
    {0, 0, 0x9C, 9},
    {0, 0, 0x9D, 9},
    {0, 0, 0x9E, 9},
    {0, 0, 0x9F, 9},
    {0, 0, 0xA0, 9},
    {0, 0, 0xA1, 9},
    {0, 0, 0xA2, 9},
    {0, 0, 0xA3, 9},
    {0, 0, 0xA4, 9},
    {0, 0, 0xA5, 9},
    {0, 0, 0xA6, 9},
    {0, 0, 0xA7, 9},
    {0, 0, 0xA8, 9},
    {0, 0, 0xA9, 9},
    {0, 0, 0xAA, 9},
    {0, 0, 0xAB, 9},
    {0, 0, 0xAC, 9},
    {0, 0, 0xAD, 9},
    {0, 0, 0xAE, 9},
    {0, 0, 0xAF, 9},
    {0, 0, 0xB0, 9},
    {0, 0, 0xB1, 9},
    {0, 0, 0xB2, 9},
    {0, 0, 0xB3, 9},
    {0, 0, 0xB4, 9},
    {0, 0, 0xB5, 9},
    {0, 0, 0xB6, 9},
    {0, 0, 0xB7, 9},
    {0, 0, 0xB8, 9},
    {0, 0, 0xB9, 9},
    {0, 0, 0xBA, 9},
    {0, 0, 0xBB, 9},
    {0, 0, 0xBC, 9},
    {0, 0, 0xBD, 9},
    {0, 0, 0xBE, 9},
    {0, 0, 0xBF, 9},
    {0, 0, 0xC0, 9},
    {0, 0, 0xC1, 9},
    {0, 0, 0xC2, 9},
    {0, 0, 0xC3, 9},
    {0, 0, 0xC4, 9},
    {0, 0, 0xC5, 9},
    {0, 0, 0xC6, 9},
    {0, 0, 0xC7, 9},
    {0, 0, 0xC8, 9},
    {0, 0, 0xC9, 9},
    {0, 0, 0xCA, 9},
    {0, 0, 0xCB, 9},
    {0, 0, 0xCC, 9},
    {0, 0, 0xCD, 9},
    {0, 0, 0xCE, 9},
    {0, 0, 0xCF, 9},
    {0, 0, 0xD0, 9},
    {0, 0, 0xD1, 9},
    {0, 0, 0xD2, 9},
    {0, 0, 0xD3, 9},
    {0, 0, 0xD4, 9},
    {0, 0, 0xD5, 9},
    {0, 0, 0xD6, 9},
    {0, 0, 0xD7, 9},
    {0, 0, 0xD8, 9},
    {0, 0, 0xD9, 9},
    {0, 0, 0xDA, 9},
    {0, 0, 0xDB, 9},
    {0, 0, 0xDC, 9},
    {0, 0, 0xDD, 9},
    {0, 0, 0xDE, 9},
    {0, 0, 0xDF, 9},
    {0, 0, 0xE0, 9},
    {0, 0, 0xE1, 9},
    {0, 0, 0xE2, 9},
    {0, 0, 0xE3, 9},
    {0, 0, 0xE4, 9},
    {0, 0, 0xE5, 9},
    {0, 0, 0xE6, 9},
    {0, 0, 0xE7, 9},
    {0, 0, 0xE8, 9},
    {0, 0, 0xE9, 9},
    {0, 0, 0xEA, 9},
    {0, 0, 0xEB, 9},
    {0, 0, 0xEC, 9},
    {0, 0, 0xED, 9},
    {0, 0, 0xEE, 9},
    {0, 0, 0xEF, 9},
    {0, 0, 0xF0, 9},
    {0, 0, 0xF1, 9},
    {0, 0, 0xF2, 9},
    {0, 0, 0xF3, 9},
    {0, 0, 0xF4, 9},
    {0, 0, 0xF5, 9},
    {0, 0, 0xF6, 9},
    {0, 0, 0xF7, 9},
    {0, 0, 0xF8, 9},
    {0, 0, 0xF9, 9},
    {0, 0, 0xFA, 9},
    {0, 0, 0xFB, 9},
    {0, 0, 0xFC, 9},
    {0, 0, 0xFD, 9},
    {0, 0, 0xFE, 9},
    {0, 0, 0xFF, 9},
    {0, 0, 0x80, 10},
    {0, 0, 0x81, 10},
    {0, 0, 0x82, 10},
    {0, 0, 0x83, 10},
    {0, 0, 0x84, 10},
    {0, 0, 0x85, 10},
    {0, 0, 0x86, 10},
    {0, 0, 0x87, 10},
    {0, 0, 0x88, 10},
    {0, 0, 0x89, 10},
    {0, 0, 0x8A, 10},
    {0, 0, 0x8B, 10},
    {0, 0, 0x8C, 10},
    {0, 0, 0x8D, 10},
    {0, 0, 0x8E, 10},
    {0, 0, 0x8F, 10},
    {0, 0, 0x90, 10},
    {0, 0, 0x91, 10},
    {0, 0, 0x92, 10},
    {0, 0, 0x93, 10},
    {0, 0, 0x94, 10},
    {0, 0, 0x95, 10},
    {0, 0, 0x96, 10},
    {0, 0, 0x97, 10},
    {0, 0, 0x98, 10},
    {0, 0, 0x99, 10},
    {0, 0, 0x9A, 10},
    {0, 0, 0x9B, 10},
    {0, 0, 0x9C, 10},
    {0, 0, 0x9D, 10},
    {0, 0, 0x9E, 10},
    {0, 0, 0x9F, 10},
    {0, 0, 0xA0, 10},
    {0, 0, 0xA1, 10},
    {0, 0, 0xA2, 10},
    {0, 0, 0xA3, 10},
    {0, 0, 0xA4, 10},
    {0, 0, 0xA5, 10},
    {0, 0, 0xA6, 10},
    {0, 0, 0xA7, 10},
    {0, 0, 0xA8, 10},
    {0, 0, 0xA9, 10},
    {0, 0, 0xAA, 10},
    {0, 0, 0xAB, 10},
    {0, 0, 0xAC, 10},
    {0, 0, 0xAD, 10},
    {0, 0, 0xAE, 10},
    {0, 0, 0xAF, 10},
    {0, 0, 0xB0, 10},
    {0, 0, 0xB1, 10},
    {0, 0, 0xB2, 10},
    {0, 0, 0xB3, 10},
    {0, 0, 0xB4, 10},
    {0, 0, 0xB5, 10},
    {0, 0, 0xB6, 10},
    {0, 0, 0xB7, 10},
    {0, 0, 0xB8, 10},
    {0, 0, 0xB9, 10},
    {0, 0, 0xBA, 10},
    {0, 0, 0xBB, 10},
    {0, 0, 0xBC, 10},
    {0, 0, 0xBD, 10},
    {0, 0, 0xBE, 10},
    {0, 0, 0xBF, 10},
    {0, 0, 0xC0, 10},
    {0, 0, 0xC1, 10},
    {0, 0, 0xC2, 10},
    {0, 0, 0xC3, 10},
    {0, 0, 0xC4, 10},
    {0, 0, 0xC5, 10},
    {0, 0, 0xC6, 10},
    {0, 0, 0xC7, 10},
    {0, 0, 0xC8, 10},
    {0, 0, 0xC9, 10},
    {0, 0, 0xCA, 10},
    {0, 0, 0xCB, 10},
    {0, 0, 0xCC, 10},
    {0, 0, 0xCD, 10},
    {0, 0, 0xCE, 10},
    {0, 0, 0xCF, 10},
    {0, 0, 0xD0, 10},
    {0, 0, 0xD1, 10},
    {0, 0, 0xD2, 10},
    {0, 0, 0xD3, 10},
    {0, 0, 0xD4, 10},
    {0, 0, 0xD5, 10},
    {0, 0, 0xD6, 10},
    {0, 0, 0xD7, 10},
    {0, 0, 0xD8, 10},
    {0, 0, 0xD9, 10},
    {0, 0, 0xDA, 10},
    {0, 0, 0xDB, 10},
    {0, 0, 0xDC, 10},
    {0, 0, 0xDD, 10},
    {0, 0, 0xDE, 10},
    {0, 0, 0xDF, 10},
    {0, 0, 0xE0, 10},
    {0, 0, 0xE1, 10},
    {0, 0, 0xE2, 10},
    {0, 0, 0xE3, 10},
    {0, 0, 0xE4, 10},
    {0, 0, 0xE5, 10},
    {0, 0, 0xE6, 10},
    {0, 0, 0xE7, 10},
    {0, 0, 0xE8, 10},
    {0, 0, 0xE9, 10},
    {0, 0, 0xEA, 10},
    {0, 0, 0xEB, 10},
    {0, 0, 0xEC, 10},
    {0, 0, 0xED, 10},
    {0, 0, 0xEE, 10},
    {0, 0, 0xEF, 10},
    {0, 0, 0xF0, 10},
    {0, 0, 0xF1, 10},
    {0, 0, 0xF2, 10},
    {0, 0, 0xF3, 10},
    {0, 0, 0xF4, 10},
    {0, 0, 0xF5, 10},
    {0, 0, 0xF6, 10},
    {0, 0, 0xF7, 10},
    {0, 0, 0xF8, 10},
    {0, 0, 0xF9, 10},
    {0, 0, 0xFA, 10},
    {0, 0, 0xFB, 10},
    {0, 0, 0xFC, 10},
    {0, 0, 0xFD, 10},
    {0, 0, 0xFE, 10},
    {0, 0, 0xFF, 10}
  }
}
